===============================================================================
Tag Creator: klindsay
Developers:  klindsay
Tag Date:    06 Mar 2019
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20190306
Tag Summary: correct ssp compset longname string matching

Testing: none

M       cime_config/config_component.xml

===============================================================================
Tag Creator: klindsay
Developers:  klindsay, altuntas
Tag Date:    22 Feb 2019
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20190222
Tag Summary: Add support for OCN_TRANSIENT=ssp126,ssp585

Testing: aux_pop on cheyenne/intel (with ssp585 changes)
         all tests pass, all tests passed b4b

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       cime_config/config_component.xml

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    18 Jan 2019
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20190118
Tag Summary: Set sfwf_weak_restore to 4 years for CORE2 and 1 year for JRA
             Remove several unnecessary _HIRES ifdefs 
             (Additional CORE2 and JRA forcing changes in CIME PR #2984)

Testing: aux_pop and aux_pop_tripole on cheyenne/intel, answer changes in 
         all forced cases (due to changes in sfwf_weak_restore and
         coldair_outbreak_mod)

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       source/step_mod.F90
M       source/tavg.F90

===============================================================================

Tag Creator: jedwards
Developers:  jedwards
Tag Date:    15 Jan 2019
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20190115
Tag Summary: Allow buildcpp to rewrite case env_build.xml

M cime_config/buildlib
M cime_config/buildnml

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    19 Dec 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20181219
Tag Summary: Add the 48yr/day PE layout decomposition

Testing: aux_pop on cheyenne/intel, b4b

Files Modified:

M       bld/generate_pop_decomp.xml

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    22 Oct 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20181022
Tag Summary: Bring in MARBL code clean-up

Testing: aux_pop on cheyenne/intel, aux_pop_MARBL on cheyenne/{intel,gnu} and
         hobart/{nag,pgi}. All tests pass except NLCOMP when ecosys tracer
         module is turned on. (Note: BASELINE tests pass, even with ecosys)

Files Modified:
M       Externals_POP.cfg
M       MARBL_scripts/MARBL_wrappers/MARBL_settings.py

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    19 Oct 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20181019
Tag Summary: Enable MOC computation with land-block elimination
             - ignore missing values during lbe aux grid check
             - set gather_global_dbl missing value to undefined_nf_r8 instead of undefined_nf
             - add gx1v7 spacecurve decompositions
             - add gx1v7 spacecurve test

Testing: aux_pop on cheyenne/intel. bfb except the new test.

Files Modified:
M       mpi/gather_scatter.F90
M       source/diags_on_lat_aux_grid.F90
M       bld/generate_pop_decomp.xml
M       cime_config/testdefs/testlist_pop.xml
A       cime_config/testdefs/testmods_dirs/pop/default_spacecurve
A       cime_config/testdefs/testmods_dirs/pop/default_spacecurve/shell_commands
A       cime_config/testdefs/testmods_dirs/pop/default_spacecurve/user_nl_pop

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    15 Oct 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20181015
Tag Summary: Update CVMix to latest version (bfb, better performance)
             Also, change cvmix test (which uses lcvmix = .true.) to
             no_cvmix test (which uses lcvmix = .false.) -- default value
             of lcvmix is already true, so we need a test using the old KPP
             module.

Testing: aux_pop on cheyenne/intel. bfb except the renamed test.

M       Externals_POP.cfg
M       cime_config/testdefs/testlist_pop.xml
D       cime_config/testdefs/testmods_dirs/pop/cvmix
D       cime_config/testdefs/testmods_dirs/pop/cvmix/include_user_mods
D       cime_config/testdefs/testmods_dirs/pop/cvmix/user_nl_pop
A       cime_config/testdefs/testmods_dirs/pop/no_cvmix
A       cime_config/testdefs/testmods_dirs/pop/no_cvmix/include_user_mods
A       cime_config/testdefs/testmods_dirs/pop/no_cvmix/user_nl_pop

===============================================================================
Tag Creator: altuntas
Developers:  jedwards
Tag Date:    04 Oct 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20181004
Tag Summary: A fix for cime issue #2822 and run the cime interface scripts through py3 pylint
             Also, added a multi-instance C1850ECO test in aux_pop

Testing: aux_pop on cheyenne/intel. bfb except the new test.

M       bld/build-namelist
M       cime_config/buildcpp
M       cime_config/buildlib
M       cime_config/buildnml
M       cime_config/testdefs/testlist_pop.xml

===============================================================================
Tag Creator: klindsay
Developers:  klindsay
Tag Date:    26 Sep 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180926
Tag Summary: update ndep for OCN_TRANSIENT=1850-2000

updated ndep forcing files are from CESM 2.1 BWHIST runs, and span 1849-2015

introduce new test into cheyenne/intel, aux_pop and aux_pop_MARBL:
ERS.T62_g17.C1850ECO.cheyenne_intel.pop-ecosys_ocn_transient_1850_2000

Testing: aux_pop on cheyenne/intel
tests pass, including baseline comparison to cesm_pop_2_1_20180921
  (new test fails NLCOMP and BASELINE)

Files Modified:
M       ChangeLog
M       bld/namelist_files/namelist_defaults_pop.xml
M       cime_config/testdefs/testlist_pop.xml
A       cime_config/testdefs/testmods_dirs/pop/ecosys_ocn_transient_1850_2000
A       cime_config/testdefs/testmods_dirs/pop/ecosys_ocn_transient_1850_2000/include_user_mods
A       cime_config/testdefs/testmods_dirs/pop/ecosys_ocn_transient_1850_2000/shell_commands

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    21 Sep 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180921
Tag Summary: add coordinates to tavg_TEMP2 (for CMIP6 diags)

Testing: aux_pop on cheyenne/intel

Files Modified:
M       source/baroclinic.F90

===============================================================================
Tag Creator: klindsay
Developers:  klindsay
Tag Date:    12 Sep 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180912
Tag Summary: add support for abio_dic_dic14 in CMIP6 historical runs

merged from abio_cmip6_historical_n01_cesm_pop_2_1_20180830

Testing: aux_pop on cheyenne/intel
   except for tests mentioned below, all tests pass
      NLCOMP fails for tests with abio_dic_dic14, because of new namelist var
      some MEMCOMP failures

if OCN_TRANSIENT='1850-2000' then set abio_atm_co2_opt='drv_diag', abio_atm_d14c_opt='file'

add ABIO-DIC modifier to POP2 in compset longnames, enable abio_dic_dic14 if it is present

extend pattern matching to allow POP2 compset modifiers to be in arbitrary order
  (remove ECO-PHYS-CYCLE modifier, replace usage with %ECO%PHYS-CYCLE)

add abio_dic_dic14_restfile_fallback namelist var
  if abio_dic_dic14 is reading from a restart file, and module tracers are not present,
    then read them from the file specified by abio_dic_dic14_restfile_fallback

set abio_dic_dic14_restfile_fallback to most recent results from CMIP6 B1850 control run (for g17 only)

Files Modified:
 M      .
M       ChangeLog
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/config_component.xml
M       cime_config/config_compsets.xml
M       input_templates/ocn.abio_dic_dic14.tavg.csh
M       source/abio_dic_dic14_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    30 August 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180830
Tag Summary: Merge latest marbl_dev branch tag (n98) onto trunk
             -- bit-for-bit code-cleanup / refactor in MARBL requires some
                changes to the pop driver as well

Testing: aux_pop on cheyenne_intel and aux_pop_MARBL on cheyenne_{intel,gnu}
         as well as hobart_{nag,pgi}. Testing was done on marbl_dev_n98 which
         is identical to this tag

M       Externals_POP.cfg
M       source/ecosys_driver.F90
M       source/ecosys_forcing_mod.F90
M       source/ecosys_running_mean_saved_state_mod.F90
M       source/ecosys_tavg.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/passive_tracers.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 August 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180829
Tag Summary: Update manage_externals to manic-v1.1.5
             (Also updated the .git remote)
             -- Requested by Bill Sacks due to bug in older versions

Testing: None (ensured that CVMix and MARBL were checked out properly)
         CVMIX tag: v0.90-beta
         MARBL tag: marbl0.31.0

M       externals/manage_externals
[Lots of files modified in the above directory]
===============================================================================
Tag Creator: klindsay
Developers:  klindsay
Tag Date:    4 August 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180804
Tag Summary: Merge latest final_CMIP6_BGC_tags branch tag (n13) onto trunk

correct IAGE reset when lrobert_filter=.true., add CMIP tracer budget diagnostics
move submeso and diag_gm_bolus-dependent tavg vars into separate tavg_contents files
update 1850 Ndep forcing from recent coupled B1850 WACCM run
correct EBM tavg vars, enable some 2D EBM tavg vars by default

Testing: aux_pop intel/cheyenne
MARBL tag marbl0.31.0 from marbl-ecosys/MARBL

tests pass, including BASELINE to cesm_pop_2_1_20180720
  BASELINE fails for lrobert_filter=.true., because IAGE changed
  NLCOMP and BASELINE failed for all ECO compsets, because of namelist/forcing changes
  some MEMCOMP failures

M       ChangeLog
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
A  +    input_templates/gm_bolus_terms_tavg_contents
A  +    input_templates/gm_bolus_terms_tavg_contents_high_freq
M       input_templates/gx1v6_tavg_contents
M       input_templates/gx1v6_tavg_contents_high_freq
M       input_templates/gx1v7_tavg_contents
M       input_templates/gx1v7_tavg_contents_high_freq
M       input_templates/gx3v5_tavg_contents
M       input_templates/gx3v7_tavg_contents
M       input_templates/ocn.cfc.tavg.csh
M       input_templates/ocn.iage.tavg.csh
M       input_templates/ocn.sf6.tavg.csh
A  +    input_templates/submeso_terms_tavg_contents
A  +    input_templates/submeso_terms_tavg_contents_high_freq
M       source/IRF_mod.F90
M       source/estuary_vsf_mod.F90
M       source/hmix_gm.F90
M       source/hmix_gm_aniso.F90
A  +    source/hmix_gm_share.F90
M       source/horizontal_mix.F90
M       source/mix_submeso.F90
M       source/passive_tracers.F90
M       source/step_mod.F90
M       source/tavg.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    20 July 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180720
Tag Summary: Merge latest marbl_dev branch tag (n95) onto trunk

             1) POP changes
                - New OCN_BGC_CONFIG variable in env_run.xml determines which
                  tunings to use
                - Some namelist variables have different defaults depending on
                  OCN_BGC_CONFIG
                - New test run in aux_pop and aux_pop_MARBL ensures no
                  unexpected changes to old tunings
             2) MARBL changes
                - Multiple default settings files to allow running with old
                  defaults (e.g. CESM 2.0 configuration); POP selects file
                  based on OCN_BGC_CONFIG value

Testing:     aux_pop on cheyenne (intel) (identical code on marbl_dev and
             marbl_dev_levy tested with aux_pop_MARBL on cheyenne and hobart)
             -- all tests pass except new ecosys_cesm2_0_settings fail NLCOMP
                and BASELINE due to lack of existing baselines

M       Externals_POP.cfg
M       MARBL_scripts/MARBL_wrappers/MARBL_diagnostics.py
M       MARBL_scripts/MARBL_wrappers/MARBL_settings.py
M       bld/namelist_files/namelist_defaults_pop.xml
M       cime_config/buildcpp
M       cime_config/buildnml
M       cime_config/config_component.xml
M       cime_config/testdefs/testlist_pop.xml
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_cesm2_0_settings

===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    19 July 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180716
Tag Summary: Tune ocean BGC for CMIP 6 -- this requires an updated MARBL tag
             and some new POP namelist options to control new features in MARBL.
             Also, three bugfixes:

             1. Missing scale_factor for N_SALT diagnostic
             2. Correct illegal argument aliasing in time_management.F90
             3. Tracer states and some other diagnostics were computed incorrectly
                when the Robert filter was enabled (i.e. in gx1v7 runs)

Testing:     aux_pop on cheyenne/intel - all POP2%ECO tests fail BASELINE and
             NLCOMP; all non-ECO gx1v7 tests fail BASELINE (but pass NLCOMP),
             all non-ECO gx3v7 tests pass both BASELINE and NLCOMP.

M       Externals_POP.cfg
M       MARBL_scripts/MARBL_wrappers/MARBL_settings.py
M       MARBL_scripts/MARBL_wrappers/POP_ecosys_diagnostics.py
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/config_component.xml
M       input_templates/gx1v6_tavg_contents
M       input_templates/gx1v7_tavg_contents
M       input_templates/gx3v7_tavg_contents
M       input_templates/ocn.abio_dic_dic14.tavg.csh
M       input_templates/ocn.cfc.tavg.csh
M       input_templates/ocn.iage.tavg.csh
M       input_templates/ocn.sf6.tavg.csh
M       source/baroclinic.F90
M       source/diagnostics.F90
M       source/ecosys_forcing_mod.F90
M       source/passive_tracers.F90
M       source/step_mod.F90
M       source/tavg.F90
M       source/time_management.F90

===============================================================================
Tag Creator: altuntas
Developers:  jedwards, altuntas
Tag Date:    5 July 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180705
Tag Summary: Add optional NDEP modifier for POP compsets. The modifier
             determines whether OCN_NDEP_DRIVER is to be set to True. Also
             added latent_heat_fusion_mks field for CMIP6 vars.

Testing:     aux_pop on cheyenne/intel. b4b.

M       bld/build-namelist
M       cime_config/config_component.xml
M       source/tavg.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    14 June 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180614
Tag Summary: Update MARBL to latest version and make python scripts compatible
             with python3

Testing:     built a single case on my laptop (no Fortran changes, so should
             be bit-for-bit with previous tag)

M       Externals_POP.cfg
M       MARBL_scripts/MARBL_wrappers/__init__.py

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    31 May 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180531
Tag Summary: Remove/fix bad compsets. Get MARBL external from github repo, not from svn.

Testing:     aux_pop on cheyenne (intel)

M       Externals_POP.cfg
M       cime_config/config_compsets.xml

===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    14 May 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180514
Tag Summary: Merge latest marbl_dev branch tag (n92) onto trunk

             1) POP changes
                - Running mean saved state comes from same restart file as
                  ecosys base tracers, not ciso
                - build-namelist checks value of CPL_I2O_PER_CAT and only
                  calls xmlchange if needed
                - Better pe layouts on hobart, remove references to yellowstone
                  in config_pes.xml
                - Add gx1v7 test to hobart_nag aux_pop_MARBL, and add a gx3v7
                  with the ecosystem on to prealpha (also hobart_nag)
                - performance_eval test works with ecosystem on
                - New river nutrient input file for gx3v7 to be consistent with
                  mapping files created April 30
             2) MARBL changes
                - New calcToFloor diagnostic

Testing:     aux_pop on cheyenne (intel), aux_pop_MARBL on hobart (nag, intel,
             and pgi)
             - all gx3v7 tests with ecosystem on fail NLCOMP and BASELINE due
               to new river nutrient input file
             - all gx3v7 tests on hobart fail NLCOMP and BASELINE due to new
               pe layout (so reverting river nutrient input will not be b4b
               on that machine)
             - gx1v7 hobart_intel test does not successfully run. PGI does
               run and nag has ~50% success rate (resubmitting failed nag
               test usually results in success)
             - all other tests pass

M       Externals_POP.cfg
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       cime_config/config_pes.xml
M       cime_config/testdefs/testlist_pop.xml
M       cime_config/testdefs/testmods_dirs/pop/performance_eval/user_nl_marbl
M       source/ecosys_driver.F90
A  +    source/ecosys_running_mean_saved_state_mod.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
===============================================================================
Tag Creator: altuntas
Developers:  youngsun, dennis
Tag Date:    12 May 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180512
Tag Summary: Update to POP's halo update that improves model performance.

M       mpi/POP_HaloMod.F90

Testing:     aux_pop and aux_pop_tripole on cheyenne (intel). b4b

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    01 May 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180501
Tag Summary: - debug tidal_mixing module for cases where ltidal_mixing is false by default.
             - print error msg if pop decomp not set for the ocn grid.
             - add tx0.1v3 size to generate_pop_decomp.xml.
             - add/change tx0.1v3 namelist defaults.
             - update default nox_flux_monthly_input and nhy_flux_monthly_input
             - add new test suite: aux_pop_tripole
             - add new compsets for high-res testing: C_HR, C_JRA, C_JRA_HR, GIAF_HR
             - unset verbose ocn.vmix.tavg.csh to prevent build-namelist printing the entire script

Testing:     aux_pop on cheyenne (intel). bit-for-bit except ECO
             aux_pop_tripole

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    30 Apr 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180430
Tag Summary: add model_doi_url. unsuppress error msg from build-namelist

Testing:     aux_pop on cheyenne (intel). bit-for-bit

M       cime_config/buildcpp
M       cime_config/buildnml
M       drivers/cpl/ocn_comp_mct.F90
M       source/constants.F90
M       source/tavg.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    27 Apr 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180427
Tag Summary: Merge latest marbl_dev branch tag (n87) onto trunk

             1) POP changes
                - Fix units of U10_SQR in diagnostics
                - Change ciso_init_tracer_ext to account for changes from
                  zoo1[34]C -> zootot1[34]C in MARBL tracer name
                - clean up use of ecosys_cfg hash in build-namelist, and
                  suppress ciso namelist variables from non-ciso runs
                - only write about successful marbl_in read from master_task
             2) MARBL changes
                - only compute nhx_surface_emis if lcompute_nhx_surface_emis
                  is .true. otherwise return zero (if requested)
                - replace several 3D diagnostic fields with surface values and
                  weighted average over 100m (full 3D fields available still
                  but not included in default diagnostics)
                - Rename zoo1[34]C to zootot1[34]C (in general, use zootot for
                  all occurences of zoo in marbl_ciso_mod.F90)
                - make caco3_bury_thres_omega_calc a tunable parameter
                - increase Jint_Ctot_thres_molpm2pyr by order of magnitude
                - Introduce new DOP_loss_P_bal to avoid Jint_Ptot inbalance
                  when very small P:C ratio leads to POP%prod < 0

Testing:     aux_pop on cheyenne (intel)
             * NLCOMP failures for all ecosys tests (ciso variables changed
               and non-ciso tests no longer include ciso variables)
             * BASELINE failures for some ecosys tests
               - ERI.T62_g17.C1850ECO.cheyenne_intel.pop-ecosys has O(1e-8)
                 changes due to negative values of POP%prod far from zero
                 being changed to zero
               - Other tests have round-off level changes due to negative
                 values of POP%prod close to zero being changed to zero
             aux_pop_MARBL on hobart (nag, intel, pgi)
             * no comparison to baselines but verified that model builds
               and runs with these compilers.

M       Externals_POP.cfg
M       MARBL_scripts/MARBL_wrappers/POP_ecosys_diagnostics.py
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       source/ecosys_driver.F90
M       source/forcing.F90
===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    19 Apr 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180419
Tag Summary: add testlist version to testlist_pop

Testing:     aux_pop on cheyenne/intel. bfb

M       cime_config/testdefs/testlist_pop.xml

===============================================================================
Tag Creator: altuntas
Developers:  altuntas, klindsay
Tag Date:    12 Apr 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180412
Tag Summary: update to testlist v.2 and CVMix v0.90.
             - update from testlist v.1 (phased out as of cime5.4.0-alpha.25) to v.2
             - correct exp_hab_zetar allocation both in CVMix and POP.
             - bugfix for enable START_DATE on last day of month or year. (klindsay)

Testing:     aux_pop on cheyenne (intel). bit-for-bit

M       Externals_POP.cfg
M       cime_config/testdefs/testlist_pop.xml
M       drivers/cpl/ocn_comp_mct.F90
M       source/vmix_kpp.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    6 Apr 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180406
Tag Summary: Merge latest marbl_dev branch tag (n82) onto trunk

             1) POP changes
                - atm D14C default values use CMIP6 lat_band values
                - improve how marbl_in is read / passed to MARBL
                - PHYS-CYCLE compset works now, added ECO-PHYS-CYCLE option
                  as well
                - updated some gx1v7 initial conditions which were out of
                  sync with gx1v6
                - Added box_atm_trace_gas to use box model for atm_co2
                - implemented fe_bioavail fix
                - update to MARBL 0.28.5
             2) MARBL changes
                - fix bug so ALK restoring is applied
                - Use in situ temperature rather than potential
                - Add some divide-by-0 checks
                - Fix denominator of POP_bury_coeff
                - Change kinetic fraction during gas transfer to match CMIP6
                - MARBL now tells POP what diagnostics to include in tavg_contents
                - Introduce more carbon diagnostics (some fluxes replaced with
                  vertical integrals in default settings)
                - DO{13,14}C -> DO{13,14}Ctot to because they represent
                  semi-labile + refractory
                - MARBL aborts if mass balance conservation is violated
                  (users no longer need to inspect vertical integrals in
                  diagnostic output)
                - new tunings to go with fe_bioavail fix
             Also fixed bugs introduced in

Testing:     aux_pop on cheyenne (intel)
             * NLCOMP failures for all ecosys tests and all abio tests
             * BASELINE failures for the same, except the non-ecosys abio_transient
               test is bit-for-bit
             aux_pop_MARBL on hobart (nag, intel, pgi)
             * no comparison to baselines since we expect all tests to fail,
               just verified that model builds and runs with these
               compilers.

M       Externals.cfg
M       Externals_POP.cfg
A  +    MARBL_scripts
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
D       cime_config/MARBL_settings_wrapper
D       cime_config/MARBL_settings_wrapper/MARBL_settings.py
D       cime_config/MARBL_settings_wrapper/__init__.py
M       cime_config/buildcpp
M       cime_config/buildnml
M       cime_config/config_component.xml
M       cime_config/config_compsets.xml
M       cime_config/testdefs/testlist_pop.xml
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_box_atm_co2
M       drivers/cpl/ocn_import_export.F90
M       externals/manage_externals/.git/index
D       input_templates/ocn.ciso.tavg.csh
M       input_templates/ocn.ecosys.tavg.csh
M       input_templates/ocn.vmix.tavg.csh
M       source/abio_dic_dic14_mod.F90
A  +    source/box_atm_trace_gas_mod.F90
M       source/c14_atm_forcing_mod.F90
A  +    source/ecosys_diagnostics_operators_mod.F90
M       source/ecosys_driver.F90
M       source/ecosys_forcing_mod.F90
A  +    source/ecosys_forcing_saved_state_mod.F90
M       source/ecosys_tavg.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/forcing.F90
M       source/forcing_coupled.F90
M       source/forcing_fields.F90
M       source/passive_tracers.F90
M       source/restart.F90
M       source/running_mean_mod.F90
M       source/tavg.F90
M       source/tidal_mixing.F90
A  +    source/utils_mod.F90
M       source/vmix_kpp.F90
===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    05 Apr 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180405
Tag Summary: Tidal PBC, JRA forcing updates, update testlist, correct unit

             - Enable default tidal mixing parameterization (Jayne et al.) with partial bottom cells
               (Sourcemods from gokhan, adapted to new tidal mixing module)
             - JRA forcing updates:
                * new init_ts_file, sfwf_filename for gx1v7 for both JRA and CORE2
                * sfwf restoring set to 1 yr for gx1v7 by default for both JRA and CORE2
                * new ebm_param_filename for gx1v7 JRA (CORE2 unchanged)
             - Testlist updates:
                * all bluewaters and eos tests removed. (prealpha and prebeta)
                * added JRA tests to aux_pop and prebeta
             - Correct tavg_SST2 unit

Testing:     - aux_pop on cheyenne/intel. all except gx1v7 bit for bit. gx1v7 differs due to new
             ic and sfwf files
             - G.TL319_t13.startup two-month smoke test for tidal PBC

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       cime_config/testdefs/testlist_pop.xml
?       manage_externals.log
M       source/baroclinic.F90
M       source/tidal_mixing.F90
M       source/vmix_kpp.F90

===============================================================================
Tag Creator: altuntas
Developers:  njn01
Tag Date:    22 Mar 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180322
Tag Summary: add new tidal mixing methods, options, variables, energy datasets

             - tidal mixing methods: jayne, polzin, schmittner
             - Changed initialization calling sequences and split init_tidal_mixing into two routines.
             - CVMix changes. (added Schmittner)
             - New Geothermal options, variables, options.

Testing:     aux_pop on cheyenne (intel)

M       Externals_POP.cfg
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
A       input_templates/ocn.base.tavg.csh.nstep
A       input_templates/ocn.vmix.tavg.csh
M       source/baroclinic.F90
M       source/budget_diagnostics.F90
A       source/geoheatflux.F90
M       source/initial.F90
M       source/niw_mixing.F90
M       source/restart.F90
M       source/step_mod.F90
M       source/tavg.F90
M       source/tidal_mixing.F90
M       source/time_management.F90
M       source/vertical_mix.F90
M       source/vmix_kpp.F90

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    16 Feb 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180216
Tag Summary: add tests in a new aux_cime_baselines category

Testing:     ran the new test category (with 4 new SMS tests). all pass.

M       cime_config/testdefs/testlist_pop.xml

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    5 Feb 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180205
Tag Summary: Use manage_externals to get CVMix and MARBL rather than
             svn:externals (see README_EXTERNALS for details)

Testing:     Ensure code still builds and runs with new externals

 M      .
A       Externals.cfg
A       Externals_POP.cfg
A       README_EXTERNALS
D       SVN_EXTERNAL_DIRECTORIES
A       externals
A       externals/manage_externals
A       externals/manage_externals/.dir_locals.el
A       externals/manage_externals/.git
A       externals/manage_externals/.git/HEAD
A       externals/manage_externals/.git/branches
A       externals/manage_externals/.git/config
A       externals/manage_externals/.git/description
A       externals/manage_externals/.git/hooks
A       externals/manage_externals/.git/hooks/applypatch-msg.sample
A       externals/manage_externals/.git/hooks/commit-msg.sample
A       externals/manage_externals/.git/hooks/post-update.sample
A       externals/manage_externals/.git/hooks/pre-applypatch.sample
A       externals/manage_externals/.git/hooks/pre-commit.sample
A       externals/manage_externals/.git/hooks/pre-push.sample
A       externals/manage_externals/.git/hooks/pre-rebase.sample
A       externals/manage_externals/.git/hooks/pre-receive.sample
A       externals/manage_externals/.git/hooks/prepare-commit-msg.sample
A       externals/manage_externals/.git/hooks/update.sample
A       externals/manage_externals/.git/index
A       externals/manage_externals/.git/info
A       externals/manage_externals/.git/info/exclude
A       externals/manage_externals/.git/logs
A       externals/manage_externals/.git/logs/HEAD
A       externals/manage_externals/.git/logs/refs
A       externals/manage_externals/.git/logs/refs/heads
A       externals/manage_externals/.git/logs/refs/heads/master
A       externals/manage_externals/.git/logs/refs/remotes
A       externals/manage_externals/.git/logs/refs/remotes/origin
A       externals/manage_externals/.git/logs/refs/remotes/origin/HEAD
A       externals/manage_externals/.git/objects
A       externals/manage_externals/.git/objects/info
A       externals/manage_externals/.git/objects/pack
A       externals/manage_externals/.git/objects/pack/pack-a8d23c04cd24205be25174239305ea4f240d683a.idx
A       externals/manage_externals/.git/objects/pack/pack-a8d23c04cd24205be25174239305ea4f240d683a.pack
A       externals/manage_externals/.git/packed-refs
A       externals/manage_externals/.git/refs
A       externals/manage_externals/.git/refs/heads
A       externals/manage_externals/.git/refs/heads/master
A       externals/manage_externals/.git/refs/remotes
A       externals/manage_externals/.git/refs/remotes/origin
A       externals/manage_externals/.git/refs/remotes/origin/HEAD
A       externals/manage_externals/.git/refs/tags
A       externals/manage_externals/.github
A       externals/manage_externals/.github/ISSUE_TEMPLATE.md
A       externals/manage_externals/.github/PULL_REQUEST_TEMPLATE.md
A       externals/manage_externals/.gitignore
A       externals/manage_externals/.travis.yml
A       externals/manage_externals/LICENSE.txt
A       externals/manage_externals/README.md
A       externals/manage_externals/README_FIRST
A       externals/manage_externals/checkout_externals
A       externals/manage_externals/manic
A       externals/manage_externals/manic/__init__.py
A       externals/manage_externals/manic/checkout.py
A       externals/manage_externals/manic/externals_description.py
A       externals/manage_externals/manic/externals_status.py
A       externals/manage_externals/manic/global_constants.py
A       externals/manage_externals/manic/repository.py
A       externals/manage_externals/manic/repository_factory.py
A       externals/manage_externals/manic/repository_git.py
A       externals/manage_externals/manic/repository_svn.py
A       externals/manage_externals/manic/sourcetree.py
A       externals/manage_externals/manic/utils.py
A       externals/manage_externals/test
A       externals/manage_externals/test/.coveragerc
A       externals/manage_externals/test/.gitignore
A       externals/manage_externals/test/.pylint.rc
A       externals/manage_externals/test/Makefile
A       externals/manage_externals/test/README.md
A       externals/manage_externals/test/doc
A       externals/manage_externals/test/doc/.gitignore
A       externals/manage_externals/test/doc/Makefile
A       externals/manage_externals/test/doc/conf.py
A       externals/manage_externals/test/doc/develop.rst
A       externals/manage_externals/test/doc/index.rst
A       externals/manage_externals/test/doc/testing.rst
A       externals/manage_externals/test/repos
A       externals/manage_externals/test/repos/container.git
A       externals/manage_externals/test/repos/container.git/HEAD
A       externals/manage_externals/test/repos/container.git/config
A       externals/manage_externals/test/repos/container.git/description
A       externals/manage_externals/test/repos/container.git/info
A       externals/manage_externals/test/repos/container.git/info/exclude
A       externals/manage_externals/test/repos/container.git/objects
A       externals/manage_externals/test/repos/container.git/objects/41
A       externals/manage_externals/test/repos/container.git/objects/41/1de5d96ee418c1c55f3e96e6e6e7c06bb95801
A       externals/manage_externals/test/repos/container.git/objects/71
A       externals/manage_externals/test/repos/container.git/objects/71/5b8f3e4afe1802a178e1d603af404ba45d59de
A       externals/manage_externals/test/repos/container.git/objects/b0
A       externals/manage_externals/test/repos/container.git/objects/b0/f87705e2b9601cb831878f3d51efa78b910d7b
A       externals/manage_externals/test/repos/container.git/objects/f9
A       externals/manage_externals/test/repos/container.git/objects/f9/e08370a737e941de6f6492e3f427c2ef4c1a03
A       externals/manage_externals/test/repos/container.git/refs
A       externals/manage_externals/test/repos/container.git/refs/heads
A       externals/manage_externals/test/repos/container.git/refs/heads/master
A       externals/manage_externals/test/repos/error
A       externals/manage_externals/test/repos/error/readme.txt
A       externals/manage_externals/test/repos/mixed-cont-ext.git
A       externals/manage_externals/test/repos/mixed-cont-ext.git/HEAD
A       externals/manage_externals/test/repos/mixed-cont-ext.git/config
A       externals/manage_externals/test/repos/mixed-cont-ext.git/description
A       externals/manage_externals/test/repos/mixed-cont-ext.git/info
A       externals/manage_externals/test/repos/mixed-cont-ext.git/info/exclude
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/06
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/06/ea30b03ffa2f8574705f8b9583f7ca7e2dccf7
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/37
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/37/f0e70b609adc90f4c09ee21d82ed1d79c81d69
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/41
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/41/1de5d96ee418c1c55f3e96e6e6e7c06bb95801
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/fd
A       externals/manage_externals/test/repos/mixed-cont-ext.git/objects/fd/15a5ad5204356229c60a831d2a8120a43ac901
A       externals/manage_externals/test/repos/mixed-cont-ext.git/refs
A       externals/manage_externals/test/repos/mixed-cont-ext.git/refs/heads
A       externals/manage_externals/test/repos/mixed-cont-ext.git/refs/heads/master
A       externals/manage_externals/test/repos/simple-ext-fork.git
A       externals/manage_externals/test/repos/simple-ext-fork.git/HEAD
A       externals/manage_externals/test/repos/simple-ext-fork.git/config
A       externals/manage_externals/test/repos/simple-ext-fork.git/description
A       externals/manage_externals/test/repos/simple-ext-fork.git/info
A       externals/manage_externals/test/repos/simple-ext-fork.git/info/exclude
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/00
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/00/fd13e76189f9134b0506b4b8ed3172723b467f
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/0b
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/0b/15e8af3d4615b42314216efeae3fff184046a8
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/0b/67df4e7e8e6e1c6e401542738b352d18744677
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/11
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/11/a76e3d9a67313dec7ce1230852ab5c86352c5c
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/16
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/16/5506a7408a482f50493434e13fffeb44af893f
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/24
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/24/4386e788c9bc608613e127a329c742450a60e4
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/32
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/32/7e97d86e941047d809dba58f2804740c6c30cf
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/36
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/36/418b4e5665956a90725c9a1b5a8e551c5f3d48
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/3d
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/3d/7099c35404ae6c8640ce263b38bef06e98cc26
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/3d/ec1fdf8e2f5edba28148c5db2fe8d7a842360b
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/41
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/41/1de5d96ee418c1c55f3e96e6e6e7c06bb95801
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/4d
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/4d/837135915ed93eed6fff6b439f284ce317296f
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/56
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/56/175e017ad38bf3d33d74b6bd7c74624b28466a
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/5f
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/5f/1d4786d12e52d7ab28d2f2f1118c1059a9f1ae
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/67
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/67/136e5ab4d5c1c65d10c8048763b96b0e53c1d6
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/7b
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/7b/0bd630ac13865735a1dff3437a137d8ab50663
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/88
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/88/cf20868e0cc445f5642a480ed034c71e0d7e9f
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/8d
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/8d/2b3b35126224c975d23f109aa1e3cbac452989
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/9b
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/9b/75494003deca69527bb64bcaa352e801611dd2
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/a2
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/a2/2a5da9119328ea6d693f88861457c07e14ac04
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/a4
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/a4/2fe9144f5707bc1e9515ce1b44681f7aba6f95
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/b9
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/b9/3737be3ea6b19f6255983748a0a0f4d622f936
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/c5
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/c5/32bc8fde96fa63103a52057f0baffcc9f00c6b
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/c5/b315915742133dbdfbeed0753e481b55c1d364
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/f2
A       externals/manage_externals/test/repos/simple-ext-fork.git/objects/f2/68d4e56d067da9bd1d85e55bdc40a8bd2b0bca
A       externals/manage_externals/test/repos/simple-ext-fork.git/packed-refs
A       externals/manage_externals/test/repos/simple-ext-fork.git/refs
A       externals/manage_externals/test/repos/simple-ext-fork.git/refs/heads
A       externals/manage_externals/test/repos/simple-ext-fork.git/refs/heads/feature2
A       externals/manage_externals/test/repos/simple-ext-fork.git/refs/tags
A       externals/manage_externals/test/repos/simple-ext-fork.git/refs/tags/abandoned-feature
A       externals/manage_externals/test/repos/simple-ext-fork.git/refs/tags/forked-feature-v1
A       externals/manage_externals/test/repos/simple-ext.git
A       externals/manage_externals/test/repos/simple-ext.git/HEAD
A       externals/manage_externals/test/repos/simple-ext.git/config
A       externals/manage_externals/test/repos/simple-ext.git/description
A       externals/manage_externals/test/repos/simple-ext.git/info
A       externals/manage_externals/test/repos/simple-ext.git/info/exclude
A       externals/manage_externals/test/repos/simple-ext.git/objects
A       externals/manage_externals/test/repos/simple-ext.git/objects/00
A       externals/manage_externals/test/repos/simple-ext.git/objects/00/fd13e76189f9134b0506b4b8ed3172723b467f
A       externals/manage_externals/test/repos/simple-ext.git/objects/0b
A       externals/manage_externals/test/repos/simple-ext.git/objects/0b/15e8af3d4615b42314216efeae3fff184046a8
A       externals/manage_externals/test/repos/simple-ext.git/objects/11
A       externals/manage_externals/test/repos/simple-ext.git/objects/11/a76e3d9a67313dec7ce1230852ab5c86352c5c
A       externals/manage_externals/test/repos/simple-ext.git/objects/36
A       externals/manage_externals/test/repos/simple-ext.git/objects/36/418b4e5665956a90725c9a1b5a8e551c5f3d48
A       externals/manage_externals/test/repos/simple-ext.git/objects/41
A       externals/manage_externals/test/repos/simple-ext.git/objects/41/1de5d96ee418c1c55f3e96e6e6e7c06bb95801
A       externals/manage_externals/test/repos/simple-ext.git/objects/9b
A       externals/manage_externals/test/repos/simple-ext.git/objects/9b/75494003deca69527bb64bcaa352e801611dd2
A       externals/manage_externals/test/repos/simple-ext.git/objects/a2
A       externals/manage_externals/test/repos/simple-ext.git/objects/a2/2a5da9119328ea6d693f88861457c07e14ac04
A       externals/manage_externals/test/repos/simple-ext.git/objects/c5
A       externals/manage_externals/test/repos/simple-ext.git/objects/c5/b315915742133dbdfbeed0753e481b55c1d364
A       externals/manage_externals/test/repos/simple-ext.git/refs
A       externals/manage_externals/test/repos/simple-ext.git/refs/heads
A       externals/manage_externals/test/repos/simple-ext.git/refs/heads/feature2
A       externals/manage_externals/test/repos/simple-ext.git/refs/heads/master
A       externals/manage_externals/test/repos/simple-ext.git/refs/tags
A       externals/manage_externals/test/repos/simple-ext.git/refs/tags/tag1
A       externals/manage_externals/test/requirements.txt
A       externals/manage_externals/test/test_sys_checkout.py
A       externals/manage_externals/test/test_unit_externals_description.py
A       externals/manage_externals/test/test_unit_externals_status.py
A       externals/manage_externals/test/test_unit_repository.py
A       externals/manage_externals/test/test_unit_repository_git.py
A       externals/manage_externals/test/test_unit_repository_svn.py
A       externals/manage_externals/test/test_unit_utils.py
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    3 Jan 2018
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20180103
Tag Summary: Instead of bringing in just src/shared from CVMix (as
             source/cvmix), svn:externals brings in full CVMix repository (as
             externals/CVMix). This means the buildlib script needs to look in
             new location to copy CVMix files to bld/ directory.

Testing:     Ensure code still builds and runs with CVMix in new location

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       cime_config/buildlib
===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    29 Dec 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171229
Tag Summary: Incorporated the changes from branches/cesm_pop_2_1_20171214_marblbld
             The change is because "the way that marbl_nt is currently handled in
             pop's buildcpp and buildnml is incompatible with a new version of CIME..."
             -jedwards. Also, added the following tavg fields for gx1v7 (for CMIP6):
             SSS2, HMXL_DR_2, XMXL_DR, and TMXL_DR, and removed HMXL_2.
             Replaced kind=8 in time_management with POP_i8.

Testing:     aux_pop. bit for bit

M       cime_config/buildcpp
M       cime_config/buildnml
M       cime_config/config_component.xml
X       externals
M       input_templates/gx1v7_tavg_contents
M       source/baroclinic.F90
X       source/cvmix
M       source/diagnostics.F90
M       source/time_management.F90

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    14 Dec 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171214
Tag Summary: Added tx01.v3 grid. Added GIAF_JRA and GIAF_JRA_HR compsets. Fixed
             half hourly coupling. Minor fixes in forcing.F90, step_mod.F90 and
             tavg.F90 for high resolution runs.

Testing:     aux_pop. bit for bit

M       bld/generate_pop_decomp.xml
M       bld/namelist_files/namelist_defaults_pop.xml
M       cime_config/config_compsets.xml
M       cime_config/config_pes.xml
A       input_templates/tx0.1v3_POP_DomainSizeMod.F90
A       input_templates/tx0.1v3_depth_accel
A       input_templates/tx0.1v3_domain_size.F90
A       input_templates/tx0.1v3_history_contents
A       input_templates/tx0.1v3_movie_contents
A       input_templates/tx0.1v3_region_ids
A       input_templates/tx0.1v3_tavg_contents
A       input_templates/tx0.1v3_transport_contents
A       input_templates/tx0.1v3_vert_grid
M       source/forcing.F90
M       source/step_mod.F90
M       source/tavg.F90
M       source/time_management.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 Dec 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171213
Tag Summary: Merge latest marbl_dev branch tag (n68) onto trunk

             1) Update to latest MARBL (0.22.0) and bring in all of MARBL
                as an external rather than just src/
             2) Rather than generating marbl_in via build-namelist, buildnml
                calls a MARBL script; users override MARBL defaults by
                setting variables in user_nl_marbl
             3) MARBL options that affect tracer count need to be set in
                user_nl_marbl prior to building, rather than being set in
                env_build.xml. Specifically, ciso is no longer a valid
                OCN_TRACER_MODULES (just set ciso_on = .true. in
                user_nl_marbl) and the following can not be set in
                OCN_TRACER_MODULES_OPT:
                - ECOSYS_BASE_NT & CISO_NT [MARBL_NT is reported by MARBL]
                - VARIABLE_PTOC [set lvariable_PtoC in user_nl_marbl]
             4) support for multi-instance ocean runs with different MARBL
                settings among the instances (including a test in aux_pop_MARBL
                to ensure this functionality does not break in the future)

Testing:     aux_pop on cheyenne (intel), aux_pop_MARBL on hobart (nag, intel, pgi)
             and cheyenne (intel, gnu). All NLCOMP tests fail:
             - removal of ciso_on from &passive_tracers_nml
             - introduction of marbl_settings_filename in pop_in (to support
               multi-instance)
             - All ecosys ciso namelist variables are included in pop_in
               regardless of state of ciso_on
             - formatting changes in marbl_in now that it comes from MARBL
               rather than build-namelist
             BASELINE failures in aux_pop_MARBL for the new
             ecosys_multiinst_lsource_sink test since previous baselines did
             not exist

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
A  +    cime_config/MARBL_settings_wrapper
M       cime_config/buildcpp
M       cime_config/buildlib
M       cime_config/buildnml
M       cime_config/testdefs/testlist_pop.xml
D       cime_config/testdefs/testmods_dirs/pop/ciso/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ciso/user_nl_marbl
D       cime_config/testdefs/testmods_dirs/pop/ciso_daily_r4_tavg/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_daily_r4_tavg/user_nl_marbl
D       cime_config/testdefs/testmods_dirs/pop/ecosys_fixed_PtoC/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_fixed_PtoC/user_nl_marbl
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_ladjust_bury_coeff/user_nl_marbl
D       cime_config/testdefs/testmods_dirs/pop/ecosys_ladjust_bury_coeff/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_multiinst_lsource_sink
A  +    cime_config/testdefs/testmods_dirs/pop/performance_eval/user_nl_marbl
M       cime_config/testdefs/testmods_dirs/pop/performance_eval/user_nl_pop
M       input_templates/ocn.ecosys.tavg.csh
A  +    input_templates/user_nl_marbl
M       source/ecosys_driver.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/passive_tracers.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    17 Nov 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171117b
Tag Summary: Merge latest marbl_dev branch tag (n65) onto trunk

             1) Update to latest MARBL tag (v0.21.2)
             2) Improve MARBL initialization, including adding
                to list of parameters settable via user_nl_pop
             3) move iron_frac_in_dust and _in_bc from MARBL to POP
             4) support for phys_cycle
             5) refactor D14C atm forcing for abio and ciso
             6) introduce / use new forcing_timeseries_mod.F90
             7) updated D14C and d13C forcing datasets to use CMIP6
             8) split dust flux into fine and coarse
             9) check tracer tendencies / surface fluxes from MARBL for NaNs
                (abort if NaN is returned)

Testing:     aux_pop on cheyenne (intel), aux_pop_MARBL on hobart (nag, intel, pgi)
             and cheyenne (intel, gnu). All NLCOMP tests fail due to splitting of
             dust_flux and moving MARBL parameters to marbl_in; following tests
             are not bit-for-bit with previous trunk:

             * ecosys_dust_flux_driver tests (roundoff due to order of operation change)
             * tests using sf6 module (roundoff due to order of operation change)
             * tests using cfc module (roundoff due to order of operation change)
             * tests using abio module (change to CMIP6 forcing dataset)
             * tests using ciso module (change to CMIP6 forcing dataset)

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/buildcpp
M       cime_config/buildnml
M       cime_config/config_component.xml
M       cime_config/config_compsets.xml
A  +    cime_config/phys_cycle_postrun
A  +    cime_config/phys_cycle_prerun
M       cime_config/testdefs/testlist_pop.xml
M       cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_transient/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_transient_abio_dic_dic14_transient
M       cime_config/testdefs/testmods_dirs/pop/ecosys_fixed_PtoC/shell_commands
M       drivers/cpl/ocn_import_export.F90
M       input_templates/ocn.ecosys.tavg.csh
M       source/abio_dic_dic14_mod.F90
A  +    source/c14_atm_forcing_mod.F90
M       source/cfc_mod.F90
M       source/ecosys_driver.F90
M       source/ecosys_forcing_mod.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/forcing.F90
M       source/forcing_coupled.F90
M       source/forcing_fields.F90
A  +    source/forcing_timeseries_mod.F90
A  +    source/namelist_from_str_mod.F90
M       source/passive_tracer_tools.F90
M       source/passive_tracers.F90
M       source/prognostic.F90
M       source/sf6_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    17 Nov 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171117
Tag Summary: Fixed bug in 5day_r4_tavg test definition

Testing:     reran test that didn't work before

M       cime_config/testdefs/testmods_dirs/pop/5day_r4_tavg/user_nl_pop
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 Nov 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171116
Tag Summary: Fixed bug in merge() call introduced in 20171115

Testing:     aux_pop_MARBL on hobart (bug only affected nag and pgi)

M       source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    15 Nov 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171115
Tag Summary: Fixed bug when reading r4 restart history file containing
             variables read via the 3D_TRANSPOSE buffer (missing values were
             very large and then a unit conversion multiplication caused
             overflow). Also introduced a new test directory (5day_r4_tavg)
             that can be used with an ERS test to catch future issues like
             this; that test is part of aux_pop and aux_pop_MARBL on cheyenne.

             Also fixed a bug in when 5day_tavg test output is written (it was
             accumulating every 5 months, not every 5 days).

Testing:     aux_pop on yellowstone bit-for-bit (except the new test, which
             has no baseline for comparison, and the two 5day_tavg tests which
             are now running the correct baseline comparison)

M       cime_config/testdefs/testlist_pop.xml
A       cime_config/testdefs/testmods_dirs/pop/5day_r4_tavg
A       cime_config/testdefs/testmods_dirs/pop/5day_r4_tavg/user_nl_pop
M       cime_config/testdefs/testmods_dirs/pop/5day_tavg/user_nl_pop
M       source/tavg.F90

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    17 Oct 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171017
Tag Summary: Added namelist parameters to specify perturbation and then to do
             the perturbation (initial.F90).

Testing:     aux_pop on cheyenne. bit for bit

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       source/initial.F90

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    08 Oct 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20171008
Tag Summary: add NTASKS_PER_INST_OCN to buildcpp

Testing:     aux_pop on cheyenne. bit for bit

M       cime_config/buildcpp

===============================================================================
Tag Creator: altuntas
Developers:  mlevy
Tag Date:    27 Sep 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170927
Tag Summary: eliminated the case where smoothed boundary layer is above the
             center of top layer.

Testing:     aux_pop on cheyenne. bit for bit

M       source/vmix_kpp.F90

===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    25 Sep 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170925
Tag Summary: add NTASKS_PER_INST_OCN and MAX_MPITASKS_PER_NODE

Testing:     aux_pop on cheyenne run successfully

M       cime_config/buildnml
M       cime_config/config_pes.xml

===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    17 Aug 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170817
Tag Summary: update config_component.xml to version 3.0 format
	removed unused optional cdf64 variable in io_pio.F90
Testing:     aux_pop on cheyenne run successfully

M          cime_config/config_component.xml
M          source/io_pio.F90


===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    8 Aug 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170808
Tag Summary: Change DICE%SIAF to DICE%IAF in config_compsets.xml
	Replace namelist variable luse_nf_64bit_offset with pio_netcdf_format flag provided from
	shr_pio_mod.F90 and set in xml using PIO_NETCDF_FORMAT with values 'classic' '64bit_offset', '64bit_data'

Testing:     aux_pop on yellowstone run successfully

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/config_compsets.xml
M       source/io_netcdf.F90
M       source/io_pio.F90
M       source/io_types.F90

===============================================================================
Tag Creator: altuntas
Developers:  klindsay
Tag Date:    25 July 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170725
Tag Summary: Added mods for getting _FillValue where land block elimination occurs

Testing:     aux_pop on cheyenne, run successfully
             bit-for-bit

Files Modified:
M       source/io.F90
M       source/io_netcdf.F90
M       source/tavg.F90
===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    10 July 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170710
Tag Summary: Moved aux_pop g16 tests to g17
             Also added mods by yeager to allow the possibility of saving extra
             3D fields associated with the POP momentum budget.

Testing:     aux_pop on cheyenne, run successfully
             bit-for-bit except for tests with no previous baselines (the new gx1v7
             tests).

Files Modified:
M       cime_config/testdefs/testlist_pop.xml
M       source/baroclinic.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    3 July 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170703
Tag Summary: Merge latest marbl_dev branch tag (n55) onto trunk

             Moved aux_pop_MARBL g16 tests -> g17
             Also removed ocn_comp_esmf.F90 from repository (previous trunk
             tag had only removed it locally)

Testing:     aux_pop_MARBL on hobart, cheyenne, and yellowstone all run successfully
             bit-for-bit except for tests with no previous baselines (the new gx1v7
             tests), no namelist changes.

Files Modified:
M       cime_config/testdefs/testlist_pop.xml
D       drivers/cpl/ocn_comp_esmf.F90
===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    2 July 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170702
Tag Summary: Fixed a typo in cime_config/buildlib (shutilmove changed as shutil.move in line 117)
             Removed ocn_comp_esmf.F90 (no longer used)

Testing: aux_pop on cheyenne. compared to cesm_pop_2_1_20170623 baselines; bit-for-bit.
        test root: /glade/scratch/altuntas/cesm.tests/cheyenne/aux_pop/cime5.3.0-alpha.29-pop_2_1_20170623

Files Modified:
M       cime_config/buildlib
!       drivers/cpl/ocn_comp_esmf.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    23 June 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170623
Tag Summary: merge latest marbl_dev branch tag (n52) onto trunk

             1. Several MARBL bug fixes / code clean-up
                a. Answer-changing: consistent use of molw_Fe parameter
             2. A few interface changes
                a. gcm_num_elements_interior_forcing no longer in MARBL interface
                b. MARBL no longer provides parameters dictating namelist size
                c. diagnostic shortname diatbSi_form changed to diat_bSi_form

             Also fixed a bug that nag DEBUG found in how passive tracers were
             read from the restart (introduced in 20170615)

Testing: since the MARBL update is answer-changing, ECO compsets will not be
         bit-for-bit; but I ran aux_pop on cheyenne and yellowstone, compared to
         the 20170615 trunk and verified non-ecosys tests are bit-for-bit (and
         all tests pass NLCOMP). This is identical to a marbl_dev branch that was
         tested on hobart (nag, intel, and pgi) as well as cheyenne and yellowstone
         (intel and gnu on both)

         It seems like something weird is going on with PGI (17.4 & 17.5), so two
         aux_pop_MARBL tests fail to build; perhaps a combination of length of the
         case name and a weird compiler issue?

Files Modified:
 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       input_templates/ocn.ecosys.tavg.csh
M       source/ecosys_driver.F90
M       source/ecosys_forcing_mod.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/passive_tracer_tools.F90
===============================================================================
Tag Creator: altuntas
Developers:  klindsay
Tag Date:    15 June 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170615
Tag Summary: improve implementation of Robert filter restart file scalars

enables tracer modules to be turned on or off across model restarts without changing
  results of other tracer modules
apply Robert filtering appropriately when tracer modules are added across model restart
  i.e., when restart file scalars are not present in the restart file

merged from rf_tracer_on_off branch
Branch Tag Summaries
n01: construct names of Robert filter restart file scalars from tracer name instead of from tracer index
n02: add infrastructure to determine if file attribute values were read from a file
n03: only use Robert filter restart file scalars if they were read from restart file
n04: inline read_field_3D into rest_read_tracer_block of passive_tracer_tools.F90

Testing:
aux_pop_MARBL cheyenne/intel: (baseline comparison to rf_tracer_on_off_n00)
   all tests pass

rf_tracer_on_off branch passed a by-hand test of turning tracers on and off across branch runs with cheyenne/gnu

Files Modified:
M       ChangeLog
M       source/abio_dic_dic14_mod.F90
M       source/cfc11_mod.F90
M       source/cfc_mod.F90
M       source/ecosys_driver.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/iage_mod.F90
M       source/io_binary.F90
M       source/io_netcdf.F90
M       source/io_types.F90
M       source/passive_tracers.F90
M       source/passive_tracer_tools.F90
M       source/restart.F90
M       source/sf6_mod.F90
M       source/step_mod.F90
M       source/tavg.F90
M       source/time_management.F90
===============================================================================
Tag Creator: altuntas
Developers:  altuntas
Tag Date:    3 June 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170603
Tag Summary: Minor changes in pop config_compsets.xml
	     Added compsets version specifier and removed a couple of comments as requested by jedwards

Testing: aux_pop on cheyenne. compared to cesm_pop_2_1_20170601 baselines; bit-for-bit. no answer changing mods.
	 test root: /glade/scratch/altuntas/cesm.tests/cheyenne/aux_pop/cime5.3.0-alpha.21-cice5_20170516-pop_2_1_20170601

	M       ChangeLog
	M       cime_config/config_compsets.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    1 June 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170601
Tag Summary: merge latest marbl_dev branch tag (n46) onto trunk

             1. Bug fixes:
                a. Elemental Jint integrals should not include restoring
                b. P-limitation formula was incorrect
                c. Fixed MARBL bug caught by intel 17
                d. processing of taavg_contents file was sometimes accessing
                   uninitialized rows of tavg_contents_request in tavg:init_tavg();
                   this sometimes led to hangs in global sums (in tavg_global())
                   because different tasks had different glags for which fields
                   were being averaged. Also led to inconsistent tavg buffer sizes.
                e. EBM correction terms were not being applied correctly
             2. Improved logging messages from MARBL
             3. Remove surface mask from MARBL (only send ocean grid cells
                for computing surface forcing)
             4. Add Lig tracer, reformulate iron scavenging
             5. Variable P:C ratio => new tracer per autotroph
                -- Optional (default on), controlled by lvariable_PtoC
             6. Remove river fluxes from MARBL (GCM passes them as external forcing)
             7. Use Wanninkhof 2014 for Schmidt numbers / xkw_coeff
             8. Add ALK_ALT_CO2 tracer / P_CaCO3_ALT_CO2 sinking particle
             9. Improved MARBL diagnostic type
             10. Removed duplicate data from marbl_domain_type
             11. Removed locmip_k1_k2_bug_fix from MARBL namelist
             12. Allow ndep_data_type = "driver" (receive ndep from flux coupler)
             13. lapply_nhx_surface_emis = .true. by default
             14. Cleaned up a lot of tests in the aux_pop and aux_pop_MARBL
                 testlists
                 -- removed some that were no longer necessary
                 -- added a performance evaluation test (no restart or history files)
             15. Renamed ecosys-enabled compsets: CECO -> C1850ECO, GECO -> G1850ECO
             16. Introduced G1850ECOIAF compset
             17. Better PE layouts out of the box for NCAR machines (all C and G
                 compsets)
             18. Update default values for many MARBL parameters
             19. sf6 & cfc tracer modules both enabled in transient runs (and other
                 appropriate compsets) -- used to just enable cfcs in those cases
             20. Improve logic on whether MARBL's alt_co2 vars should be in tavg
             21. Added running means of global scalars to tavg output
             22. New consistency checks to avoid future issues like (1d)
             23. Cleaned up code so we can test with NAG (even with DEBUG=TRUE)
                 as well as PGI (17.0.4 or later)
             24. Uses latest version of MARBL (0.17.1)

Testing: aux_pop on cheyenne and yellowstone, aux_pop_MARBL on hobart (all
         compared to marbl_dev_n45 baselines; bit-for-bit & NLCOMP also
         passes)

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       bld/build-namelist
M       bld/generate_pop_decomp.xml
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/buildcpp
M       cime_config/config_component.xml
M       cime_config/config_compsets.xml
M       cime_config/config_pes.xml
M       cime_config/testdefs/testlist_pop.xml
A  +    cime_config/testdefs/testmods_dirs/pop/cfc_sf6
M       cime_config/testdefs/testmods_dirs/pop/default/user_nl_pop
M       cime_config/testdefs/testmods_dirs/pop/ecosys/user_nl_pop
D       cime_config/testdefs/testmods_dirs/pop/ecosys_apply_nhx_surface_emis
D       cime_config/testdefs/testmods_dirs/pop/ecosys_apply_nhx_surface_emis/include_user_mods
D       cime_config/testdefs/testmods_dirs/pop/ecosys_apply_nhx_surface_emis/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_fixed_PtoC
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_read_fallback_gx3v7
D       cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7
D       cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7/include_user_mods
D       cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7/user_nl_pop
D       cime_config/testdefs/testmods_dirs/pop/ecosys_shr_stream
D       cime_config/testdefs/testmods_dirs/pop/ecosys_shr_stream/include_user_mods
D       cime_config/testdefs/testmods_dirs/pop/ecosys_shr_stream/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/performance_eval
M       drivers/cpl/POP_CplIndices.F90
M       drivers/cpl/ocn_comp_mct.F90
M       drivers/cpl/ocn_import_export.F90
M       input_templates/ocn.ciso.tavg.csh
M       input_templates/ocn.ecosys.tavg.csh
M       mpi/POP_ReductionsMod.F90
M       mpi/global_reductions.F90
M       source/baroclinic.F90
M       source/cfc11_mod.F90
M       source/cfc_mod.F90
M       source/constants.F90
M       source/ecosys_driver.F90
M       source/ecosys_forcing_mod.F90
M       source/ecosys_tavg.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/estuary_vsf_mod.F90
M       source/forcing.F90
M       source/forcing_coupled.F90
M       source/forcing_fields.F90
M       source/forcing_pt_interior.F90
M       source/forcing_s_interior.F90
M       source/forcing_sfwf.F90
M       source/grid.F90
M       source/hmix_aniso.F90
M       source/ice.F90
M       source/initial.F90
M       source/io.F90
A  +    source/io_read_fallback_mod.F90
M       source/passive_tracer_tools.F90
M       source/passive_tracers.F90
M       source/prognostic.F90
M       source/running_mean_mod.F90
M       source/schmidt_number.F90
M       source/sf6_mod.F90
M       source/state_mod.F90
M       source/step_mod.F90
M       source/strdata_interface_mod.F90
M       source/tavg.F90
M       source/tidal_mixing.F90
A  +    source/var_consistency_mod.F90
M       source/vmix_kpp.F90
===============================================================================
Tag Creator: jet
Developers:  klindsay
Tag Date:    16 May 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170516
Tag Summary: bug fix to correct use of an uninitialized variable in the EBM
             relevant url for the code in question:
	     https://web.archive.org/web/20141219193637/http://www.helioscorner.com/

Testing: This mod only affects the ocean configurations using the EBM (1 degree).  The 1 degree tests
	are expected to be different because the mod is answer changing.  All other resolutions of aux_pop pass.
	(A test case was looked at by Keith to verify that the fix looked ok. Cecile is running her controls with this fix in.

	M       source/estuary_vsf_mod.F90
	M       ChangeLog
===============================================================================
Tag Creator: jet
Developers:  njn01, gokhan
Tag Date:    9 May 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170508
Tag Summary: modify Robert Filtering code to fix a problem with salinity drift in marginal seas


Testing: This mod only affects the ocean configurations using robert filter (1 degree).  The 1 degree tests
	are expected to be different because the mod is answer changing (it has been validated by Gokhan in
	coupled testing).  All other resolutions of aux_pop pass.


	from Nancy's README on her testing.
	Primary tests:
	==============

	   1) oob -- same as "Case 149," where the problem with salinity drift in marginal seas was first observed
	     /glade/p/cgd/oce/people/njn01/cases/robert/margseas/b.e20.B1850.f09_g17.pi_control.all.149.RF.margseas.01

	   2) same as 1), except RF tracer-conservation-term modification
	     /glade/p/cgd/oce/people/njn01/cases/robert/margseas/b.e20.B1850.f09_g17.pi_control.all.149.RF.margseas.02
	      This case was run for five years and approved by Gokhan

	   3) same as 2), except cleaned-up code from supplemental tests listed below
	     /glade/p/cgd/oce/people/njn01/cases/robert/margseas/b.e20.B1850.f09_g17.pi_control.all.149.RF.margseas.02b
	      This case was run for one month, and is b4b with month 1 of case 2).  The three modified files used
	      in this experiment's SourceMods/src.pop directory are identical to those in the Supplemental test cases
	      below.



	Supplemental tests:
	===================

	   After running primary test cases 1) and 2), I set up these supplemental test cases in which I could
	   clean up the experimental version used in case 2) (expand upon KL's RCALC_OPEN_OCEAN mods, eg).  In
	   the process, I discovered a bug in the code used in case149. This buggy code was not triggered
	   in case 149; it was a partially-coupled-option bug only.  I corrected that bug and tested in the
	   giaf case below. (the 'partially-coupled' string referenced in step_mod.F90 was *not* registered;
	   I modified forcing_shf.F90 so that now it is registered)


	    1) giaf
	       /glade/u/home/njn01/ROBERT/cases/cesm20/giaf.c2b4m.gx1v6.robert.1hr.07g

	    2) B1850
	       /glade/u/home/njn01/ROBERT/cases/cesm20/B1850.c2b4m.gx1v6.robert.1hr.08

	Tests:
	      giaf:  Three years: check tracer budget diagnostics -- acceptable balance/imbalance
	                          check precipitation factor -- ok
	                          re-test with various incarnations of cleaned-up code
	      B1850: 6- to 10-day runs with daily budget diagnostics.

	NOTE: CIME tag in the supplemental tests is /glade/p/cgd/oce/people/njn01/MODELS/CESM/cesm2_0_alpha04b

	M       source/step_mod.F90
	M       source/grid.F90
	M       source/forcing_shf.F90
	M       ChangeLog

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    5 May 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170505
Tag Summary: Bug fixes in buildcpp and update tests for cheyenne instead of
             yellowstone.

             Bugfixes are
             * Handling of IRF_MODE in OCN_TRACER_MODULES_OPT was broken (the
               mode is a string, not integer)
             * If IRF_NT=0, script needs ocn_grid to determine IRF_NT (if
               IRF_MODE = 'offline_transport' then the number of tracers added
               is grid-dependent)

             The change to the testlist means running running create_test with
             * --xml-machine cheyenne --machine yellowstone if you want to run
               tests on yellowstone
             * --xml-machine cheyenne to run on cheyenne

Testing:     aux_pop test list is bit-for-bit with previous tag on yellowstone

M       cime_config/buildcpp
M       cime_config/testdefs/testlist_pop.xml
===============================================================================
Tag Creator: jet
Developers:  aliceb,jedwards
Tag Date:    28 Apr 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170428
Tag Summary: Bug fix for time period assignment in history files and
	     fix for POP_AUTO_DECOMP


Testing:     alice tested results in
	/glade2/scratch2/aliceb/archive/g.e20.G.T62_g16.alice_test.001/ocn/hist

	M       cime_config/config_component.xml
        M       source/tavg.F90
	M       ChangeLog
===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    4 Apr 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170404
Tag Summary: Bug fix for 36 processor decomposition


Testing:     ran ERS_D.f09_g16.B1850.cheyenne_intel to verify that this works correctly

        M       bld/generate_pop_decomp.xml
	M       ChangeLog
===============================================================================
Tag Creator: jet
Developers:  jet,klindsay,njn01
Tag Date:    23 Mar 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170323
Tag Summary: Critical Salinity Bug Fix.
             *correction for salinity drift. POP was passing to CICE a frazil ice formation term that is twice what
	         is consistent with POP's internal budget.
	     *fix for time_bound variable across restarts.  This variable was in error when restarting mid_month and could
	         possibly cause averaging errors if used in postprocessing.
	     *enhanced deep diffusivity is on only for gx1 resolutions by default.  Will test at other resolutions and
	         adjust as necessary
             *definitions for time-averaged RF TEMP and SALT adjustment terms

Testing:     ran aux_pop on this tag.  This is an answer changing (salinity bug fix) that will cause baseline failures.
             everything but comparisons ran fine, exact restarts etc.

        M       source/ice.F90
	M       source/step_mod.F90
	M       source/budget_diagnostics.F90
	M       source/tavg.F90
	M       source/baroclinic.F90
	M       bld/namelist_files/namelist_defaults_pop.xml
	M       ChangeLog

===============================================================================
Tag Creator: jet
Developers:  jet,klindsay,jedwards,mlevy
Tag Date:    12 Mar 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170312
Tag Summary: Add support for running gx1v7 out of the box
	     Fixed bug in refactor of RF related global sums.
	     Added new 5 day tavg tests to catch errors in tavg history files.
             Turn off Estuary Box Model for all resolutions except 1 degree ocean.
             Move Estuary Box Model Parameter file from resolution independent directory to gx1v6 forcing directory.
	     Added decompositions for pe multiples of 36.

Testing:     ran aux_pop on this tag.
	         1) all gx3v7 tests run but fail namelist comparisons and comparison to baseline (expected due to disabling
	              EBM for all resolutions but 1 degree ocean)
	         2) gx1v6 tests nlfail due to moving and renaming EBM parameter file. Runs are bfb though.
	         3) new 5 day tavg tests failing due to an error in time_bounds history variable on a model restart.
                      The model is currently writing the beginning time_bounds for monthly average files from the
	              restart date instead of the month start.  Will be fixed in upcoming tag.

	M       source/timers.F90
	M       source/tavg.F90
	M       bld/build-namelist
	M       bld/namelist_files/namelist_defaults_pop.xml
	M       bld/generate_pop_decomp.xml
	A       cime_config/testdefs/testmods_dirs/pop/5day_tavg
	A       cime_config/testdefs/testmods_dirs/pop/5day_tavg/include_user_mods
	A       cime_config/testdefs/testmods_dirs/pop/5day_tavg/user_nl_pop
	A       cime_config/testdefs/testmods_dirs/pop/ecosys_5day_tavg
	A       cime_config/testdefs/testmods_dirs/pop/ecosys_5day_tavg/include_user_mods
	M       cime_config/testdefs/testlist_pop.xml
	M       ChangeLog
	A       input_templates/gx1v7_1D_tavg_contents
	A       input_templates/gx1v7_overflow
	A       input_templates/gx1v7_vert_grid
	A       input_templates/gx1v7_tavg_contents_high_freq
	A       input_templates/gx1v7_niw_tavg_contents
	A       input_templates/gx1v7_depth_accel
	A       input_templates/gx1v7_region_ids
	A       input_templates/gx1v7_transport_contents
	A       input_templates/gx1v7_movie_contents
	A       input_templates/gx1v7_domain_size.F90
	A       input_templates/gx1v7_POP_DomainSizeMod.F90
	A       input_templates/gx1v7_tavg_contents
	A       input_templates/gx1v7_history_contents


===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    22 Feb 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170222a
Tag Summary: merge latest marbl_dev branch tag (n32) onto trunk

             This tag includes new MARBL timers and some performance
             improvements in ecosys_driver. Also, if you are accumulating a 3D
             tavg field column by column there is a new tavg buffer that is
             allocated in such a way that columns are contiguous memory - it's
             (k, i, j, tavg_id, iblock) instead of (i, j, k, tavg_id, iblock)

Testing:     ran aux_pop_MARBL on the marbl_dev branch and aux_pop on this
             tag, still bit-for-bit with cesm_pop_2_1_20170216

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       cime_config/buildcpp
 M      drivers/cpl
M       drivers/cpl/POP_FinalMod.F90
 M      drivers/cpl_none
M       source/diagnostics.F90
M       source/ecosys_driver.F90
M       source/ecosys_tavg.F90
M       source/ecosys_tracers_and_saved_state_mod.F90
M       source/passive_tracers.F90
M       source/tavg.F90
M       source/timers.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    22 Feb 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170222
Tag Summary: bug-fix for writing restart history files

	The restart history file was incorrect for 3D fields that are not full-depth
  (e.g. there are many fields in the ecosystem that only write the first 150m
  to history file). This fix does not affect any tests - any test that would
  have uncovered this bug would have failed due to the nature of restart
  history files to result in history files that are round-off level different.
  After the CESM 2.0 science freeze, a fix for the round-off level history
  files when restarting mid-accumulation will be produced and then a test will
  be introduced to make sure this bug stays fixed. (A simple test would be to
  set tavg_freq = tavg_file_freq = 5 and then run ERS_Ld5 for the gx1 and / or
  ERS_Ld6 for the gx3 with the ecosystem on.)

Testing: bit-for-bit with baselines made from cesm2_0_alpha06b (but using
         cesm_pop_2_1_20170216 instead of the alpha06b pop tag) -- tested
         aux_pop and aux_pop_MARBL on yellowstone as well as aux_pop_MARBL on
         hobart.

M       source/io_netcdf.F90
M       source/io_pio.F90
===============================================================================
Tag Creator: jet
Developers:  klindsay
Tag Date:    16 Feb 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170216
Tag Summary: refactor of RF related global sums

	This implementation does the following:
	1) reduces number of global_sum calls in subroutines step_RF and step_RF_diag in step_mod.F90,
	   and subroutine diag_for_tracer_budgets in budget_diagnostics.F90
	2) adds timers related to these, and for tavg_global (which also call global_sum)
	3) general white-space cleanup (mostly indentation)

	The code does introduce round-off level changes in answers

	Aux pop run and had expected failures when comparing to baseline due to roundoff level mods.

	M       source/step_mod.F90
	M       source/budget_diagnostics.F90
	M       source/tavg.F90
	M       ChangeLog


===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    28 Jan 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170128
Tag Summary: Set New Defaults for pop.  Dependent on cime tag for new mapping files. Added frequency
	     attribute to pop history and cleaned up EBM.

	1 hr ocn coupling
	   fit_freq = 24
	   dt_count = 24
	   iday0 = 1
	   ihour0 = 1
	   coupled_frq = 1
	   coupled_frq_opt = nhour

           drv_in (cpl_seq_option = "RASM_OPTION1")

	Estuary Box Model ON
	   ebm_param_file_fmt = 'nc'
	   ebm_param_filename='EBMparameter_global_HU20HL20_allROFF_CESM2B.nc'
	   ebm_param_option = 'file'
	   estuary_option = 'on'
	   estuary_type = 'vsf_ebm'
	   rof2ocn_liq_rmapname =  map_r05_to_gx1v6_ac_nn_160304.nc

	Robert Filtering On
	   time_mix_opt = 'robert'
	   robert_nu  = .1

	Radiation SW distribution cosz => const

	Enhanced diffusivity at depth
	   kappa_isop_deep = 0.2

	CESM2 default for forming ice every timestep when coupled
	   licecesm2 = .true.
	     (merged to esmci master https://github.com/ESMCI/cime/pull/840 via pull request)

Testing: aux_pop all tests past with the exception of the following MEM leak tests

	FAIL ERS_Ld30.T62_g37.C.yellowstone_intel.pop-abio_dic_dic14_transient MEMLEAK memleak detected, memory went from 223.680000 to 246.820000 in 12 days
    FAIL ERS_Ld30.T62_g37.C.yellowstone_intel.pop-default MEMLEAK memleak detected, memory went from 189.310000 to 212.010000 in 12 days
    FAIL ERS_Ld30.T62_g37.G.yellowstone_intel.pop-abio_dic_dic14_presaero MEMLEAK memleak detected, memory went from 205.360000 to 228.540000 in 12 days
    FAIL ERS_Ld30.T62_g37.G.yellowstone_intel.pop-presaero MEMLEAK memleak detected, memory went from 225.790000 to 250.260000 in 12 days
    FAIL SMS_D.T62_g37.GECO.yellowstone_intel.pop-ecosys MEMLEAK memleak detected, memory went from 386.260000 to 436.420000 in 3 days
    FAIL SMS_P15x1_D.T62_g37.CECO.yellowstone_intel.pop-ecosys MEMLEAK memleak detected, memory went from 499.920000 to 560.780000 in 3 days

	following expected pre-alpha runs failed as well:
	SMS_Ld5.T31_g37_gl20.B1850C5L45BGCRG.yellowstone_intel.allactive-defaultio
	ERR.f45_g37_rx1.A.yellowstone_intel

    No baselines were run because they will be different due to the new parameter set.

	M       ChangeLog
	M       bld/build-namelist
	M       bld/build-namelist
	M       bld/namelist_files/namelist_defaults_pop.xml
	M       bld/namelist_files/namelist_definition_pop.xml
	M       source/forcing.F90
	M       source/forcing_coupled.F90
	M       source/estuary_vsf_mod.F90
	M       source/tavg.F90
	M       source/vmix_kpp.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    20 Jan 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170120
Tag Summary: Merged in marbl_dev_n25 tag to get new BGC developments in MARBL
             MARBL external is now using v0.10.0, introducing the following:
             1. Lots of infrastructure refactoring
             2. Support time-varying bury coefficient
             3. Compute NHx surface emissions
             Also, this tag brings in support for 4D streams

Testing:     generated aux_pop baselines from cesm2_0_beta05
             [cime5.2.0-alpha.20, cice5_20170113, and cesm_pop_2_1_20161229]
             with yellowstone_intel; also generated aux_pop_MARBL baselines
             with yellowstone_intel, yellowstone_gnu, hobart_nag, and
             hobart_intel. Used the same sandbox with this version of POP,
             compared to those baselines. [Expected] failures all fell into one
             of the following four categories:
             1. all namelist comparisons failed
                - new 4D stream code added new variables to PT and S forcing
                  namelists
                - ecosystem namelists were renamed and some variables were
                  moved for consistency. MARBL reads &marbl_config_nml and
                  &marbl_parms_nml while the POP driver reads
                  &ecosys_driver_nml, &ecosys_forcing_data_nml, and
                  &ecosys_tracer_init_nml
             2. New tests (many of these with and without cice)
                - added ecosys_daily_r4_tavg and ciso_daily_r4_tavg to test
                  writing single precision tavg files (this also tests the
                  default ecosystem output variable list instead of setting
                  lecosys_debug =.true. and accumulating a large number of
                  variables)
                - added test turning on time-varying bury coefficient
                - added test turning on NHx surface emissions
                - added test for getting dust_flux from driver instead of from
                  file (feature was added in last MARBL update but not tested)
             3. Changes to inputdata files
                *** Affects ciso tests and ecosys_restore_gx3v7 test
                - CISO tracer initial conditions come from same file as rest
                  of ecosystem tracers (previously used an older version) so
                  all ciso tests fail
                - ecosys_restore_gx3v7 test restores to current initial
                  conditions instead of the old version of the file as well
             4. Actual changes in the code
                *** Affects tests using GECO compsets
                - All GECO baseline comparisons will fail because of an order
                  of operations change in computation of BLACK_CARBON_FLUX_CPL
                  and DUST_FLUX_CPL.
Testing Summary: C and G compsets are bit for bit with previous tag. CECO
                 compsets are also bit for bit with previous tag unless you
                 add ciso to OCN_TRACER_MODULES.

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/testdefs/testlist_pop.xml
M       cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ecosys_apply_nhx_surface_emis
M       cime_config/testdefs/testmods_dirs/pop/cice_ecosys_dust_flux_driver/include_user_mods
D       cime_config/testdefs/testmods_dirs/pop/cice_ecosys_dust_flux_driver/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ecosys_ladjust_bury_coeff
M       cime_config/testdefs/testmods_dirs/pop/ciso/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_daily_r4_tavg
A  +    cime_config/testdefs/testmods_dirs/pop/daily_r4_tavg
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_apply_nhx_surface_emis
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_daily_r4_tavg
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_dust_flux_driver
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_ladjust_bury_coeff
M       cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7/user_nl_pop
M       cime_config/testdefs/testmods_dirs/pop/presaero/shell_commands
 M      drivers/cpl
M       drivers/cpl/POP_CplIndices.F90
M       drivers/cpl/POP_MCT_vars_mod.F90
M       drivers/cpl/ocn_comp_esmf.F90
M       drivers/cpl/ocn_comp_mct.F90
M       drivers/cpl/ocn_import_export.F90
 M      drivers/cpl_none
M       input_templates/ocn.ecosys.tavg.csh
M       source/ecosys_driver.F90
A  +    source/ecosys_forcing_mod.F90
M       source/ecosys_tavg.F90
A  +    source/ecosys_tracers_and_saved_state_mod.F90
M       source/forcing_pt_interior.F90
M       source/forcing_s_interior.F90
M       source/io_types.F90
M       source/passive_tracer_tools.F90
M       source/passive_tracers.F90
M       source/prognostic.F90
M       source/strdata_interface_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    19 Jan 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170119
Tag Summary: Undo Jan 7th tag (going to add MARBL update before changing all
             these defaults)

Testing:     Verified that tag is identical to cesm_pop_2_1_20161229 aside
             from ChangeLog contents and some svn:properties

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       input_templates/test_pop2_in_build.csh
M       source/estuary_vsf_mod.F90
M       source/forcing.F90
M       source/forcing_coupled.F90
M       source/tavg.F90
M       source/vmix_kpp.F90
===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    7 Jan 2017
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20170107
Tag Summary: Set New Defaults for pop.  Dependent on cime tag. Added frequency
	     attribute to pop history and cleaned up EBM.

	1 hr ocn coupling
	   fit_freq = 24
	   dt_count = 24
	   iday0 = 1
	   ihour0 = 1
	   coupled_frq = 1
	   coupled_frq_opt = nhour

           drv_in (cpl_seq_option = "RASM_OPTION1")

	Estuary Box Model ON
	   ebm_param_file_fmt = 'nc'
	   ebm_param_filename='EBMparameter_global_HU20HL20_allROFF_CESM2B.nc'
	   ebm_param_option = 'file'
	   estuary_option = 'on'
	   estuary_type = 'vsf_ebm'
	   rof2ocn_liq_rmapname =  map_r05_to_gx1v6_ac_nn_160304.nc

	Robert Filtering On
	   time_mix_opt = 'robert'
	   robert_nu  = .1

	Radiation SW distribution cosz => const

	Enhanced diffusivity at depth
	   kappa_isop_deep = 0.2

	CESM2 default for forming ice every timestep when coupled
	   licecesm2 = .true.
	     (merged to esmci master https://github.com/ESMCI/cime/pull/840 via pull request)

Testing: aux_pop all tests past with the exception of some MEM leak tests and one ERS test all
	 failing before this commit. No baselines were run because they will be different due
	 to the new parameter set.

	M       cesm_pop_2_1_20161229/source/forcing.F90
	M       cesm_pop_2_1_20161229/source/forcing_coupled.F90
	M       cesm_pop_2_1_20161229/source/estuary_vsf_mod.F90
	M       cesm_pop_2_1_20161229/source/tavg.F90
	M       cesm_pop_2_1_20161229/bld/build-namelist
	M       cesm_pop_2_1_20161229/bld/namelist_files/namelist_defaults_pop.xml
	M       cesm_pop_2_1_20161229/bld/namelist_files/namelist_definition_pop.xml
	M       cesm_pop_2_1_20161229/input_templates/test_pop2_in_build.csh

===============================================================================
Tag Creator: mvertens
Developers:  mvetesn
Tag Date:    29 Dec 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20161229
Tag Summary: pythonization of buildnml and buildlib and removal of moby

Testing:
Ran aux_pop and aux_pop_MARBL test suites - bfb with cesm_pop_2_1_20161219
Ran prealpha test suite - bfb with alpha05c

The creation of the pop Filepath file, the cpp variables and the config_cachel.xml file
is now done in a new cime_config/buildcpp script
The config_cache.xml file is needed to generate namelists
The Filepath and cpp variables are needed to build the model
  - the buildcpp script is now always called from buildlib
  - the buildcpp script is ONLY called from buildnml if necessary
    (i.e. if you are trying to generate a namelist and you have have
    not created the config_cache.xml file)
The new pythonized buildnml script still calls the perl bld/build-namelist script,
which will by pythonized in a future commit.

- pythonization of buildml and buildlib and introduction of new buildcpp
  build-namelist has a modified interface to deal with new CIME schemas
  for pe-layouts. However, this is backwards compatible with the current
  version of CIME.

M       bld/build-namelist
A       cime_config/buildcpp
M       cime_config/buildlib
M       cime_config/buildnml

- the following has been incorporated into the new buildcpp script - so
  these files are no longer needed

D       bld/configure
D       bld/config_files
D       bld/config_files/definition.xml
D       bld/config_files/definition.xsl

- the following has been renamed to be consistent with generate_pop_decomp.pl

D       bld/pop_decomp.xml
A       bld/generate_pop_decomp.xml
M       bld/generate_pop_decomp.pl

- removal of moby

D       source/moby_mod.F90
M       source/passive_tracers.F90
D       source/moby_parms.F90
D       bld/moby_activate.csh
D       bld/moby_deactivate.csh
M       drivers/cpl/POP_FinalMod.F90
D       input_templates/ocn.moby.tavg.csh
M       cime_config/config_component.xml
	- (removed OCN_SUBMODEL and DARWIN attributes)
M       cime_config/config_compsets.xml
        - (removed DARWIN compsets)
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml

===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:
Tag Name:
Tag Summary: oneline change in build-namelist, perl can no longer access NTASKS_OCN or NINST_OCN

Testing: cesm2_0_alpha05b

===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    19 DEC 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20161219
Tag Summary: oneline change in configure, xmlquery now returns "TRUE" instead of "true"

Testing: cesm2_0_alpha05b


===============================================================================
Tag Creator: jet
Developers:  jet,mlevy
Tag Date:    28 Nov 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20161128
Tag Summary: Allow cvmix files to be included in pop library build instead of creating
	     a separate cvmix library.  This tag is dependent upon a
	     cime/cime_config/cesm/machines/Makefile
	     update.

	     (merged to esmci master https://github.com/ESMCI/cime/pull/840 via pull request)

Testing: aux_pop all tests past with the exception of some MEM leak tests which were
	 failing before this commit. Everything BFB with the exception of some ERI
	 tests that fail because of WW3.

	M       ChangeLog
        M       components/pop/cime_config/buildlib
===============================================================================
Tag Creator: jet
Developers:  jet,klindsay,mlevy
Tag Date:    16 Nov 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20161116
Tag Summary: Bug fix to make sure all values in some of the vmix_kpp arrays
	     are assigned. Also started adding in NAG compiler fixes for POP.


Testing: aux_pop all tests past with the exception of some MEM leak tests which were
	 failing before this commit. Everything BFB with the exception of some ERI
	 tests that fail because of WW3.  There will be more NAG fixes to follow.

	M       ChangeLog
        M       mpi/POP_BroadcastMod.F90
	M       mpi/POP_CommMod.F90
	M       mpi/POP_HaloMod.F90
	M       mpi/POP_RedistributeMod.F90
	M       mpi/POP_ReductionsMod.F90
	M       source/cfc11_mod.F90
	M       source/estuary_vsf_mod.F90
	M       source/forcing_ap.F90
	M       source/forcing_sfwf.F90
	M       source/forcing_shf.F90
	M       source/forcing_ws.F90
	M       source/grid.F90
	M       source/initial.F90
	M       source/io_binary.F90
	M       source/overflows.F90
	M       source/step_mod.F90
	M       source/sw_absorption.F90
	M       source/vmix_kpp.F90

===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    26 Oct 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20161026
Tag Summary: update configure because of interface change to xmlchange


Testing: built a coupled case.

	M       ChangeLog
	M       bld/configure

===============================================================================
Tag Creator: jet
Developers:  njn01,yuheng,jet
Tag Date:    14 Oct 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20161014
Tag Summary: add new Robert Filtering defaults, EBM exchange circulation mods,
	bug fix in diagnostics.F90,bug fix for new RF tavg fixed level diagnostics.

Testing: aux_pop - BFB with EBM/RF off (default).

	ERI tests fail due to ww3 bug with hybrid restarts
        ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 failing due to cime problem introduced in cesm15alpha07e
        known SMS Memory failures


	M       ChangeLog
	M       bld/namelist_files/namelist_defaults_pop.xml
	M       bld/namelist_files/namelist_definition_pop.xml
	M       source/diagnostics.F90
	M       source/estuary_vsf_mod.F90
	M       source/forcing.F90
	M       source/forcing_coupled.F90
	M       source/restart.F90
	M       source/step_mod.F90
	M       source/time_management.F90

===============================================================================
Tag Creator: jet
Developers:  njn01
Tag Date:    29 Sep 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160929
Tag Summary: add robert filtering to trunk - bfb with cesm1_5_beta07 - default off

Testing: aux_pop - BFB - nlcomp failed because of added robert namelist options
	                 ERI restarts still failing because of WW3

	M       ChangeLog
	M       bld/namelist_files/namelist_definition_pop.xml
	M       input_templates/gx1v6_tavg_contents
	M       source/baroclinic.F90
	M       source/budget_diagnostics.F90
	M       source/diagnostics.F90
	M       source/forcing_sfwf.F90
	M       source/grid.F90
	M       source/ice.F90
	M       source/initial.F90
	M       source/io_tools.F90
	M       source/overflows.F90
	M       source/qflux_mod.F90
	M       source/restart.F90
	M       source/step_mod.F90
	M       source/surface_hgt.F90
	M       source/tavg.F90
	M       source/time_management.F90

===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    28 Sep 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160928
Tag Summary:  fix for the NCK test

Testing:

===============================================================================
Tag Creator: jet
Developers:  jedwards
Tag Date:    28 Aug 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160828
Tag Summary: merge esmci pop changes to trunk add licecesm2 to ice namelist and initialize.

Testing: Ran aux_pop everything passes with exception of hybrid restarts because of WW3 problem

	M       bld/config_files/definition.xml
	M       bld/configure
	M       bld/namelist_files/namelist_defaults_pop.xml
	M       cime_config/config_component.xml
	M       cime_config/config_pes.xml
	M       cime_config/testdefs/testlist_pop.xml
	M       cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14/shell_commands
	M       cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_presaero/include_user_mods
	M       cime_config/testdefs/testmods_dirs/pop/ciso/shell_commands
	M       cime_config/testdefs/testmods_dirs/pop/default/shell_commands
	M       cime_config/testdefs/testmods_dirs/pop/ecosys_3steps/shell_commands
	M       source/ice.F90
	M       ChangeLog

===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    28 Jun 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160628
Tag Summary: WW3 interactive (Lang & CVMIX on) and add namelist control of ice formation and redi diffusion

New Namelist Parameters:
	licecesm2: controls when ice formation occurs.  This is just a
	temporary and will be removed before release.

	kappa_thic_deep and kappa_isop_deep: adjust minimum diffusion
	The valid range for these variables is .1 to 1.0.  Anything below .1 is ignored.

Testing: Ran aux_pop everything passes with exception of hybrid restarts because of WW3 problem
         Baseline comparisons differ due to active WaveWatch.

M       source/time_management.F90
M       source/ice.F90
M       source/step_mod.F90
M       source/hmix_gm.F90
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/config_compsets.xml
M       ChangeLog

===============================================================================
Tag Creator: mlevy
Developers:  mlevy,klindsay
Tag Date:    04 May 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160513
Tag Summary: Merged in marbl_dev_n09 tag to get new BGC developments in MARBL
             1. Improved message logging to pass to POP
             2. Better consistency check for tracer count
             3. Ability to get dust_flux from flux coupler rather than file
                (and a new test in the test suite using this feature)
             MARBL external is now using v0.4.0

Testing: Ran the following suites with cime4.5.8 (+ updated compare_namelist
         script) and cice5_20160401
         * aux_pop_MARBL (yellowstone_intel)
         * aux_pop_MARBL (yellowstone_gnu)
         * aux_pop_MARBL (hobart_nag)
         * aux_pop       (yellowstone_intel)
         All tests pass;  baseline comparisons are bit-for-bit (comparing
         against a marbl_dev branch tag that was bit-for-bit with an earlier
         trunk tag)

M       SVN_EXTERNAL_DIRECTORIES
M       bld/build-namelist
M       bld/configure
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/testdefs/testlist_pop.xml
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ecosys_dust_flux_driver
 M      drivers/cpl
M       drivers/cpl/ocn_import_export.F90
M       input_templates/ocn.ecosys.tavg.csh
M       source/ecosys_driver.F90
M       source/forcing.F90
M       source/forcing_coupled.F90
M       source/forcing_fields.F90
M       source/passive_tracer_tools.F90
M       source/passive_tracers.F90

===============================================================================
Tag Creator: jet
Developers:  mclong
Tag Date:    04 May 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160504a
Tag Summary: New Sulfur hexafluoride (SF6) tracer.


Testing:
aux_pop: (baseline comparison to cesm_pop_2_1_20160413 tag)
   all aux_pop tests pass and bfb.  Added 1 new module,
	a boundary dataset, and output template	for SF6.
	The new SF6 boundary dataset was added to the glade input
	directory as well as imported to the data repository.
	boundary data file : ocn/pop/res_indpt/forcing/sf6_atm_20160311.nc

M       ChangeLog
A       source/sf6_mod.F90
M       source/passive_tracers.F90
M       bld/configure
M       bld/config_files/definition.xml
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
A       input_templates/ocn.sf6.tavg.csh

===============================================================================
Tag Creator: jet
Developers:  tcraig
Tag Date:    04 May 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160504
Tag Summary: bfb bug fix and land block elimination bug fixes
	 The bug fix to restart appears very rarely and probably only
	 with the land block elimination.

Testing:
aux_pop: (baseline comparison to cesm_pop_2_1_20160413 tag)
   all tests pass

M       ChangeLog
M       source/POP_DistributionMod.F90
M       source/POP_SpaceCurveMod.F90
M       source/distribution.F90
M       source/restart.F90
M       source/domain.F90

===============================================================================
Tag Creator: klindsay
Developers:  klindsay
Tag Date:    26 Apr 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160426
Tag Summary: Fix threading bug, allowing non-ciso CECO and GECO compsets to run with gnu

Testing:
aux_pop: (baseline comparison to cesm_pop_2_1_20160407 tag)
   tests pass with following exceptions
      nlcomp fails because of nl changes in cesm_pop_2_1_20160413

aux_pop (gnu): (no baseline comparison)
   non-ciso tests pass

M       ChangeLog
M       source/ecosys_tavg.F90

===============================================================================
Tag Creator: jet
Developers:  yu-heng
Tag Date:    13 Apr 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160413
Tag Summary: Add Estuary Box Model to pop.  Off by default.  This implementation requires
	     new mapping files that adjust the spreading function.
	     /glade/p/cesmdata/cseg/inputdata/cpl/gridmaps/rx1/map_rx1_to_gx1v6_ac_nn_160304.nc
	     I will speak with CSEG about how to build this into the CESM scripts so EBM works
	     out of the box with the correct maps.

             Passes aux_pop tests on yellowstone.intel

M       source/initial.F90
M       source/forcing_coupled.F90
A       source/estuary_vsf_mod.F90
M       source/baroclinic.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    7 Apr 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160407
Tag Summary: MARBL was updated to allow more extensible surface forcing output
             fields, which lead to a change in the POP <-> MARBL interface
             (i.e. ecosys_driver.F90). The change in named_field_mod.F90 is to
             zero out a new named field when it is registered rather than
             requiring a call to named_field_set with an array of 0s.

             Passes aux_pop and aux_pop_MARBL tests on yellowstone.intel

 M      .
M       SVN_EXTERNAL_DIRECTORIES
M       source/ecosys_driver.F90
M       source/named_field_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    17 Mar 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160317b
Tag Summary: Move MARBL source code into its own repository, bring in as
             external

 M      .
M       SVN_EXTERNAL_DIRECTORIES
D       source/marbl
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    17 Mar 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160317a
Tag Summary: Move MARBL source code into its own directory

M       cime_config/buildlib
A       source/marbl
A  +    source/marbl/marbl_ciso_mod.F90
        > moved from source/marbl_ciso_mod.F90
A  +    source/marbl/marbl_co2calc_mod.F90
        > moved from source/marbl_co2calc_mod.F90
A  +    source/marbl/marbl_constants_mod.F90
        > moved from source/marbl_constants_mod.F90
A  +    source/marbl/marbl_diagnostics_mod.F90
        > moved from source/marbl_diagnostics_mod.F90
A  +    source/marbl/marbl_interface.F90
        > moved from source/marbl_interface.F90
A  +    source/marbl/marbl_interface_constants.F90
        > moved from source/marbl_interface_constants.F90
A  +    source/marbl/marbl_interface_types.F90
        > moved from source/marbl_interface_types.F90
A  +    source/marbl/marbl_internal_types.F90
        > moved from source/marbl_internal_types.F90
A  +    source/marbl/marbl_kinds_mod.F90
        > moved from source/marbl_kinds_mod.F90
A  +    source/marbl/marbl_logging.F90
        > moved from source/marbl_logging.F90
A  +    source/marbl/marbl_mod.F90
        > moved from source/marbl_mod.F90
A  +    source/marbl/marbl_namelist_mod.F90
        > moved from source/marbl_namelist_mod.F90
A  +    source/marbl/marbl_oxygen.F90
        > moved from source/marbl_oxygen.F90
A  +    source/marbl/marbl_parms.F90
        > moved from source/marbl_parms.F90
A  +    source/marbl/marbl_restore_mod.F90
        > moved from source/marbl_restore_mod.F90
A  +    source/marbl/marbl_schmidt_number_mod.F90
        > moved from source/marbl_schmidt_number_mod.F90
A  +    source/marbl/marbl_share_mod.F90
        > moved from source/marbl_share_mod.F90
A  +    source/marbl/marbl_sizes.F90
        > moved from source/marbl_sizes.F90
D       source/marbl_ciso_mod.F90
        > moved to source/marbl/marbl_ciso_mod.F90
D       source/marbl_co2calc_mod.F90
        > moved to source/marbl/marbl_co2calc_mod.F90
D       source/marbl_constants_mod.F90
        > moved to source/marbl/marbl_constants_mod.F90
D       source/marbl_diagnostics_mod.F90
        > moved to source/marbl/marbl_diagnostics_mod.F90
D       source/marbl_interface.F90
        > moved to source/marbl/marbl_interface.F90
D       source/marbl_interface_constants.F90
        > moved to source/marbl/marbl_interface_constants.F90
D       source/marbl_interface_types.F90
        > moved to source/marbl/marbl_interface_types.F90
D       source/marbl_internal_types.F90
        > moved to source/marbl/marbl_internal_types.F90
D       source/marbl_kinds_mod.F90
        > moved to source/marbl/marbl_kinds_mod.F90
D       source/marbl_logging.F90
        > moved to source/marbl/marbl_logging.F90
D       source/marbl_mod.F90
        > moved to source/marbl/marbl_mod.F90
D       source/marbl_namelist_mod.F90
        > moved to source/marbl/marbl_namelist_mod.F90
D       source/marbl_oxygen.F90
        > moved to source/marbl/marbl_oxygen.F90
D       source/marbl_parms.F90
        > moved to source/marbl/marbl_parms.F90
D       source/marbl_restore_mod.F90
        > moved to source/marbl/marbl_restore_mod.F90
D       source/marbl_schmidt_number_mod.F90
        > moved to source/marbl/marbl_schmidt_number_mod.F90
D       source/marbl_share_mod.F90
        > moved to source/marbl/marbl_share_mod.F90
D       source/marbl_sizes.F90
        > moved to source/marbl/marbl_sizes.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, mvertens (along with jwolfe and klindsay)
Tag Date:    17 Mar 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160317
Tag Summary: Bring MARBL branch to the trunk - MARBL has reached a point where
             it can be compiled independently of POP, so we will start the
             process of moving it to a new repository.

             Restructuring tracer restoring for the ecosystem has led to
             changes in the namelist, and there is a new test for the test
             suite that uses shr_stream instead of internal pop routines to
             read nitrogen deposition data for the ecosystem. We also updated
             the interface between POP and csm_share, strdata_interface_mod.F90,
             to give more descriptive names to the data being passed to
             shr_stream (and to omit a field that wasn't being used in
             shr_stream to begin with). Lastly, the interface between the
             MARBL driver and POP changed slightly, so we updated
             passive_tracers.F90. Other than that, all changes were in the
             ecosystem to source files that are now marbl_*.F90

M       bld/build-namelist
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/testdefs/testlist_pop.xml
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_shr_stream
D       source/co2calc_column.F90
D       source/ecosys_ciso_mod.F90
D       source/ecosys_constants.F90
D       source/ecosys_diagnostics_mod.F90
M       source/ecosys_driver.F90
D       source/ecosys_mod.F90
D       source/ecosys_restore.F90
D       source/ecosys_restore_timescale_file.F90
D       source/ecosys_restore_timescale_interp.F90
M       source/ecosys_tavg.F90
M       source/marbl_ciso_mod.F90
A  +    source/marbl_co2calc_mod.F90
A  +    source/marbl_constants_mod.F90
A  +    source/marbl_diagnostics_mod.F90
M       source/marbl_interface.F90
M       source/marbl_interface_constants.F90
M       source/marbl_interface_types.F90
A  +    source/marbl_internal_types.F90
D       source/marbl_kinds.F90
A  +    source/marbl_kinds_mod.F90
A  +    source/marbl_logging.F90
A  +    source/marbl_mod.F90
M       source/marbl_namelist_mod.F90
M       source/marbl_oxygen.F90
M       source/marbl_parms.F90
A  +    source/marbl_restore_mod.F90
A  +    source/marbl_schmidt_number_mod.F90
D       source/marbl_share.F90
A  +    source/marbl_share_mod.F90
A  +    source/marbl_sizes.F90
M       source/passive_tracers.F90
M       source/strdata_interface_mod.F90
===============================================================================
Tag Creator: jet
Developers:  dbailey, jet
Tag Date:    14 Mar 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160314
Tag Summary: This modification allows the ocean to query a new share function to
             retreive the freezing point temperature.

	     ie. TFRZ(:,:) = shr_frz_freezetemp(SALT(:,:)*salt_to_ppt)

	     The freezing temperature is calculated from one of three algorithms
	     set via the driver namelist variable tfreeze_option [minus1p8, linear_salt, mushy].
	     The new share funtion shr_frz_freezetemp was added to cime and this pop update is
	     dependent on that tag.

Testing:    all aux_pop tests pass.  BFB with previous tag when using default tfreeze_option=minus1p8

M       source/ice.F90
M       ChangeLog
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    7 Mar 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160307
Tag Summary: Bugfix - somewhere along the line, merging MARBL to trunk broke
	           the ability to read ndep file via shr_stream; that is now fixed

M       source/ecosys_diagnostics_mod.F90
M       source/ecosys_driver.F90
M       source/ecosys_mod.F90
M       source/marbl_parms.F90
===============================================================================
Tag Creator: jet
Developers:  mlevy
Tag Date:    22 Feb 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160222
Tag Summary: Complete CVMIX/POP integration and CVMIX bugfixes. lcvmix default is .false and
	     run is BFB with the previous tag. When lcvmix is set to .true. CVMix is used for
	     tidal, shear, double-diffusion, and convective mixing (as well as KPP).  This
	     tag was updated to use CVMix v0.72-conv_bugfix.002

Testing:     aux_pop (compare to cesm_pop_2_1_20160119 trunk) baseline comparisons failed for
	     2 diagnostic fields KVMIX and KVMIX_M which were incorrect in the previous tag.  All other
	     fields are bfb for all baseline comparisons.

	     The new cvmix test failed as compared to the baseline.  This failure was expected due to
	     the cvmix updates and bug fixes.

	     The namelist comparison also failed as the previous tag set lchange_ans=.true.
	     to allow the new surface depth calculation which is enabled by default in this tag.

X       source/cvmix
M       source/vmix_kpp.F90
M       source/vertical_mix.F90
M       source/tidal_mixing.F90
M       SVN_EXTERNAL_DIRECTORIES
M       ChangeLog
===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    19 Feb 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160219
Tag Summary: set lchange_ans = .true. in namelist defaults

	     This tag computes surface layer depth to be 10% of boundary layer by
	     default (old code uses just the top layer).  This change is in preparation
	     for full CVMIX testing.

Testing:     aux_pop (compare to cesm_pop_2_1_20160114 trunk) new surface layer not bit for bit
	     but vetted by Gokhan via a 1 cycle GIAF run.  Non baseline comparison
	     tests all pass.

M       bld/namelist_files/namelist_defaults_pop.xml
M       ChangeLog

===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    01 Feb 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160201a
Tag Summary: This tag recreates cesm_pop_2_1_20160114 since that tag was corrupted
	     by the previous commit.  Copied below are the comments for cesm_pop_2_1_20160114
	     which are relevant to this commit and the noncorrupted version of
	     cesm_pop_2_1_20160114

             * Update CVMix version, arrange calls to be more in line with what
               POP does without CVMix
               -- Now using CVMix v0.71-beta
               -- Running lchange_ans = .true. computes surface layer depth to
                  be 10% of boundary layer (old code uses just the top layer)
             * Add new test to testmod_dirs: running pop-cvmix will use CVMix
               for computing KPP boundary layer depth & boundary layer
               diffusivities. Also turned a G compset pop-default test into a
               C compset pop-default test in aux_pop test list (it's an SMS
               test and there is a corresponding pop-cvmix test as well in case
               the test suite ever reaches the point of comparing across tests)

Testing: aux_pop (compare to 20160112 trunk) was bit-for-bit before changing
         the G.pop-default test to a C.pop-default test; generating new
         baselines tp reflect changed test as well as the new CVMix test

===============================================================================
Tag Creator: jet
Developers:  jet
Tag Date:    01 Feb 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160201
Tag Summary: This commit corrupted the previous tag cesm_pop_2_1_20160114. A new
	     tag was created (cesm_pop_2_1_20160201a) that is a duplicate of the
	     original cesm_pop_2_1_20160114 code.

	     Unfortunately this tag modified 2 files of cesm_pop_2_1_20160114

             namelist_defaults_pop.xml had a one line change setting
	     lchange_ans = .true.  (set to false originally in cesm_pop_2_1_20160114)

	     Information for this tag went into the ChangeLog for cesm_pop_2_1_20160114

	     I'm not sure how all this happened but this tag should be ignored.
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    14 Jan 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160114
Tag Summary: merge cvmix_kpp_roundoff_n02_cesm_pop_2_1_20160112 to trunk

             * !!!!NOTE!!!!  This tag has been corrupted and cesm_pop_2_1_20160201a
	       should be used instead if you need the original cesm_pop_2_1_20160114 code.

             * Update CVMix version, arrange calls to be more in line with what
               POP does without CVMix
               -- Now using CVMix v0.71-beta
               -- Running lchange_ans = .true. computes surface layer depth to
                  be 10% of boundary layer (old code uses just the top layer)
             * Add new test to testmod_dirs: running pop-cvmix will use CVMix
               for computing KPP boundary layer depth & boundary layer
               diffusivities. Also turned a G compset pop-default test into a
               C compset pop-default test in aux_pop test list (it's an SMS
               test and there is a corresponding pop-cvmix test as well in case
               the test suite ever reaches the point of comparing across tests)

Testing: aux_pop (compare to 20160112 trunk) was bit-for-bit before changing
         the G.pop-default test to a C.pop-default test; generating new
         baselines tp reflect changed test as well as the new CVMix test

M       SVN_EXTERNAL_DIRECTORIES
M       cime_config/testdefs/testlist_pop.xml
A  +    cime_config/testdefs/testmods_dirs/pop/cvmix
M       source/vmix_kpp.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, mvertens, jwolfe
Tag Date:    12 Jan 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20160112
Tag Summary: merge marbl_diags_n39_cesm_pop_2_1_20151215 to trunk

changes ecosystem answers (2D diagnostics change to round-off level)

The main improvement from this branch is handling ecosystem calculations
column-by-column instead of level-by-level. We have also refactored much of
ecosys_mod and ecosys_ciso_mod.F90 to have all I/O done through
ecosys_driver.F90 - this is a necessary step to allow us to separate the MARBL
library (all the science that remains in ecosys_mod) from POP, a process that
is still on-going. We have also introduced a wide range of derived types in
what will become MARBL, and POP is using these datatypes for things like
ecosystem diagnostics and passing arguments to ecosys subroutines.

Doing these computations column-by-column also allowed us to vectorize many
subroutines.

A more complete list of updates is available at:

https://svn-ccsm-models.cgd.ucar.edu/pop2/branch_tags/marbl_diags_tags/
marbl_diags_n39_cesm_pop_2_1_20151215/BranchChangeLog

Testing: aux_pop (compare to 20151215 trunk); round-off level answer-changing
         in all CECO and GECO compsets. Introducing a 15-task decomposition
         for gx3v7 drastically changed answers in the SMS_P15x1_D test and
         changing what the ecosystem restores towards changed answers beyond
         round-off in the pop-ecosys_restore_gx3v7 test.

M       bld/pop_decomp.xml
M       cime_config/config_pes.xml
M       cime_config/testdefs/testlist_pop.xml
M       input_templates/ocn.ecosys.tavg.csh
M       source/POP_KindsMod.F90
M       source/abio_dic_dic14_mod.F90
M       source/advection.F90
M       source/baroclinic.F90
M       source/cfc11_mod.F90
M       source/cfc_mod.F90
M       source/co2calc_column.F90
M       source/ecosys_ciso_mod.F90
M       source/ecosys_constants.F90
A  +    source/ecosys_diagnostics_mod.F90
M       source/ecosys_driver.F90
M       source/ecosys_mod.F90
M       source/ecosys_restore.F90
M       source/ecosys_tavg.F90
M       source/hmix_gm.F90
M       source/hmix_gm_aniso.F90
M       source/horizontal_mix.F90
M       source/iage_mod.F90
M       source/initial.F90
M       source/io_types.F90
A  +    source/marbl_ciso_mod.F90
M       source/marbl_interface.F90
M       source/marbl_interface_constants.F90
M       source/marbl_interface_types.F90
M       source/marbl_kinds.F90
A  +    source/marbl_namelist_mod.F90
M       source/marbl_oxygen.F90
M       source/marbl_parms.F90
M       source/marbl_share.F90
M       source/mix_submeso.F90
M       source/passive_tracer_tools.F90
M       source/passive_tracers.F90
M       source/prognostic.F90
M       source/restart.F90
M       source/schmidt_number.F90
M       source/software_eng_mod.F90
M       source/tavg.F90

===============================================================================
Tag Creator: klindsay
Developers:  K. Lindsay, K. Moore
Tag Date:    15 Dec 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151215
Tag Summary: merge ecosys_cesm2_dev_n22_cesm_pop_2_1_20151123 to trunk

changes ecosystem answers
changes physics answers if chl_option = 'model'

new ICs and fesedflux datasets
many nml vars and Fortran parameters changed
DOFe tracer removed
DOCr tracer added
restructure DOM remin code
add PO4 and SiO3 content to dust dep
introduce parameters for routing of (DOM prod, POM remin, riverine input) to DOMr
add DOMr remin tavg vars
introduce POP_bury_coeff
correct DSI_RIV_FLUX diag to include only riverine term
change arguments to comp_CO3terms to local vars instead of non-contiguous associates
add iron conservation diagnostics (Jint_Fetot, Jint_100m_Fetot)

Testing:
aux_pop (in cesm1_5_beta03): (yellowstone, baseline comparison to cesm_pop_2_1_20151123)
   tests pass with following exceptions
      debug tests with ciso abort, as expected
      CECO and GECO nlcomp tests fail because of namelist variable changes
      baseline comparisons in CECO and GECO compsets fail because of changed answers

M       source/ecosys_tavg.F90
M       source/marbl_parms.F90
M       source/ecosys_mod.F90
M       source/ecosys_driver.F90
M       source/ecosys_constants.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       ChangeLog
M       input_templates/ocn.ecosys.tavg.csh

===============================================================================
Tag Creator: jet
Developers:  mlevy
Tag Date:    23 Nov 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151123
Tag Summary: 2 bug-fixes and a new PE layout for yellowstone

1) Better balance for GECO compset and T62_g16 resolution on yellowstone
2) Steering update wasn't compiling on mira due to a missing kind number on a
   real variable -- calling max(var, -20.) instead of max(var, -20._r8)
3) MCOG update wasn't compiling with gfortran because of a formatting error in
   a print statement -- needed '1x' instead of 'x' to print whitespace.

Testing: All test and comparisons to baseline pass with the exception
           Run time failures (expected- see 9/11/2015 log entry):
           RUN ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14
           RUN ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14

M       cime_config/config_pes.xml
M       source/hmix_gm.F90
M       source/mcog.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    18 Nov 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151118
Tag Summary: 3 minor (and bit-for-bit) updates

1) update svn metadata on 3 files (status "R" below) to include information
   from ecosys_cesm2_dev branch
2) Update default PE layout for G compset on yellowstone to better balance
   CICE and POP (and to account for using 15 cores / node rather than 16 plus
   turn on hyperthreading). Note that we need to come up with a better layout
   for GECO as well, that is not balanced at all
3) Add SMS.T62_g16.G test to the aux_pop test suite to catch future changes to
   the pe-layout -- the update from 1023 did not change answers in the test
   suite and it should have.

Testing:

aux_pop: (yellowstone, baseline comparison to baseline from 20151117 tag)
   tests pass with following exceptions
     * debug tests with ciso abort, as expected
     * new SMS.T62_g16.G case gives BFAIL because there is no baseline for
       comparison

M       cime_config/config_pes.xml
M       cime_config/testdefs/testlist_pop.xml
R  +    cime_config/testdefs/testmods_dirs/pop/ecosys/user_nl_pop
R  +    input_templates/ocn.mcog.tavg.csh
R  +    source/mcog.F90
===============================================================================
Tag Creator: klindsay
Developers:  K. Lindsay, B. Briegleb (MCOG), N. Norton (MCOG), M. Levy (lecosys_debug)
Tag Date:    17 Nov 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151117
Tag Summary: merge ecosys_cesm2_dev_n15_cesm_pop_2_1_20151116 to trunk

changes ecosystem answers

introduce caco3_bury_thres_opt, default=omega_calc
introduce PON_bury_coeff, default=0.5
introduce MCOG infrastructure, receive per column shortwave from driver
incorporate MCOG infrastructure into ecosys/marbl
couple MCOG forcings to ecosys/marbl (default on)
add lecosys_debug option, include all ecosys tavg output in test runs

Testing:
aux_pop with new ecosys mods disabled: (yellowstone, baseline comparison to cesm_pop_2_1_20151116)
   tests pass with following exceptions
      debug tests with ciso abort, as expected
      all nlcomp tests fail because of new mcog namelist and lecosys_debug
         changes ecosys tavg related tavg output
      baseline comparisons in CECO and GECO compsets fail because of
         roundoff level changes in ecosys

aux_pop with new ecosys mods enabled: (yellowstone, baseline comparison to above aux_pop)
   tests pass with following exceptions
      debug tests with ciso abort, as expected
      CECO and GECO nlcomp tests fail because of namelist variable changes
      baseline comparisons in CECO and GECO compsets fail because of changed answers

M       source/initial.F90
M       source/marbl_interface_types.F90
M       source/forcing.F90
M       source/passive_tracers.F90
M       source/forcing_coupled.F90
M       source/ecosys_mod.F90
M       source/ecosys_driver.F90
A       source/mcog.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
A       cime_config/testdefs/testmods_dirs/pop/ecosys/user_nl_pop
D       cime_config/testdefs/testmods_dirs/pop/ecosys/shell_commands
M       cime_config/testdefs/testmods_dirs/pop/ciso/include_user_mods
M       ChangeLog
A       input_templates/ocn.mcog.tavg.csh
M       input_templates/ocn.ecosys.tavg.csh
M       drivers/cpl/ocn_import_export.F90
M       drivers/cpl/POP_CplIndices.F90

===============================================================================
Tag Creator: jet
Developers:  K. Lindsay, B. Sacks, J. Edwards
Tag Date:    16 Nov 2016
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151116
Tag Summary: Allow negative ice runnoff to Pop needed for landice
	     Fix memory corruption issue in overflows.F90
	     Timing mods to fix the intermittent timer errors. Adapted
	     from cice mods for same error.

Testing: Ran aux_pop on yellowstone.  This parameterization is off by default and is bfb
	 with baseline with the exception of the following expected failures which have
	 been in the baseline for awhile now.

	  ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
          ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)

Files Modified/Added/Removed:
M       overflows.F90
M       timers.F90
M       ocn_import_export.F90
M       ChangeLog
===============================================================================
===============================================================================
Tag Creator: jet
Developers:  Gokhan, Matt Long, John Marshall, jet
Tag Date:    24 Oct 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151024
Tag Summary: Add POP Implementation of Mesoscale eddy diffusivity (steering param) based on mixing theory
	     New namelist options which enable the new parameterization:
	     kappa_thic = 'steer'
	     kappa_isop = 'steer'

Testing: Ran aux_pop on yellowstone.  This parameterization is off by default and is bfb
	 with baseline with the exception of the following expected failures which have
	 been in the baseline for awhile now.

	  ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
          ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)

Files Modified/Added/Removed:
M       source/hmix_gm.F90
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       ChangeLog
===============================================================================
Tag Creator: jet
Developers:  Scott Reckinger, Baylor Fox-Kemper, mvertens, jet
Tag Date:    23 Oct 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151023
Tag Summary: The is an update to the GM Aniso module added by Mariana.
             It adds shear dispersion as well as a new hm_gmix_aniso_nml
	     namelist which allows tuning the parameterization.

Testing: Ran aux_pop.  Because of the new aniso namelist the nlcomp comparison tests
	 failed against the baseline.  All of these were expected.  All bfb tests
	 passed.

	  ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
          ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)


Files Modified/Added/Removed:
M       source/hmix_gm_aniso.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/config_pes.xml

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    20 Oct 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151020
Tag Summary: Bug-fix; when bringing in MARBL for 20150831, I accidentally
             reverted ecosys_mod to its 20150421 state - this dropped updates
             from two tags: 20150701 and 20150717. This tag puts those changes
             back in.

             Also, at some point I accidentally commited a BranchChangeLog file

Testing: Ran using shr_stream for ndep, ensured bit-for-bit.

Files Modified/Added/Removed:
D       BranchChangeLog
M       source/ecosys_mod.F90

===============================================================================
Tag Creator: jet
Developers:  njn01
Tag Date:    15 Oct 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151015
Tag Summary: Bring Robert filter mods to the trunk.  Since auto-dt time option
	 and matsuno mixing option never worked correctly they were removed.

Testing:
         Ran aux_pop tests with 20151007 tag. Although Robert filtering
	 is disabled, it also required mods to the overflow parameterization
	 which are enabled and are answer-changing. Instead of running aux_pop
	 compared to a baseline, I ran a 10 year branch of Dave Bailey's latest
	 control with the overflow changes and ran the ocean diagnostics
	 against the last 10 years of Dave's control.
  	 http://webext.cgd.ucar.edu/GIAF/g.e15.GIAF.T62_g16.newoverflow.002/ocn/g.e15.GIAF.T62_g16.newoverflow.002-g.e15.GIAF.T62_g16.001_yrs_50_59/
	 The 10 year comparison showed very minimal changes and was OK'd by Gokhan.

         aux_pop testing passed except the following tests:
          ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
          ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)

Files Modified/Added/Removed:

	M       source/overflows.F90
	M       source/time_management.F90
	M       source/step_mod.F90
	M       source/budget_diagnostics.F90
	M       source/forcing_coupled.F90
	M       bld/build-namelist
	M       bld/namelist_files/namelist_defaults_pop.xml
	M       bld/namelist_files/namelist_definition_pop.xml
	M       ChangeLog

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    7 Oct 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151007
Tag Summary: Bug-fixes - SMS_D GECO test now passes and code compiles on mira

Testing:
         Ran aux_pop tests with 20151004 tag, created temporary baseline (the
         20150929 baseline was made with an answer-changing bug fix in CIME
         that has since been removed, so couldn't use old baseline and the
         cime change is going in soon so no need to keep new baseline).
         Everything was bfb except the following tests:
          SMS_D.T62_g37.GECO.yellowstone_intel.pop-ecosys (test now runs, failed in baseline)
          ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
          ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)

Files Modified/Added/Removed:

M       source/ecosys_driver.F90
M       source/passive_tracers.F90
M       source/vmix_kpp.F90
===============================================================================
Tag Creator: mvertens
Developers:  tcraig/reckinger
Tag Date:    4 Oct 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20151004
Tag Summary: Incorporation of anisotropic gm option

Testing:
         Ran aux-pop pre-intel tests on yellowstone and compared to baseline
         cesm_pop_2_1_20150929; Everything was bfb except the following tests
         which had run time failures:
          SMS_D.T62_g37.GECO.yellowstone_intel.pop-ecosys (this failure is the same as the cesm_pop_2_1_20150923 tag)
          ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
          ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
         Note that the wave tests listed in cesm_pop_2_1_20150929 have not been
         incorporated yet. They will be incorporated once new features are added
         to actually turn on wave coupling in pop

Files Modified/Added/Removed:

M       source/hmix_gm_submeso_share.F90
M       source/mix_submeso.F90
M       source/horizontal_mix.F90
A  +    source/hmix_gm_aniso.F90
M       source/tavg.F90
M       bld/namelist_files/namelist_definition_pop.xml

===============================================================================
Tag Creator: mvertens
Developers:  tcraig/qing
Tag Date:    29 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150929
Tag Summary: Incorporation of wave watch compatibility

Testing: (ran in conjunction with tcraig/wave branch from https://github.com/mvertens/cime.git)
         1) Ran aux_pop pre-intel tests and compared then to aux_pop_120916a
           test failures:
             none
           baseline failures:
             none (other than in cpl.hi for one field o2x_So_bldepth)
           run time failures:
             SMS_D.T62_g37.GECO.yellowstone_intel.pop-ecosys (this failure is the same as the cesm_pop_2_1_20150923 tag)
             ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)
             ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14 (expected)

         2) Ran following new wave tests (these have not been incorporated into
            the pop test suite yet)
           compile time failures:
             SMS_E.f19_g16_rx1_ww3.C_DWAV.yellowstone_intel.pop-default
             SMS_E.f19_g16_rx1_ww3.C_WAV.yellowstone_intel.pop-default
           test failures (none) - the following ran successfully
             ERS.f19_g16_r05_ww3.B_WAV.yellowstone_intel.allactive-default
             ERS.f19_g16_rx1_ww3.C_DWAV.yellowstone_intel.pop-default
             ERS.f19_g16_rx1_ww3.C_WAV.yellowstone_intel.pop-default
             NCK.f19_g16_rx1_ww3.C_DWAV.yellowstone_intel.pop-default
             NCK.f19_g16_rx1_ww3.C_WAV.yellowstone_intel.pop-default
             SMS_D.f19_g16_rx1_ww3.C_DWAV.yellowstone_intel.pop-default
             SMS_D.f19_g16_rx1_ww3.C_WAV.yellowstone_intel.pop-default
           run time failures:
             SMS_D.f19_g16_r05_ww3.B_WAV.yellowstone_intel.allactive-default

         3) Ran pre-alpha intel test suite on yellowstone - and all tests were
            bfb with cesm1_5_alpha07d

Files Modified/Added/Removed:

M       source/diagnostics.F90
M       source/vmix_kpp.F90
M       source/forcing_coupled.F90
M       source/forcing_fields.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       cime_config/config_compsets.xml
M       cime_config/config_pes.xml
M       SVN_EXTERNAL_DIRECTORIES
M       input_templates/gx1v6_tavg_contents
M       input_templates/gx3v7_tavg_contents

===============================================================================
Tag Creator: mvertens
Developers:  mvertens
Tag Date:    23 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150923
Tag Summary: Updates for compatibility with cime3.0.5 and later

Testing: Ran aux_pop pre-intel tests and compared to aux_pop_120916a
         All tests ran successfully other than the following:
           Baseline failures (unexpected):
             FAIL SMS_D.T62_g37.GECO.yellowstone_intel.pop-ecosys.cpl.hi.nc : baseline compare cpl.hi (baseline: compare .base file with aux_pop_120916a file)

           Run time failures (expected- see 9/11/2015 log entry):
             RUN ERS_Ld5_D.T62_g37.GECO.yellowstone_intel.pop-ciso_abio_dic_dic14
             RUN ERS_Ld5_D.T62_g37.CECO.yellowstone_intel.pop-ciso_abio_dic_dic14

Files Modified/Added/Removed:

M       source/POP_SolversMod.F90
M       source/vmix_kpp.F90

M       bld/configure
D       bld/pop.buildlib
D       bld/pop.buildnml
M       bld/README.build-namelist
D       bld/user_nl_pop
M       bld/build-namelist
M       bld/namelist_files/namelist_definition_pop.xml

A  +    cime_config
A  +    cime_config/config_compsets.xml
A  +    cime_config/testdefs
A  +    cime_config/testdefs/testmods_dirs
A  +    cime_config/testdefs/testmods_dirs/pop
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ciso
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ciso/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/presaero
A  +    cime_config/testdefs/testmods_dirs/pop/presaero/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/presaero/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/cice
A  +    cime_config/testdefs/testmods_dirs/pop/cice/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/cice/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/cice/user_nl_cice
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_transient
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_transient/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_transient/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_transient
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_transient/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_transient/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/default
A  +    cime_config/testdefs/testmods_dirs/pop/default/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/default/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_3steps
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_3steps/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_3steps/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/ecosys_restore_gx3v7/user_nl_pop
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ecosys
A  +    cime_config/testdefs/testmods_dirs/pop/cice_ecosys/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_abio_dic_dic14
A  +    cime_config/testdefs/testmods_dirs/pop/ciso_abio_dic_dic14/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_presaero
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_presaero/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/abio_dic_dic14_presaero/shell_commands
A  +    cime_config/testdefs/testmods_dirs/pop/ciso
A  +    cime_config/testdefs/testmods_dirs/pop/ciso/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/pop/ciso/shell_commands
A  +    cime_config/testdefs/testlist_pop.xml
A  +    cime_config/user_nl_pop
A  +    cime_config/buildlib
A  +    cime_config/buildnml
A  +    cime_config/config_component.xml
A  +    cime_config/config_pes.xml
D       cimetest
D       cimetest/testmods_dirs
D       cimetest/testmods_dirs/pop
D       cimetest/testmods_dirs/pop/cice_ciso
D       cimetest/testmods_dirs/pop/cice_ciso/include_user_mods
D       cimetest/testmods_dirs/pop/presaero
D       cimetest/testmods_dirs/pop/presaero/include_user_mods
D       cimetest/testmods_dirs/pop/presaero/shell_commands
D       cimetest/testmods_dirs/pop/cice
D       cimetest/testmods_dirs/pop/cice/include_user_mods
D       cimetest/testmods_dirs/pop/cice/shell_commands
D       cimetest/testmods_dirs/pop/cice/user_nl_cice
D       cimetest/testmods_dirs/pop/abio_dic_dic14_transient
D       cimetest/testmods_dirs/pop/abio_dic_dic14_transient/include_user_mods
D       cimetest/testmods_dirs/pop/abio_dic_dic14_transient/user_nl_pop
D       cimetest/testmods_dirs/pop/ciso_transient
D       cimetest/testmods_dirs/pop/ciso_transient/include_user_mods
D       cimetest/testmods_dirs/pop/ciso_transient/user_nl_pop
D       cimetest/testmods_dirs/pop/default
D       cimetest/testmods_dirs/pop/default/user_nl_pop
D       cimetest/testmods_dirs/pop/default/shell_commands
D       cimetest/testmods_dirs/pop/ecosys
D       cimetest/testmods_dirs/pop/ecosys/include_user_mods
D       cimetest/testmods_dirs/pop/ecosys/shell_commands
D       cimetest/testmods_dirs/pop/ecosys_3steps
D       cimetest/testmods_dirs/pop/ecosys_3steps/user_nl_pop
D       cimetest/testmods_dirs/pop/ecosys_3steps/shell_commands
D       cimetest/testmods_dirs/pop/ecosys_restore_gx3v7
D       cimetest/testmods_dirs/pop/ecosys_restore_gx3v7/include_user_mods
D       cimetest/testmods_dirs/pop/ecosys_restore_gx3v7/user_nl_pop
D       cimetest/testmods_dirs/pop/cice_ecosys
D       cimetest/testmods_dirs/pop/cice_ecosys/include_user_mods
D       cimetest/testmods_dirs/pop/ciso_abio_dic_dic14
D       cimetest/testmods_dirs/pop/ciso_abio_dic_dic14/include_user_mods
D       cimetest/testmods_dirs/pop/abio_dic_dic14
D       cimetest/testmods_dirs/pop/abio_dic_dic14/include_user_mods
D       cimetest/testmods_dirs/pop/abio_dic_dic14/shell_commands
D       cimetest/testmods_dirs/pop/abio_dic_dic14_presaero
D       cimetest/testmods_dirs/pop/abio_dic_dic14_presaero/include_user_mods
D       cimetest/testmods_dirs/pop/abio_dic_dic14_presaero/shell_commands
D       cimetest/testmods_dirs/pop/ciso
D       cimetest/testmods_dirs/pop/ciso/include_user_mods
D       cimetest/testmods_dirs/pop/ciso/shell_commands
D       cimetest/testlist_pop.xml
A       cimetest/testmods_dirs/pop/cice_ciso
A       cimetest/testmods_dirs/pop/cice_ciso/include_user_mods

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150916a
Tag Summary: New aux_pop_MARBL test list requires cice_ciso test mod dir

Files Modified:
A       cimetest/testmods_dirs/pop/cice_ciso
A       cimetest/testmods_dirs/pop/cice_ciso/include_user_mods
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150916
Tag Summary: * Refactor code to apply pressure correction in co2calc_column.F90
             * Create new aux_pop_MARBL test list to reduce testing overhead
               on MARBL-related branches

Files Modified:
M       cimetest/testlist_pop.xml
M       source/co2calc_column.F90
===============================================================================
Tag Creator: mlevy
Developers:  jwolfe
Tag Date:    14 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150914
Tag Summary: Vectorize comp_co3terms in co2calc_column for increased
             performance

Files Modified:
M       source/co2calc_column.F90
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    11 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150911
Tag Summary: performance mod for ecosys_driver_set_interior
             * only call set_interior at active ocean cells
               (not at ghost, halo, or land cells)
             Note: this causes uninitialized memory errors in
                   ecosys_ciso_set_interior, so all pop-ciso DEBUG tests fail.
                   I've added some pop-ecosys DEBUG tests to make sure we
                   don't introduce any other errors, and once we refactor the
                   ciso module the original tests should pass again.

Files Modified:
M       cimetest/testlist_pop.xml
M       source/ecosys_driver.F90
D       source/ecosys_parms.F90
D       source/ecosys_share.F90
===============================================================================
Tag Creator: klindsay
Developers:  klindsay
Tag Date:    10 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150910
Tag Summary: tidy up ecosys subroutines that update from one k level to the next

Make update from prior level subroutines only update fields that truly
propagate from one level to the next. Ensure that sed_loss terms are
always set in compute_particulate_terms.

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay, mlevy
Tag Date:    1 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150901a
Tag Summary: Fix CO3comp timer performance (start and stop are now both
             outside the k-loop)

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay, mlevy
Tag Date:    1 Sept 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150901
Tag Summary: Fix CO3comp timer calls (start and stop inside a k-loop)

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  andre, klindsay, mclong, mlevy, mvertens
Tag Date:    31 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150831
Tag Summary: Merge MARBL development onto trunk (working towards
             POP-independent biogeochemistry library)

Files Modified:
M       bld/build-namelist
A       cimetest/testmods_dirs/pop/ecosys_3steps
A       cimetest/testmods_dirs/pop/ecosys_3steps/shell_commands
A       cimetest/testmods_dirs/pop/ecosys_3steps/user_nl_pop
M       source/abio_dic_dic14_mod.F90
M       source/co2calc.F90
A       source/co2calc_column.F90
M       source/constants.F90
M       source/ecosys_ciso_mod.F90
M       source/ecosys_constants.F90
M       source/ecosys_driver.F90
M       source/ecosys_mod.F90
M       source/ecosys_parms.F90
M       source/ecosys_restore.F90
M       source/ecosys_share.F90
A       source/ecosys_tavg.F90
A       source/marbl_interface.F90
A       source/marbl_interface_constants.F90
A       source/marbl_interface_types.F90
A       source/marbl_kinds.F90
A       source/marbl_oxygen.F90
A       source/marbl_parms.F90
A       source/marbl_share.F90
M       source/passive_tracers.F90
A       source/schmidt_number.F90
M       source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mmills, andre
Tag Date:    16 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150816a
Tag Summary: Two updates to build-namelist
             (1) as pointed out in Bug 2181, logic to determine starting day
                 for a run was missing digits needed for Oct, Nov, and Dec
             (2) Starting with perl 5.18, the "given / when" construct
                 spits out experimental warnings; Ben showed me how to
                 suppress those.

Files Modified:
M       bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150816
Tag Summary: Adding a 24-task decomposition for gx3v7 to close a 7 year old
             bugzilla ticket (#730)

Files Modified:
M       bld/pop_decomp.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150813b
Tag Summary: Introduce a new module to help CSEG handle testing when answer-
             changing branch tags are merged back to the trunk. There is now
             a namelist variable named lchange_ans and we encourage developers
             to use the following workflow:
             * branch_000 should be bit-for-bit with trunk
             * branch_001 should have code structured like
                  if (lchange_ans) then
                    call new_code
                  else
                    call old_code
                  end if
               Note that this makes branch_001 + lchange_ans=F bit-for-bit with
               branch_000
             * branch_002 should remove the lchange_ans if statement and use
               only the new code. Note that branch_001 + lchange_ans=T should
               be bit-for-bit with branch_002
             * CSEG will make a trunk tag based on branch_001 first and ensure
               it is bit-for-bit with lchange_ans=F
             * CSEG will then follow up with a trunk tag based on branch_002
               and ensure it is bit-for-bit with the previous trunk tag +
               lchange_ans=T

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       source/initial.F90
A       source/software_eng_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  huyong
Tag Date:    13 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150813a
Tag Summary: Patch bug in barotropic solver that we worked around on May 20th.
             Now the new solver should work on all decompositions, including
             those with ghost cells => can be used with gx3v7 on yellowstone.
             Will turn on by default for gx3v7 runs in an answer-changing tag.

Files Modified:
M       source/POP_SolversMod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150813
Tag Summary: Add interfaces to allow accumulate_tavg_field to be called with a
             single column of data (keeps existing interfaces to accumulate a
             level at a time as well); also, trimmed exit message in exit_POP()

Files Modified:
M       source/exit_mod.F90
M       source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    10 Aug 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150810
Tag Summary: Increase size of char_len and POP_CharLength to account for
             tests producing exceptionally long case names

Files Modified:
M       source/POP_KindsMod.F90
M       source/kinds_mod.F90
===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    17 July 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150717
Tag Summary: Changes for pio2 (array length must match dof length)

M       source/ecosys_mod.F90
M       source/io_netcdf.F90
M       source/restart.F90
M       source/tavg.F90


===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 July 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150713
Tag Summary: Change all goldbach tests to hobart tests

Files Modified:
M       cimetest/testlist_pop.xml
===============================================================================
Tag Creator: mlevy
Developers:  klindsay, mlevy
Tag Date:    10 July 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150710
Tag Summary: Add tavg fields for total tracer tendency. Use TEND_[shortname]
             e.g. TEND_TEMP for temperature and TEND_SALT for salinity. These
             fields are available for all tracer modules.

Files Modified:
M       source/baroclinic.F90
M       source/passive_tracers.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    1 July 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150701
Tag Summary: Introduce new interface module for dealing with share stream
             code. Note that this will allow removal CCSMCOUPLED macro from
             ecosys_mod but that update hasn't been incorporated yet.

Files Modified:
M       source/ecosys_mod.F90
A       source/strdata_interface_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    30 June 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150630
Tag Summary: save attribute in module variable after global save was casusing
             compilation error in nag; also removed some un-used variables.

Files Modified:
M       source/POP_SolversMod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    20 May 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150520
Tag Summary: New preconditioner for barotropic solver doesn't work on default
             gx3v7 layout for yellowstone; while investigating this issue,
             we'll go back to the old solver / preconditioner for the 3 deg
             resolution. Also removed some debugging lines of code left in
             barotropic.F90 by mistake.

Files Modified:
M       bld/namelist_files/namelist_defaults_pop.xml
M       source/barotropic.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    15 May 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150515
Tag Summary: New namelist defaults to use updated barotropic solver

Files Modified:
M       bld/namelist_files/namelist_defaults_pop.xml
===============================================================================
Tag Creator: mlevy
Developers:  huyong
Tag Date:    6 May 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150506
Tag Summary: Bugfix for exact restarts with CSI solver

Files Modified:
M       source/POP_SolversMod.F90
M       source/barotropic.F90
M       source/initial.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    30 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150430
Tag Summary: extend support for r8 0d IO to handle time dimension, add support
             for r4 0d IO (with and without time dimension), add tavg support
             for r4 and r8 0d variables, and add tavg output for existing 0d
             running_mean test variable

Files Modified:
M       source/io_netcdf.F90
M       source/io_types.F90
M       source/running_mean_mod.F90
M       source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150429b
Tag Summary: Clean up unnecessary variables in configure script, print changes
             that come from OCN_TRACER_MODULES_OPT to screen

Files Modified:
M       bld/configure
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150429a
Tag Summary: A few improvements to IRF and configure
             * Change dimensions from (IRF_NT) to (:) on intent(in) and
               intent(inout) variables; remove possibility for compiler error
               if IRF_NT = 0
             * Improve error checking for OCN_TRACER_MODULES and
               OCN_TRACER_MODULES_OPT in configure; now get error message if you
               try to activate a module or set an option that configure does not
               recognize.

Files Modified:
M       bld/configure
M       source/IRF_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150429
Tag Summary: Bugfixes in IRF set-up
             * forgot to include note to change tavg variables in ocn.IRF.tavg.csh
             * Parsing of OCN_TRACER_MODULES_OPT did not work as advertised
               (needed to remove whitespace when parsing variables)
             * If not using IRF module, build with IRF_NT=1 to avoid possible
               compiler complaints (don't want arrays with dimsize=0)

Files Modified:
M       bld/configure
M       bld/user_nl_pop
===============================================================================
Tag Creator: mlevy
Developers:  klindsay (source/), mlevy (bld/)
Tag Date:    28 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150428
Tag Summary: Introduce Impulse Response Function (IRF) tracer module. Note that
             in this initial commit, you need to have the irf_tracer_file
             available in inputdata before you setup your case.

             Also added check to ensure that thickness-weighted time-averaging
             of tracers on mixing time steps does not exceed tracer bounds

Files Modified:
M       bld/build-namelist
M       bld/config_files/definition.xml
M       bld/configure
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
A       input_templates/ocn.IRF.tavg.csh
A       source/IRF_mod.F90
M       source/advection.F90
M       source/baroclinic.F90
M       source/hmix_gm.F90
M       source/horizontal_mix.F90
M       source/passive_tracers.F90
M       source/step_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    27 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150427b
Tag Summary: Actually use perl5lib/Build/Config.pm to write config_cache.xml
             and to read values in build-namelist; this will be useful for
             setting / reading IRF_NT when I add Keith's impulse response
             function module to the trunk (his mods are based on the CESM 1.3
             build system rather than the CESM 1.4 system)

Files Modified:
M       bld/build-namelist
A       bld/config_files
A       bld/config_files/definition.xml
A       bld/config_files/definition.xsl
M       bld/configure
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150427a
Tag Summary: introduce running mean module (description at top of
             source/running_mean_mod.F90), add lpre_time_manager flag to
             time_management.F90 (remove lsflux flag, use lpre_time_manager
             instead)

Files Modified:
M       source/baroclinic.F90
M       source/forcing.F90
M       source/initial.F90
M       source/restart.F90
A       source/running_mean_mod.F90
M       source/step_mod.F90
M       source/time_management.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150427
Tag Summary: fix io (read and write) for r8 0d vars, remove broken support for
             r4 and integer 0d vars, and add target attribute to variables in
             tavg and restart that get passed to io infrastruction

Files Modified:
M       source/constants.F90
M       source/grid.F90
M       source/ice.F90
M       source/io_netcdf.F90
M       source/io_types.F90
M       source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  huyong, abaker
Tag Date:    21 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150421a
Tag Summary: Add optional new preconditioner and solver for barotropic
             equations (but use old solver by default)

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop.xml
M       bld/namelist_files/namelist_definition_pop.xml
M       source/POP_SolversMod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    21 Apr 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150421
Tag Summary: MAJOR UPDATE FOR CESM 1.4 DEVELOPMENT
             -- This is the merge of the newtesting branch back onto the trunk
             1) buildnml and buildexe scripts converted from csh -> perl
             2) testlists moved from scripts to each component (cimetest/)
             3) For consistency, many files use pop moniker instead of pop2
             4) Created a "configure" script to add to variables stored in
                config_cache.xml

Used command
$ svn merge --reintegrate https://svn-ccsm-models.cgd.ucar.edu/pop2/branches/newtesting/ .

Files Modified:
 M      .
M       bld/README.build-namelist
M       bld/build-namelist
M       bld/check_decomp.csh
A  +    bld/configure
M       bld/generate_pop_decomp.pl
M       bld/moby_activate.csh
M       bld/moby_deactivate.csh
A  +    bld/namelist_files/namelist_defaults_pop.xml
D       bld/namelist_files/namelist_defaults_pop2.xml
A  +    bld/namelist_files/namelist_definition_pop.xml
D       bld/namelist_files/namelist_definition_pop2.xml
A  +    bld/pop.buildlib
A  +    bld/pop.buildnml
D       bld/pop2.buildexe.csh
D       bld/pop2.buildnml.csh
D       bld/pop2.cpl7.template
M       bld/pop_decomp.xml
M       bld/regen_list.csh
A  +    bld/user_nl_pop
D       bld/user_nl_pop2
A  +    cimetest
M       input_templates/ocn.abio_dic_dic14.tavg.csh
M       input_templates/ocn.base.tavg.csh
M       input_templates/ocn.cfc.tavg.csh
M       input_templates/ocn.ciso.tavg.csh
M       input_templates/ocn.ecosys.tavg.csh
M       input_templates/ocn.iage.tavg.csh
M       input_templates/ocn.moby.tavg.csh
M       input_templates/test_pop2_in_build.csh
M       source/POP_ConfigMod.F90
M       source/io_types.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    3 Feb 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150203
Tag Summary: Bugfix - not compiling with NAG because some lines exceeded
             132 characters. Also cleaned up some string appends (writing
             to the variable 'message' instead of sending appended string
             as argument to function)

Files Modified:
M       source/ecosys_restore.F90
M       source/abio_dic_dic14_mod.F90
M       source/ecosys_parms.F90
===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    31 Jan 2015
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20150131
Tag Summary: pio2 port

Files Modified:
M       source/io_netcdf.F90
===============================================================================
Tag Creator: mlevy
Developers:  jedwards
Tag Date:    18 Dec 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141218
Tag Summary: Minor code modification because pop wasn't compiling on mira

Files Modified:
M       source/ecosys_restore.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    15 Dec 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141215
Tag Summary: Bugfix - variables used as array indices were cast as reals
             rather than ints

Files Modified:
M       source/ecosys_share.F90
===============================================================================
Tag Creator: mlevy
Developers:  andre
Tag Date:    5 Dec 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141205
Tag Summary: Bring Ben's updated ecosys_restore work to the trunk
             Note: passed all tests in aux_pop test suite.

Files Modified:
M       source/passive_tracer_tools.F90
A       source/ecosys_restore.F90
M       source/iage_mod.F90
A       source/ecosys_restore_timescale_file.F90
M       source/ecosys_mod.F90
A       source/ecosys_restore_timescale_interp.F90
M       source/ecosys_driver.F90
A       source/ecosys_constants.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  jedwards
Tag Date:    3 Dec 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141203a
Tag Summary: Update to pio2 API (requires pio1_9_5 or later!)
             Note: passed all tests in aux_pop test suite.

Files Modified:
M       source/io_pio.F90
M       source/io_netcdf.F90
===============================================================================
Tag Creator: mlevy
Developers:  mclong
Tag Date:    3 Dec 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141203
Tag Summary: More flexibility in ecosys tracer count, specifically zooplankton
             and autotroph count.
             Note: passed all tests in aux_pop test suite.

Files Modified:
M       source/ecosys_share.F90
M       source/ecosys_mod.F90
M       source/ecosys_parms.F90
M       source/ecosys_ciso_mod.F90
M       bld/build-namelist
M       bld/pop2.buildexe.csh
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: andre
Developers:  andre
Tag Date:    25 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141126
Tag Summary: intel15 debug builds mistakenly treat unallocated memory
             on all non-io processors as an error when calling
             write_nstd_netcdf, even though only the ioprocesser
             accesses the memory.

Files Modified:
M       source/diags_on_lat_aux_grid.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141116a
Tag Summary: Fifth step in responding to OS concerns about 1D POP
             implementation - this commit reduces the size of history files in
             1D cases by removing variables remain constant throughout the
             run.

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
M       input_templates/gx3v7_1D_tavg_contents
M       input_templates/gx1v6_1D_tavg_contents
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141116
Tag Summary: Fourth step in responding to OS concerns about 1D POP
             implementation - this commit moves the UVEL and VVEL damping to a
             well-named module (damping.F90) and adds control to the
             damping_nml namelist. Note that 1D cases damp UVEL and VVEL by
             default (and also set lmin_Coriolis = 6.4e-6)

Files Modified:
M       source/initial.F90
M       source/step_mod.F90
M       source/grid.F90
A  +    source/damping.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141113b
Tag Summary: Third step in responding to OS concerns about 1D POP
             implementation - this commit adds a pop2_consistency_check()
             routine to build-namelist [only current check is to return an
             error if lconst_Coriolis = .true. and l1Ddyn = .false. but others
             can be added easily]

Files Modified:
M       bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141113a
Tag Summary: Second step in responding to OS concerns about 1D POP
             implementation - this commit does not change default values
             for ltidal_mixing, impcor, bckgrnd_vdc1, or bckgrnd_vdc2 when
             running with 1D dynamics instead of "regular" POP.

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141113
Tag Summary: First step in responding to OS concerns about 1D POP
             implementation - this commit renames lPOP1d -> l1Ddyn to emphasis
             that this is 1D dynamics rather than a true 1D ocean model.

Files Modified:
M       source/step_mod.F90
M       source/grid.F90
M       source/vmix_kpp.F90
M       source/baroclinic.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    4 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141104
Tag Summary: Update build-namelist to enable restarts in 1D runs

Files Modified:
M       bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  jedwards
Tag Date:    3 Nov 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141103
Tag Summary: Bugfix - memory leak in POP diagnostics (change a "merge" command
             to a "where" statement)

Files Modified:
M       source/diags_on_lat_aux_grid.F90
===============================================================================
Tag Creator: andre
Developers:  andre
Tag Date:    31 Oct 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20141031
Tag Summary: Add code to pop build-namelist to expand all xml vars in namelist values.

Files Modified:
M       bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    25 Sept 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140925
Tag Summary: by default, 1D pop uses interior restoring files at surface as
             well (disable with [pt|s]_interior_surface_restoring=.false. in the
             namelist). Note that this does not change the default behavior for
             regular POP (B, C, and G compsets), just the B1D and C1D cases.

Files Modified:
M       source/forcing_pt_interior.F90
M       source/forcing_s_interior.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    24 Sept 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140924a
Tag Summary: More flexibility in 1D POP runs
             * taux and SHF coefficient are now namelist variables
             * Coriolis parameter to use with lconst_Coriolis is namelist variable
             * lKPP1d has been renamed lidentical_columns
             * 1D POP uses smaller timestep for stability
             * flat_bottom is only true for lidentical_columns

Files Modified:
M       source/step_mod.F90
M       source/grid.F90
M       source/vmix_kpp.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    24 Sept 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140924
Tag Summary: Remove diagnostic value BSF from 1D output

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
A       input_templates/gx3v7_1D_tavg_contents
A       input_templates/gx1v6_1D_tavg_contents
===============================================================================
Tag Creator: klindsay
Developers:  ajahn, klindsay
Tag Date:    22 Sept 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140922
Tag Summary: merge geotrace_ecosys branch, which broadly brings in
ecosys_driver.F90 to drive ecosys tracer submodules
ecosys_ciso_mod.F90, parameterization of biotic 13C and 14C isotopes
abio_dic_dic14_mod.F90, parameterization of abiotic 14C isotopes (ala OCMIP2 protocols)
support in io.F90 to query existance of fields in files

Files Modified:
 M      .
X       source/cvmix
M       source/passive_tracer_tools.F90
A  +    source/abio_dic_dic14_mod.F90
M       source/io.F90
A  +    source/ecosys_share.F90
M       source/io_netcdf.F90
M       source/cfc_mod.F90
M       source/passive_tracers.F90
M       source/ecosys_mod.F90
M       source/co2calc.F90
M       source/ecosys_parms.F90
M       source/io_binary.F90
A  +    source/ecosys_driver.F90
A  +    source/ecosys_ciso_mod.F90
M       bld/user_nl_pop2
M       bld/build-namelist
M       bld/pop2.buildexe.csh
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
M       ChangeLog
A  +    input_templates/ocn.ciso.tavg.csh
A  +    input_templates/ocn.abio_dic_dic14.tavg.csh
===============================================================================
Tag Creator: mlevy
Developers:  gokhan, mlevy
Tag Date:    5 Sept 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140905
Tag Summary: Differentiate between 1D POP (no horizontal influence) and 1D KPP
             (Require uniform forcing across all cells); also add ability to
             set the Coriolis parameter to a constant instead of having
             latitudinal dependence (only available with 1D POP). Note that 1D
             KPP is a subset of 1D POP, so setting lKPP1d = .true. and lPOP1d =
             .false. results in an error / abort.

             lPOP1d, lKPP1d, and lconst_Coriolis are all in grid.F90 now
             (previously, only lPOP1d existed and it was in baroclinic.F90).

Files Modified:
M       source/step_mod.F90
M       source/grid.F90
M       source/vmix_kpp.F90
M       source/baroclinic.F90
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    25 Aug 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140825
Tag Summary: Change field name for variables read in when using monthly
             forcing ("TEMPERATURE01" instead of "TEMPERATURE 1" and so on).
             Also update some error messages in io_netcdf to clarify what
             variable is not found.

Files Modified:
M       source/forcing_pt_interior.F90
M       source/forcing_s_interior.F90
M       source/io_netcdf.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    5 Aug 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140805
Tag Summary: Add 300 and 360 proc layouts for gx1v6 (used for fully coupled
             runs with BGC); these decomps are two or three times faster than
             auto-decomp, which means ocean is no longer the bottleneck in the
             coupled runs.

Files Modified:
M       bld/pop_decomp.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140729
Tag Summary: Bug in CVMix Makefile caused problems with PGI; updated CVMix tag

Files Modified:
 M      .
M       SVN_EXTERNAL_DIRECTORIES
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    28 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140728
Tag Summary: OCN_ONED variable was renamed OCN_ONEDIM in env_run.xml

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: santos
Developers:  santos
Tag Date:    14 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140714a
Tag Summary: Combine xmlchange commands to make namelist build a bit faster.

Files Modified:
M       bld/pop2.buildexe.csh
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    14 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140714
Tag Summary: Added C1D / C_ONED compset in scripts that basically just sets a
             variable in env_run.xml; build-namelist builds off of this
             variable and sets 20-ish namelist variables for 1D case.

             I also updated externals to the latest CVMix tag (v0.51-beta) and
             added the POP_TAVG_R8 flag to env_build so pop2.buildexe.csh can
             add the -DTAVG_R8 macro based on that variable (avoids requiring
             a sourcemod to get double precision tavg output)

Files Modified:
 M      .
M       bld/build-namelist
M       bld/pop2.buildexe.csh
M       bld/namelist_files/namelist_defaults_pop2.xml
M       SVN_EXTERNAL_DIRECTORIES
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    07 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140707
Tag Summary: Add ability to run POP in 1D mode (still needs T62_g37 resolution
             but each column is identical / no horizontal fluxes)

             Default is obviously not to run in 1D, but option lPOP1d=.true.
             in user_nl_pop2 will set everything up (hopefully a C1D compset
             is coming soon)

Files Modified:
M       source/step_mod.F90
M       source/baroclinic.F90
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    03 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140703
Tag Summary: Changed indexing of CVmix_vars, now calls to CVMix can be made
             with multiple threads per MPI task.

Files Modified:
M       source/vmix_kpp.F90
M       source/vertical_mix.F90
M       bld/pop2.buildexe.csh
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    02 July 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140702
Tag Summary: Add lcvmix option (currently just calls cvmix_coeffs_kpp; no
             other diffusivities are computed in CVMix and the HBLT is still
             computed by POP). Note that this requires a the Machines_140702
             Machines/ tag to compile!

             CVMix is now an external that is pulled down by POP; using the
             v0.4-prebeta tag for now.

Files Modified:
 M      .
M       source/vmix_kpp.F90
M       source/vertical_mix.F90
M       bld/pop2.buildexe.csh
M       bld/namelist_files/namelist_definition_pop2.xml
A       SVN_EXTERNAL_DIRECTORIES
M       ChangeLog
===============================================================================
Tag Creator: jedwards
Developers:  jedwards
Tag Date:    25 June 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140625
Tag Summary: port to nag compiler

Files Modified:
M            source/ecosys_mod.F90
M            source/ecosys_parms.F90
M             mpi/gather_scatter.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    14 May 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140514
Tag Summary: OMP loop in ecosys_mod missing some private variable declarations

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    7 May 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140507
Tag Summary: "if (b4b_flag)" was being used rather than "if (.not. b4b_flag)"
             in 3 places leading to the wrong global reduction being used

Files Modified:
M       mpi/global_reductions.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    1 May 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140501
Tag Summary: Add default values to ecosys and ecosys_parms namelist variables
             (for documentation). Note that this still needs variable
             descriptions.

Files Modified:
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  klindsay, mlevy
Tag Date:    29 Apr 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140429
Tag Summary: Add support for RCP4.5 and RCP8.5 ocean transients and set
             namelist defaults for BRCP45BDRD, BRCP85BDRD, and BRCP85BPRP
             compsets

Files Modified:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  njn01, mlevy
Tag Date:    20 Apr 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140420a
Tag Summary: Update restart.F90 to allow POP to right restart mid-day

Files Modified:
M       source/restart.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    20 Apr 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140420
Tag Summary: Cleaned up whitespace in pop2.buildnml.csh (proper indentation to
             make script easier to read)

Files Modified:
M       bld/pop2.buildnml.csh
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, thoar
Tag Date:    14 Mar 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140314
Tag Summary: There was some un-necessary code for handling rpointer files in
             multi-instance cases. This tag also cleans up how the variable
             inst_string is determined (single print statement instead of
             several if statements to prepend 0s)

Files Modified:
M       bld/pop2.buildnml.csh
===============================================================================
Tag Creator: mlevy
Developers:  gokhan, ytseng
Tag Date:    1 Mar 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140301
Tag Summary: Units attribute of potential vorticity was incorrect in history
             files

Files Modified:
M       source/advection.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    28 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140228
Tag Summary: Despite fix in 20140227a tag, P_iron remin is still not always
             computed correctly (there was a bug in my bug fix)

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140227e
Tag Summary: New ecosys module wasn't broadcasting everything after reading
             namelist (also wasn't writing everything to screen)

Files Modified:
M       source/ecosys_parms.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140227d
Tag Summary: call to tfreez should be threaded (tfreez takes single block as
             input)

Files Modified:
M       source/forcing.F90
===============================================================================
Tag Creator: mlevy
Developers:  abaker, klindsay
Tag Date:    27 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140227c
Tag Summary: Diagnostic output in overflows wasn't printing proper overflow
             index

Files Modified:
M       source/overflows.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140227b
Tag Summary: overflows had a text field that was outputting ******* instead of
             proper diagnostic values

Files Modified:
M       source/overflows.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140227a
Tag Summary: P_iron remin is not always computed correctly

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    27 Feb 2014
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20140227
Tag Summary: Ecosys diagnostics didn't initialize P_iron%sed_loss to zero and
             had incorrect units for pfeToSed variable.

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  santos
Tag Date:    20 Dec 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131220
Tag Summary: Another bugfix related to updated compilers

Files Modified:
M       source/cfc_mod.F90
M       source/cfc11_mod.F90
M       source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    5 Dec 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131205
Tag Summary: Fix a bug in the creation of pop2.input_data_list -- there is one
             binary file in the inputdata repository that requires a .hdr file
             and now the hdr file is pulled from the repository (when needed)
             by the check_input_data_script

Files Modified:
M       bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    2 Dec 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131202
Tag Summary: Update default values for ecosys

Files Modified:
M       source/ecosys_parms.F90
M       bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  santos
Tag Date:    26 Nov 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131126
Tag Summary: Getting POP ready for the xlf2003 compiler

Files Modified:
M       source/hmix_del2.F90
M       source/hmix_del4.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    21 Nov 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131121a
Tag Summary: Bugfix in ecosys module (see bugzilla #1866): Fe input was
             over-writing the atmospheric Fe flux instead of being added.

Files Modified:
M       source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  njn01
Tag Date:    21 Nov 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131121
Tag Summary: Splitting the option to use reduced Arctic diffusivity out of the
             near-interial wave mixing (use the larctic_bckgrnd_vdc namelist
             variable, default is .false.)

Files Modified:
M       source/vmix_kpp.F90
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_pop2.xml
M       bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: tcraig
Developers:  tcraig
Tag Date:    01 Nov 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131101
Tag Summary: Fix rpointer permissions on 20131028 modification

Files Modified:
M       bld/pop2.buildnml.csh
===============================================================================
Tag Creator: mlevy
Developers:  tcraig
Tag Date:    28 Oct 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131028
Tag Summary: Bugfix for re-running multi-instance from start of run (rather
             than from restart file) -- pointer files were not always set
             correctly.

Files Modified:
M       bld/pop2.buildnml.csh
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    25 Oct 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131025
Tag Summary: Bugfixes in ecosys params. In bugz, see
             1802 -- global Si balance
             1803 -- scale length inconsistency

             Also fixed some inconsistencies between default values set in POP
             in ecosys_parms.F90 and the default values build-namelist puts in
             pop2_in (the values in source have been modified to match the
             namelist defaults)

Files Modified:
M       source/ecosys_mod.F90
M       source/ecosys_parms.F90
M       bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mvertens
Tag Date:    3 Oct 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20131003
Tag Summary: Removal of mct2esmf calls and bug fixes for the BPRP and BDRD
             compsets.

Files Modified:
M       drivers/cpl/ocn_comp_esmf.F90
M       drivers/cpl/ocn_comp_mct.F90
===============================================================================
Tag Creator: mlevy
Developers:  mvertens
Tag Date:    25 Sept 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130925
Tag Summary: Merge comptype branch, which updates the driver to reduce code
             reuse between the ESMF and MCT versions of the driver.

Files Modified:
 M      .
M       bld/pop2.buildexe.csh
D       drivers/cpl_share
D       drivers/cpl_share/POP_CplIndices.F90
D       drivers/cpl_mct
D       drivers/cpl_mct/POP_FinalMod.F90
D       drivers/cpl_mct/POP_MCT_vars_mod.F90
D       drivers/cpl_mct/ocn_communicator.F90
D       drivers/cpl_mct/ocn_comp_mct.F90
D       drivers/cpl_mct/POP_InitMod.F90
D       drivers/cpl_esmf
D       drivers/cpl_esmf/POP_FinalMod.F90
D       drivers/cpl_esmf/ocn_comp_esmf.F90
D       drivers/cpl_esmf/POP_MCT_vars_mod.F90
D       drivers/cpl_esmf/ocn_communicator.F90
D       drivers/cpl_esmf/ocn_comp_mct.F90
D       drivers/cpl_esmf/POP_InitMod.F90
 M      drivers/cpl_none
A  +    drivers/cpl
A  +    drivers/cpl/POP_FinalMod.F90
A  +    drivers/cpl/ocn_comp_esmf.F90
A  +    drivers/cpl/ocn_import_export.F90
A  +    drivers/cpl/POP_CplIndices.F90
A  +    drivers/cpl/POP_MCT_vars_mod.F90
A  +    drivers/cpl/ocn_communicator.F90
A  +    drivers/cpl/ocn_comp_mct.F90
A  +    drivers/cpl/POP_InitMod.F90
===============================================================================
Tag Creator: tcraig
Developers:  tcraig
Tag Date:    05 Sept 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130905
Tag Summary: Merge cplupa branch, ifdef ESMF attributes, rename coupling
             runoff fields, modify intent of coupling interface.

Files Modified:
M       drivers/cpl_share/POP_CplIndices.F90
 M      drivers/cpl_mct
M       drivers/cpl_mct/ocn_comp_mct.F90
M       drivers/cpl_esmf/ocn_comp_esmf.F90
 M      drivers/cpl_none
M       drivers/cpl_none/POP_CouplingMod.F90
===============================================================================
Tag Creator: mlevy
Developers:  jedwards
Tag Date:    18 July 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130718b
Tag Summary: Change in how build-namelist expands environment variables

Files Modified:
M            49248   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    18 July 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130718a
Tag Summary: Change to build-namelist to handle $OCN_TRACER_MODULE as an array
             rather than one big string.

Files Modified:
M            49243   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    18 July 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130718
Tag Summary: Fix to allow changes to domain_size.F90 and POP_DomainSizeMod.F90
             in SourceMods/src.pop2

Files Modified:
M            49241   bld/pop2.buildexe.csh
===============================================================================
Tag Creator: mlevy
Developers:  santos
Tag Date:    9 July 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130709a
Tag Summary: Three small changes to allow POP to build with intel's "-check
             bounds" flag (checking for out of bounds memory access)

Files Modified:
M            48833   source/vmix_kpp.F90
M            48833   source/hmix_gm.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    9 July 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130709
Tag Summary: Update to cfc fix implemented on Jan 28, 2013... that fix did not
             handle branch runs correctly (based iinit_cfc_option on STARTDATE
             rather than REFDATE)

Files Modified:
M            48822   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    21 May 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130521
Tag Summary: Another partial_bottom_cell bugfix: diagnostic output was computed
             incorrectly with partial bottom cells turned on.

Files Modified:
M            47358   source/advection.F90
M            47358   source/horizontal_mix.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    17 May 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130517
Tag Summary: Bugfix: split loops led to bad values of hfac_[tu] with partial
             bottom cells turned on.

Files Modified:
M            47278   source/vertical_mix.F90
===============================================================================
Tag Creator: mlevy
Developers:  jedwards
Tag Date:    15 May 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130515
Tag Summary: Bugfix: test on edison was giving "variable used without being
             defined" error relating to dz_loc.

Files Modified:
M            47175   source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    01 May 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130501
Tag Summary: Updating a namelist variable default value.

Files Modified:
M            46612   source/ecosys_parms.F90
M            46612   bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, njn01, tcraig
Tag Date:    26 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130426
Tag Summary: A couple of small changes to avoid "invalid tavg id" error in
             vertical_mix.F90 and an error relating to passing a variable
             that hasn't been allocated in diagnostics.F90.

Files Modified:
M       source/diagnostics.F90
M       source/vertical_mix.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlong
Tag Date:    25 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130425b
Tag Summary: New CFC dataset (not bit-for-bit with previous dataset)

Files Modified:
M            46408   bld/namelist_files/namelist_defaults_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  klindsay
Tag Date:    25 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130425a
Tag Summary: The best description is probably just to say this is version 2.0
             of ecosys_mod. There is no backwards compatibility, for ecosys
             version 1.0, use CESM 1.1.1 or CESM 1.0.5.

Tests:       Ran CECO compsets with T62_g16, f09_g16_rx1, and T31_g37_rx1
             resolutions. Also ran C compsets on T62_g16 and T31_g37_rx1 to
             check that non-ecosys modes were still bit-for-bit with the trunk
             (cesm1_2_alpha07b).Built and ran using pgi compiler to check
             multiple compilers.

Files Modified:
M            46396   source/ecosys_mod.F90
M            46396   source/co2calc.F90
M            46396   source/ecosys_parms.F90
M            46396   source/tavg.F90
M            46396   bld/build-namelist
M            46396   bld/pop2.buildexe.csh
M            46396   bld/namelist_files/namelist_defaults_pop2.xml
M            46396   bld/namelist_files/namelist_definition_pop2.xml
M            46396   input_templates/ocn.ecosys.tavg.csh
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    25 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130425
Tag Summary: Bugfix from a poorly constructed write statement

Files Modified:
M            46394   source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130416
Tag Summary: A little cleanup following the addition of final_output

Files Modified:
M            46058   source/output.F90
M            46058   source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    12 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130412
Tag Summary: Three separate bug fixes
             1) io_netcdf.F90 fixes issue with CECO + pnetcdf
             2) pop2.buildnml.csh cleans up remnants of a change made
                in 20120919 tag but removed in 20120927 tag (left one
                block of code in by mistake)
             3) rest of files are a fix that checks to see if any tavg
                stream files are still open at the end of the run and,
                if so, closes them.

Files Modified:
M       source/io_netcdf.F90
M       source/output.F90
M       source/tavg.F90
M       bld/pop2.buildnml.csh
M       drivers/cpl_mct/POP_FinalMod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    03 April 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130403
Tag Summary: Remove epbal scale factor from mct and esmf drivers

Files Modified:
M            45561   drivers/cpl_mct/ocn_comp_mct.F90
M            45561   drivers/cpl_esmf/ocn_comp_esmf.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    12 March 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130312a
Tag Summary: Fix in build-namelist to properly name diag output in multi-
             instance runs, addition of ecosys_parms namelist to namelist
             definitions.

Files Modified:
M            44699   bld/build-namelist
M            44699   bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  njn01
Tag Date:    12 March 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130312
Tag Summary: Bring in Nancy's fixes for near-inertial wave work.

Files Modified:
M            44679   source/initial.F90
M            44679   source/vmix_kpp.F90
===============================================================================
Tag Creator: mlevy
Developers:  abaker
Tag Date:    25 February 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130225
Tag Summary: Bring in Allison Baker's overflow code.

Files Modified:
A       serial/mpi2s_gshalo.F90
A       serial/ovf_utils.F90
M       source/overflows.F90
M       source/initial.F90
M       source/step_mod.F90
M       source/timers.F90
M       source/advection.F90
M       source/blocks.F90
M       source/restart.F90
M       source/output.F90
A       source/pop_quicksort.F90
M       source/barotropic.F90
A       source/overflow_type.F90
M       source/baroclinic.F90
A       mpi/mpi2s_gshalo.F90
A       mpi/ovf_utils.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    30 January 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130130
Tag Summary: Another bug-fix for Tony's new decomposition work

Files Modified:
M            43608   source/POP_DistributionMod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    28 January 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130128a
Tag Summary: Typo in comment regarding cfc namelist options

Files Modified:
M            43549   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, klindsay
Tag Date:    28 January 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130128
Tag Summary: Keith Lindsay found a bug in the cfc namelist script dating back
             to at least CCSM 4.0. Basically, cfcs were being set to zero for
             hybrid and branch runs in transient cases for all start dates,
             while they should have non-zero values after 1930.

Testing:     Keith provided me with a working version of ocn.cfc.setup.csh for
             1.0.5, I ported the changes to build-namelist and ensured the
             namelists I generated in 1.1.1 matched his 1.0.5 namelists.

Files Modified:
M            43549   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    18 January 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130118
Tag Summary: The blockone decomposition Tony introduced was causing issues
             with 30 ocean tasks and the gx3v7 resolution. As a workaround
             I hard-coded decompositions for 30 procs in pop_decomp.xml

Notes:       The blockone code can handle 15 ocean tasks, but I found that
             adding a decomposition to pop_decomp.xml (blocks of 20x39 cells
             with 5x3 layout of blocks over the tasks) was faster. In the
             interest of not changing too much, I did not add this "better"
             decomposition... but it should be the starting point of a
             discussion. Similarly, a hard-coded 45 task decomposition
             (blocks of 20x13 with 5x13 layout of blocks over the tasks) ran
             roughly the same speed as a blockone 45 task decomposition but
             since blockone could handle 45 tasks i did not include my
             decomposition in pop_decomp.xml.

Files Modified:
M            43399   bld/pop_decomp.xml
===============================================================================
Tag Creator: mlevy
Developers:  bates, gokhan, ytseng
Tag Date:    15 January 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130115
Tag Summary: Yu-heng found a bug in how the diagnostic quantity RHO_VINT is
             calculated.

Testing:     Gokhan implemented a fix in cesm1_1_beta01 (using pop tag from
             May 2011), Susan tested the fix, and then I patched the latest
             trunk / ensured that it still builds.

Files Modified:
M            43323   source/baroclinic.F90
===============================================================================
Tag Creator: mlevy
Developers:  tcraig
Tag Date:    11 January 2013
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20130111
Tag Summary: Brought in Tony's blockone decomposition. If you do not use a
             decomposition supported in bld/pop_decomp.xml, build-namelist
             will compute a decomposition rather than erroring out.

Testing:     Showed that this is bit-for-bit out-of-the-box with a C compset
             and both the ne30_g16 and ne120_t12 resolutions (using NTASKS_OCN
             set by create_newcase). Also showed that non-default task counts
             that were previously unsupported do not change the answer more
             than other supported decompositions. For ne120_t12, that involved
             running with NTASK_OCN = 1024 (default), 960 (supported in
             pop_decomp.xml), as well as both 1025 and 1230 (both required
             intervention by blockone).

Files Modified:
M            43193   source/POP_DistributionMod.F90
M            43193   source/distribution.F90
M            43193   source/domain.F90
M            43193   bld/README.build-namelist
M            43193   bld/generate_pop_decomp.pl
M            43193   bld/namelist_files/namelist_defaults_pop2.xml
M            43193   bld/namelist_files/namelist_definition_pop2.xml
 M           43193   drivers/cpl_mct
 M           43193   drivers/cpl_none
 M           43193   .
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    14 November 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20121114
Tag Summary: Bug introduced in tavg.F90 that prevents building... arguments
             to date_and_time() were incorrect in tavg_add_attrib_file_ccsm
             routine

Testing:     Built a C compset to ensure code compiles and runs, made sure
             updated source was included in test.

Files Modified:
M            41938   source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    13 November 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20121113
Tag Summary: Rather than call date_and_time() on every process, call it on
             master_task and broadcast it to rest (this is needed to avoid
             issues in parallel output since date_and_time() provides the
             timestamp used in netcdf attribute so it needs to be the same
             on all tasks)

Testing:     Built a C compset to ensure code compiles and runs

Files Modified:
M            41884   source/movie.F90
M            41884   source/history.F90
M            41884   source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    23 October 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20121023
Tag Summary: Adding to error output when ice runoff is negative -- printing the
             min value to see if the negative runoff is near round-off level or
             if it is a significant negative value.

Testing:     Built a C compset to ensure code compiles, still need to trigger the
             error and make sure formatting is legible.

Files Modified:
M            41224   drivers/cpl_mct/ocn_comp_mct.F90

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    19 October 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20121019
Tag Summary: Coupling every 30 minutes caused problems in how build-namelist set
             up time_manager_nml (ihour0 = 0.5 is bad when ihour is an integer).
             This update moves the logic for computing coupled_freq up to when
             we read in XML variables and then computes iyear0, imonth0, iday0,
             ihour0, iminute0, and isecond0 properly.

Files Modified:
M            41161   bld/build-namelist
M            41161   bld/namelist_files/namelist_defaults_pop2.xml

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    18 October 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20121018
Tag Summary: build-namelist didn't know how to handle coupling every 30 minutes
             (by default, couple_freq_opt was always 'nhour' and couple_freq was
             1,2,3,4,6,8,12, or 24... setting OCN_NCPL=48 in env_run was not
             supported). Now build-namelist behaves similarly to the driver
             build-namelist in order to determine how frequently pop will need
             to communicate with the coupler.

Files Modified:
M            41138   bld/build-namelist
M            41138   bld/namelist_files/namelist_defaults_pop2.xml

===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    27 September 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120927
Tag Summary: Tag from Sept 19 caused problems with ER* tests. It's complicated,
             but the first problem was copying rpointer.ocn.init with the rest
             of the rpointer files when cloning a case. Then it turned out that
             the lack of an rpointer.ocn.init file should lead to reading the
             init_ts_file_fmt from rpointer.ocn.restart rather than defaulting
             to bin... and around this time Tony Craig pointed out that right
             now users are told that they need ALL rpointer files from a ref
             run, so it's confusing to say "except rpointer.ocn.init". Long
             story short, we decided that the best solution was to remove
             rpointer.ocn.init and just get init_ts_file_fmt from wherever
             the reference data is. Eventually we will prestage before running
             pop2.buildnml.csh and none of this will matter because we will
             have the correct rpointer.ocn.restart file in $RUNDIR. Until then,
             this seems like a better solution than the one implemented on the
             19th.

Testing:     Ran ERI_PT.B1850CN test that had been falling with the Sep 19 tag,
             it now passes. Also repeated the test from the 19th to ensure the
             bug fixed then did not creep back in.

Files Modified:
M            40575   bld/pop2.buildnml.csh
M            40575   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    26 September 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120926
Tag Summary: Main task - updating diags_on_lat_aux_grid to handle outputting
             tavg streams when OCN_PIO_ROOT is not master_task. Additionally,
             added a handful of POP_IOUnitsFlush calls to aid in debugging.

Testing:     Keith Lindsay pointed out that running a G1850ECO compset on
             bluefire with OCN_PIO_ROOT = -99 failed. So I ran the same compset
             with OCN_PIO_ROOT = 0, saved the history files, and then ensured
             that using OCN_PIO_ROOT = -99 returns bit-for-bit results.

Files Modified:
M            40429   source/diags_on_lat_aux_grid.F90
M            40410   source/io_pio.F90
M            40410   source/diag_bsf.F90
M            40410   source/tavg.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    19 September 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120919
Tag Summary: Bugfix - re-running a hybrid or branch run (not continuing the
             run, but starting over) used to have a problem determining the
             file format for the initial conditions, this tag fixes that.

Testing:     Ran a hybrid run for 5 days, re-ran it (used to error out but now
             works), set CONTINUE_RUN to TRUE, ran for 5 days, and then set
             CONTINUE_RUN back to FALSE and re-ran it one more time. Also built
             a regular C case (startup, not hybrid).

Files Modified:
M            40384   bld/pop2.buildnml.csh
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 August 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120829
Tag Summary: More updates to build-namelist -- 4 more variables (all are F90
             derived types) that exist in multiple namelists were moved updated
             in the namelist_definition and namelist_defaults file to ensure
             they can be edited in user_nl_pop2.

                 tracer_init_ext (iage_nml, cfc_nml, ecosys_nml)
                 gas_flux_fice (cfc_nml, ecosys_nml)
                 gas_flux_ws (cfc_nml, ecosys_nml)
                 gas_flux_ap (cfc_nml, ecosys_nml)

             This also lead to changes in how build-namelist handles variables
             in the "derived" group. Most changes were of the behind-the-scenes
             variety, but one big difference is that the add_default() routine
             can handle derived types on its own. Specifically,

                 add_default($nl, 'rich_mix&vmix_rich_nml');
                 $derived = $nl->get_value('rich_mix&vmix_rich_nml');
                 $nl->set_value('vmix_rich_nml', 'rich_mix', "$derived");

             has been replaced with the much simpler

                 add_default($nl, 'rich_mix&vmix_rich_nml');

             Additionally, I noticed a typo in the comments of user_nl_pop2.

Testing:     Built C, CECO, and B20TRBDRD testcases with new build-namelist,
             compared pop2_in to old version. Also used user_nl_pop2 to add
             changed variables (see above)

Files Modified:
M            39824   bld/user_nl_pop2
M            39824   bld/build-namelist
M            39824   bld/namelist_files/namelist_defaults_pop2.xml
M            39824   bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    28 August 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120828
Tag Summary: Updated how build-namelist reads user_nl_pop2. You can now
             specify a namelist with entries like

                 var_name&namelist_name_nml = value

             whether var_name appears in multiple namelists or not. I also
             updated the namelist definition file to remove definitions for
             variables that appear in multiple namelists -- the derived types
             should be the only entries. I still need to update the definitions
             for tracer module variables appearing in multiple namelists and
             edit scripts/doc/nldef2html_pop2 to produce correct documentation

Testing:     Built C testcase with new build-namelist, compared pop2_in to
             old version

Files Modified:
M            39779   bld/build-namelist
M            39779   bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mvertens, mlevy
Tag Date:    24 August 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120824
Tag Summary: 1) the scripts/ directory has changed; the biggest effect to POP
                is moving some set up from Buildconf/configure to the
                pop2.buildnml.csh script. Also changes $OBJROOT to $EXEROOT in
                a few places. Note: to set up a new case, run "./setup" from
                $CASEROOT rather than "./configure -case"
             2) Nancy and Gokhan asked me to update error message associated
                with using linertial = .true.
Testing:     Built C compset using new scripts.

Files Modified:
M            39666   source/initial.F90
M            39666   bld/pop2.buildnml.csh
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    16 August 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120816
Tag Summary: Updated build-namelist to suppress "file status unknown" warnings
             in prestage when variables named *_file have non-file values. The
             change effects how the following four namelist values are treated:
               * init_iage_file = 'same_as_TS'
               * bottom_cell_file = 'unknown_bottom_cell'
               * tidal_energy_file = 'unknown_tidal_mixing'
               * niw_energy_file = 'unknown_niw_energy'
             I think those are the only four that could cause this kind of error
             but if more crop up it's a simple update to fix.
Testing:     Still successfully built, errors in prestage are gone.

Files Modified:
M            39490   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    18 July 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120718
Tag Summary: * Primary purpose: more updates to new build system (mostly adding
               documentation to namelist_definitions_pop2.xml, but also moving
               some values calculated directly in build-namelist to the defaults
               file).
             * Additional development: Increased max_avail_tavg_fields to 2000
               in tavg.F90 to remove -DCESMMOBY from build system; fixed a typo
               in a comment in passive_tracers.F90
Testing:     Compared namelist / output from a simple C-compset output, also
             checked default namelists built in CECO and B20TRBPRP compsets.

Files Modified:
M            38795   source/passive_tracers.F90
M            38795   source/tavg.F90
M            38795   bld/build-namelist
M            38795   bld/pop2.buildexe.csh
M            38795   bld/namelist_files/namelist_defaults_pop2.xml
M            38795   bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  njn01, bruceb, markus
Tag Date:    12 July 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120712
Tag Summary: * Primary purpose: added near-inertial wave (NIW)  mixing code. Modified
               scripts to support the NIW option.
             * Additional development: added definition to grid.F90 to define TLAT &
               TLONG in degrees (TLATD, TLOND), then replaced code in several modules
               to reference the new variables.
Testing:     Many special-purpose tests (njn01; see NJN test log for details)

Note:        Default setting is lniw_mixing = .false. for now

Files Modified:
M            38645   source/initial.F90
M            38645   source/diags_on_lat_aux_grid.F90
M            38645   source/grid.F90
M            38645   source/vmix_kpp.F90
A                0   source/niw_mixing.F90
M            38645   source/vertical_mix.F90
M            38645   source/cfc_mod.F90
M            38645   source/ms_balance.F90
M            38645   source/tavg.F90
M            38645   source/baroclinic.F90
M            38645   bld/build-namelist
M            38645   bld/namelist_files/namelist_defaults_pop2.xml
M            38645   bld/namelist_files/namelist_definition_pop2.xml
A                0   input_templates/gx1v6_niw_tavg_contents
M            38645   drivers/cpl_mct/ocn_comp_mct.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    29 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120629
Tag Summary: Bug fix courtesy of Mat Maltrud (call to accumulate_tavg_field
             needs tavg_TFW_S, not tavg_TFW_T). Affects freshwater boundary.

Files Modified:
M            38312   source/forcing.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    25 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120625
Tag Summary: Updated PIO calls at request of Jim Edwards

Files Modified:
M            38119   source/io_pio.F90
M            38119   source/moby_mod.F90
M            38119   source/io_netcdf.F90
M            38119   source/ecosys_mod.F90
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    14 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120614
Tag Summary: Started the process of including documentation in the namelist
             definitions file, which also lead to changing a few examples in
             the README file. There will be at least one more tag with updates
             to the definitions file, but I want to make sure the first batch
             makes it into cesm1_1_beta16 (rest will probably be in beta17).

Files Modified:
M            38013   bld/namelist_files/namelist_definition_pop2.xml
M            37975   bld/README.build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    12 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120612
Tag Summary: Fix a bug in pop2.buildnml.csh that broke $CASE.build and a bug
             in build-namelist that broke tavg streams for tracer modules.
             Also changed default values for renormalization vectors to actual
             vectors (except for shf_data_renorm, where default value doesn't
             match the documentation), and adding documentation to all forcing
             namelists.

Files Modified:
M            37975   bld/namelist_files/namelist_defaults_pop2.xml
M            37975   bld/namelist_files/namelist_definition_pop2.xml
M            37996   bld/pop2.buildnml.csh
M            37996   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    11 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120611
Tag Summary: Allow build-namelist and namelist_defaults_pop2.xml to be modified
             in SourceMods/src.pop2/. Required adding optional cfg_dir flag to
             build-namelist and passing it from pop2.buildnml.csh if a copy
             of build-namelist is found in the SourceMods/ directory.

Files Modified:
M            37975   bld/pop2.buildnml.csh
M            37975   bld/build-namelist
===============================================================================
Tag Creator: mlevy
Developers:  mlevy
Tag Date:    10 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120610
Tag Summary: Big change -- namelist variables that appear in multiple namelists
             are now set use var_name&var_nml instead of var_name%var_nml in
             user_nl_pop. Also added a check to ensure that these variables are
             entered correctly in user_nl_pop (before var_name = val would not
             error out, but also won't change anything in pop2_in) and made the
             "-preview" flag in build-namelist functional -- it will print out
             "var_name = value in &var_nml" for every entry in user_nl_pop2.
             Lastly, updated the documentation in both README.build-namelist
             and the comments of user_nl_pop2, and started adding documentation
             to the namelist_definitions file (for Brian Eaton's XML -> HTML
             converter.)

Files Modified:
M            37926   bld/README.build-namelist
M            37926   bld/user_nl_pop2
M            37926   bld/build-namelist
M            37926   bld/namelist_files/namelist_defaults_pop2.xml
M            37926   bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, mvertens
Tag Date:    08 June 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120608
Tag Summary: Lots of improvements to the build-namelist setup. Brian Eaton
             updated the perl libraries, so build-namelist has better support
             for arrays (including arrays of derived types) in the definitions
             file. I also made sure every variable in &ecosys_nml appears in
             the definitions file (including every component of any variables
             that are of derived type). Additionally, I cleaned up the way
             some variables in the cfc namelist are added (they now use the
             defaults file instead of having logic in build-namelist). Lastly,
             I added a hook to be able to pass build-namelist a "-preview" flag,
             which will soon enable users to see exactly how variables in
             user_nl_pop2 are being handled by the script when they run
             preview_namelists (without increasing output from $CASE.build).

Testing:     Compared namelists build for a variety of compsets that use pop2

Files Modified:
M            37920   bld/pop2.buildnml.csh
M            37920   bld/build-namelist
M            37920   bld/namelist_files/namelist_defaults_pop2.xml
M            37920   bld/namelist_files/namelist_definition_pop2.xml
===============================================================================
Tag Creator: mlevy
Developers:  mlevy, mvertens, njn01
Tag Date:    30 May 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120530
Tag Summary: Merge bldnml branch onto trunk. This is the culmination of the
             effort to get every CESM component using the build-namelist script.
             Nancy helped ensure that the moby support she was adding to the
             trunk was not lost in this update.

Testing:     Documented in branch_tags/bldnml_tags/, but basically ensured that
             namelists generated with this system were identical to old ones and
             that output remained bit-for-bit.

M            37544   source/POP_SolversMod.F90
M            37544   source/moby_mod.F90
A  +             -   bld/pop2.buildnml.csh
D            37544   bld/moby.cpl7.template
M            37544   bld/pop_decomp.xml
A  +             -   bld/README.build-namelist
A  +             -   bld/user_nl_pop2
M            37544   bld/generate_pop_decomp.pl
A  +             -   bld/build-namelist
A  +             -   bld/pop2.buildexe.csh
M            37544   bld/pop2.cpl7.template
A  +             -   bld/namelist_files
A  +             -   bld/namelist_files/namelist_defaults_pop2.xml
A  +             -   bld/namelist_files/namelist_definition_pop2.xml
M            37544   input_templates/test_domain_size.F90
D            37544   input_templates/ocn.iage.setup.csh
M            37544   input_templates/tx0.1v2_domain_size.F90
M            37544   input_templates/tx0.1v2_POP_DomainSizeMod.F90
D            37544   input_templates/pop2_tavg_nml.csh
D            37544   input_templates/gx3v5_inputdata
D            37544   input_templates/gx3v7_inputdata
D            37544   input_templates/ocn.ecosys.setup.csh
D            37544   input_templates/pop2_in_build.csh
M            37544   input_templates/gx1v6_POP_DomainSizeMod.F90
M            37544   input_templates/tx1v1_POP_DomainSizeMod.F90
D            37544   input_templates/tx0.1v2_inputdata
D            37544   input_templates/ocn.moby.setup.csh
A  +             -   input_templates/ocn.iage.tavg.csh
A  +             -   input_templates/ocn.base.tavg.csh
D            37544   input_templates/gx1v6_inputdata
D            37544   input_templates/ocn.cfc.setup.csh
A  +             -   input_templates/ocn.cfc.tavg.csh
D            37544   input_templates/ocn.cfc11.setup.csh
M            37544   input_templates/gx1v6_domain_size.F90
M            37544   input_templates/gx3v5_domain_size.F90
D            37544   input_templates/tx1v1_inputdata
M            37544   input_templates/gx3v7_domain_size.F90
A  +             -   input_templates/ocn.ecosys.tavg.csh
A  +             -   input_templates/ocn.moby.tavg.csh
M            37544   input_templates/tx1v1_domain_size.F90
M            37544   input_templates/gx3v5_POP_DomainSizeMod.F90
M            37544   input_templates/gx3v7_POP_DomainSizeMod.F90
 M           37544   drivers/cpl_mct
 M           37544   drivers/cpl_none

===============================================================================
Tag Creator: njn01
Developers:  njn01
Tag Date:    27 March 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120327
Tag Summary: * change name in ocn.moby.setup.csh script (MOBY_CO2_FLUX --> FG_CO2)
             * configure streams in manner equivalent to what is done in ecosys_mod,
                 where possible
             * only write tavg qflux stream info from master_task

Testing:     * Ran customized tests from the cesm1_1_beta09.20120327-114702 sandbox

Files Modified:
M            35814   source/tavg.F90
M            35814   input_templates/ocn.moby.setup.csh

===============================================================================
Tag Creator: njn01
Developers:  njn01
Tag Date:    20 March 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120320
Tag Summary: * Bring the last of the moby infrastructure onto the pop2 trunk. Active moby developments
               are NOT on the pop2 trunk.

Testing:     * In a cesm1_1_beta09 base-model sandbox, modified only the pop2.cpl7.template script and
               ran the bluefire.pop2.auxtest test suite.
             * Separately, in the cesm1_1_beta09+++ sandbox, tested C, CDARWIN, C-then-activate-moby,
               and CDARWIN-the-deactivate-moby tests. See moby ChangeLog for info.

Files Modified:
A                0   bld/moby_activate.csh
A                0   bld/moby.cpl7.template
A                0   bld/moby_deactivate.csh
M            35426   bld/pop2.cpl7.template
A                0   input_templates/ocn.moby.setup.csh
===============================================================================
Tag Creator: njn01
Developers:  njn01
Tag Date:    12 March 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120312
Tag Summary: * correction to tavg.F90 (the cesm_pop_2_1_20120125 tavg bugfix
                    was overwritten in the cesm_pop_2_1_20120308 tag)
             * bring MOBY branch bld/*decomp* and drivers/cpl_mct/ocn_comp_mct.F90 files onto pop2 trunk

Testing:     * In a cesm1_1_beta09 base-model sandbox, created & ran C, T62_gx1v6 cases using
               cesm_pop_2_1_20120125 and this tag. Compiled and ran 6-day smoke tests and
               differenced the ocean restart and history files: b4b.
             * Ditto for CECO, except run for one month, then difference restart & history files: monthly
                  restart, base-model history, ecosys nday history files are all b4b.

Files Modified:
M            35393   source/tavg.F90   <--- re-introduce bugfix from cesm_pop_2_1_20120125
M            35393   bld/pop_decomp.xml                 <-- add MOBY hooks
M            35393   bld/generate_pop_decomp.pl         <-- add MOBY hooks
M            35393   drivers/cpl_mct/ocn_comp_mct.F90   <-- added save statement and zeroed out work array

===============================================================================
Tag Creator: njn01
Developers:  njn01
Tag Date:    8 March 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120308
Tag Summary: Add MOBY "hooks" to the pop2 base model
             This tag brings in modified pop2/source files that contain MOBY
             modifications, plus a "stub" version of moby_mod.F90.

             This is the first of two steps towards bringing support for MOBY
             onto the pop2 trunk (without bringing the actual MOBY darwin code in).
             The second step will be to add a revised version of pop2.cpl7.template,
             moby.cpl7.template, and ocn.moby.setup.csh scripts that are compatible
             with the new namelist-build scripts, which will be done by Mariana
             Vertenstein.

Testing:     In a cesm1_1_beta09 sandbox, created & ran C, T62_gx1v6 case; compared
             with cesm1_1_beta09 oob.  New code compiles & runs; ocean restart
             files are b4b.

Files Modified:
M            35316   source/passive_tracer_tools.F90
M            35316   source/step_mod.F90
M            35316   source/forcing.F90
A                0   source/moby_mod.F90
M            35316   source/passive_tracers.F90
M            35316   source/exit_mod.F90
M            35316   source/tavg.F90
M            35316   source/baroclinic.F90
M            35316   source/domain.F90
A                0   source/moby_parms.F90
M            35316   drivers/cpl_mct/POP_FinalMod.F90

===============================================================================
Tag Creator: njn01
Developers:  njn01
Tag Date:    25 January 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120125
Tag Summary: Bugfix for N_HEAT, N_SALT tavg computation
             This is a bugfix for a minor error in the tavg.F90 module
             in the determination of the averaging method for N_HEAT and
             N_SALT.  In the out-of-the-box configuration, this bug was
             confirmed to have zero effect on the solutions. In modified
             configurations (eliminated some fields from tavg_contents),
             the bug caused the model to exit abnormally.

Testing:     With and without the bugfix, bluefire, cesm1_1_beta08. Diff'd
             N_HEAT, N_SALT daily averages (single precision) -- zero diffs.

Files Modified:
M            34058   source/tavg.F90
===============================================================================
Tag Creator: tcraig
Developers:  tcraig,pw
Tag Date:    23 January 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120123
Tag Summary: update esmf calls to esmf 520r standard.
             add support for multi-instance runs with esmf coupling interfaces.
             fix timer issue when writing output during run (pw).

Testing:
             tested in a beta09a sandbox on bluefire (prealpha and prebeta) and
             lynx (prealpha)

Files Modified:
M       source/timers.F90
M       drivers/cpl_mct/ocn_comp_mct.F90
M       drivers/cpl_esmf/ocn_comp_esmf.F90
M       drivers/cpl_esmf/ocn_comp_mct.F90
===============================================================================
Tag Creator: njn01
Developers:  njn01
Tag Date:    12 January 2012
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20120112
Tag Summary: Corrected a bug in the pop2.cpl7.template that was introduced
             with multiple instantiation support.  This bug caused cloned
             cases to incorrectly point to the original case directory when
             creating pop2_in during the execution of pop2.buildnml.csh,
             rather than to its own case directory.

svn diff:
 if (\$NINST_OCN == 1) then
    set ocn_inst_string = ''
-   setenv POP2_IN       $POP2_DOCDIR/document_pop2_in
+   setenv POP2_IN      \$POP2_DOCDIR/document_pop2_in
    setenv output_r      ./\$CASE.pop.r
    setenv output_h      ./\$CASE.pop.h
    setenv output_d      \$rundir/\$CASE.pop.d
@@ -483,7 +483,7 @@
    if (\$ocn_inst_counter <=  99) set ocn_inst_string = 0\${ocn_inst_string}
    if (\$ocn_inst_counter <=   9) set ocn_inst_string = 0\${ocn_inst_string}
    set ocn_inst_string = _\${ocn_inst_string}
-   setenv POP2_IN       $POP2_DOCDIR/document_pop2_in_\${ocn_inst_counter}
+   setenv POP2_IN      \$POP2_DOCDIR/document_pop2_in_\${ocn_inst_counter}
    setenv output_r      ./\$CASE.pop\${ocn_inst_string}.r
    setenv output_h      ./\$CASE.pop\${ocn_inst_string}.h
    setenv output_d      \$rundir/\$CASE.pop\${ocn_inst_string}.d

Testing:
          None at this point. Will hand off testing to someone else?
Files Modified:
M            32802   bld/pop2.cpl7.template
===============================================================================
Tag Creator: tcraig
Developers:  1) tcraig
Tag Date:    10 December 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111210
Tag Summary: Modified pop2.cpl7.template to restart file format
             setting associated with the rpointer files for
             multi-instance mode.
Testing:
          Test (tcraig):
             tested with alpha07c (w/ pop 20111206) + mod, could
               not test with 20111209 due to dependencies on other
               model changes NOT in alpha07c.
             bluefire: ERS_N2.f19_g16.B20TRC5CN
             bluefire: bluefire.prealpha
          Results:
             fixes ERS_N2 test cases, all results bfb for other tests.

Files Modified:
M       bld/pop2.cpl7.template

===============================================================================
Tag Creator: mvertens
Developers:  1) mvertens
Tag Date:    09 December 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111209
Tag Summary: Modified files to change the field names to be consistent with
             drvseq4_0_11

Foxx_snow  -> Faxa_snow
Foxx_rain  -> Faxa_rain
Foxx_lwdn  -> Faxa_lwdn
Foxx_melth -> Fioi_melth
Foxx_meltw -> Fioi_meltw
Foxx_salt  -> Fioi_salt

Testing:
Ran all bluefire and lynx prebeta tests and showed that the history files
were identical with and without the upcoming beta08 changes. The only exception
was debug tests on bluefire that were roundoff level different in pop. The same
debug tests when run without debugging were bfb the same.

Files Modified:
M       drivers/cpl_share/POP_CplIndices.F90
M       drivers/cpl_mct/ocn_comp_mct.F90
M       drivers/cpl_esmf/ocn_comp_esmf.F90


===============================================================================
Tag Creator: tcraig
Developers:  1) tcraig
Tag Date:    06 December 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111206
Tag Summary: Modified pop2.cpl7.template to address missing rpointer
             file for multi-instance cases when starting from a
             restart set from an earlier non-multi-instance case.
             this just requires duplicating the rpointer files to
             the appropriate multi-instance names.
Testing:
          Test (tcraig):
             bluefire: cesm prealpha and prebeta suites
             lynx_pgi: cesm prealpha suite
             bluefire: various NCK and ERS_N2 test cases
          Results:
             fixes problesm in NCK and ERS_N2 test cases, all results
             bfb for other tests.

Files Modified:
M       bld/pop2.cpl7.template

===============================================================================
Tag Creator: njn01
Developers:  1) njn01,klindsay
Tag Date:    01 December 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111201
Tag Summary: Replace dimensioned arrays with assumed-shape arrays in ecosys_mod.F90,
             in order to work around a subtle compiler issue (detected by an intel compiler)
             which occurs when the ecosys_mod and any other passive-tracer module with
             more than two (or three, in our default setup) tracers is compiled and
             'ecosys' is not active.
Testing:
          Test (njn01):
             T62_gx3v7, bluefire, 2-month ER, manual setup with binary restart file compare
                 at end of Feb
             case1 = C, oob
             case2 = C, with new ecosys_mod.F90
             case3 = CECO, oob
             case4 = CECO, with new ecosys_mod.F90
          Results:
             case1 b4b with case2; case3 b4b with case4
          Test (jedwards): Intel compiler
          Results: no complaints

Files Modified:
M            31647   source/ecosys_mod.F90

===============================================================================
Tag Creator: njn01
Developers:  1) njn01 2) klindsay
Tag Date:    09 November 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111109
Tag Summary: 1) Change restart file fmt from 'bin' to 'nc' because list-directed
                  i/o is not b4b on some platforms
             2) Modify global sum routines so that automated 1x2 threading test is b4b, and
                instrument the POP_ReductionsMod module s.t. it responds to the "b4b"
                option in the same way as the global_sum routines in global_reductions.
                This second part allows for (non-automated) comparisons of certain
                threading vs non-threading test cases, such as 1x4, 4x1, 2x2; it is not
                totally general.
_________________________________________________________________________________________

From Keith Lindsay:
all mods are b4b if NTHRDS_OCN=1

global_reductions.F90:
    ensure (1 task, 2 threads) is b4b with (2 tasks, 1 thread),
    if both built with BUILD_THREADED=TRUE

POP_ReductionsMod.F90, initial.F90:
    ensure (m1 tasks, n1 threads) is b4b with (m2 tasks, n2 threads),
    if m1*n1 = m2*n2, i.e. same number of blocks, BUILD_THREADED=TRUE,
    and b4b_flag=.true. in context_nml
    This has an unquantified performance hit for large block counts.
_________________________________________________________________________________________

Testing: 1) Diane Feddema (2011-11-08):
            when restart format is 'nc' tests on lynx are b4b; when it is 'bin', they are not.
         2) Keith Lindsay (2011-11-08):
bluefire, CECO, T62_gx3v7:
25 day runs, comparing binary ocean restart files at end of run

    (2 tasks, 1 thread) prev = (2 tasks, 1 thread) new
                             = (1 task, 2 threads) new

    (4 tasks, 1 thread) prev = (4 tasks, 1 thread) new

with b4b_flag set
    (4 tasks, 1 thread) new  = (2 tasks, 2 threads) new
                             = (1 task, 4 threads) new

bluefire, B1850BPRP, T31_gx3v7:
5 day runs, comparing binary ocean restart files at end of run

    (2 tasks, 1 thread) new = (1 task, 2 threads) new
_________________________________________________________________________________________
Files Modified:
1) pop2_in_build.csh
2) global_reductions.F90, POP_ReductionsMod.F90, initial.F90
M            31647   source/initial.F90
M            31647   mpi/POP_ReductionsMod.F90
M            31647   mpi/global_reductions.F90
M            31647   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Tag Date:    03 November 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111103
Tag Summary: Bug fix: TPOWER history-file units were incorrect.
             were: erg/s  should be: erg/s/cm^3
Testing: none

Files Modified:
M            31647   source/vmix_kpp.F90

===============================================================================
Tag Creator: jedwards
Tag Date:    01 November 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20111101
Tag Summary: Bug fix for in overflows for gfortran, additional decomp for tx0.1
Testing: jedwards



Files Modified:
        M            source/overflows.F90
        M            bld/pop_decomp.xml
        M            mpi/gather_scatter.F90 (workaround for cray/gemini performance issue)

PASS  ERS.T62_g16.CIAF.bluefire
PASS  ERS.T62_g16.CIAF.bluefire.compare_hist.cesm1_1_alpha05a
PASS  ERS.T62_g16.CIAF.bluefire.compare.cesm1_1_alpha05a
PASS  ERT_PT.T62_g16.GIAF.bluefire
PASS  ERT_PT.T62_g16.GIAF.bluefire.compare_hist.cesm1_1_alpha05a
PASS  ERT_PT.T62_g16.GIAF.bluefire.compare.cesm1_1_alpha05a


===============================================================================
Tag Creator: mvertens
Tag Date:    03 August 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110803
Tag Summary: added multiple instance capability
Testing: mvertens
             cesm1_1_beta01 - with modified pop and cice4_0_20110803

PASS  ERS.T62_g16.CIAF.bluefire
PASS  ERS.T62_g16.CIAF.bluefire.compare_hist.cesm1_1_alpha01a
PASS  ERS.T62_g16.CIAF.bluefire.compare.cesm1_1_alpha01a
PASS  ERS.T62_g37.G.bluefire
PASS  ERS.T62_g37.G.bluefire.compare_hist.cesm1_1_alpha01a
PASS  ERS.T62_g37.G.bluefire.compare.cesm1_1_alpha01a
PASS  ERS.T62_s11.G.bluefire
PASS  ERS.T62_s11.G.bluefire.compare_hist.cesm1_1_alpha01a
PASS  ERS.T62_s11.G.bluefire.compare.cesm1_1_alpha01a
PASS  ERT_PT.T62_g16.GIAF.bluefire
PASS  ERT_PT.T62_g16.GIAF.bluefire.compare_hist.cesm1_1_alpha01a
PASS  ERT_PT.T62_g16.GIAF.bluefire.compare.cesm1_1_alpha01a
PASS  PET_PT.T62_g16.G.bluefire
PASS  PET_PT.T62_g16.G.bluefire.compare.cesm1_1_alpha01a
PASS  SMS_D.T62_s11.G.bluefire
PASS  SMS_D.T62_s11.G.bluefire.compare_hist.cesm1_1_alpha01a
PASS  SMS_D.T62_s11.G.bluefire.compare.cesm1_1_alpha01a
PASS  CME.T62_g37.G.bluefire
PASS  CME.T31_g37.B1850CN.bluefire

Files Modified:
M            29392   source/io_pio.F90
M            29392   source/POP_ConfigMod.F90
M            29392   source/io_types.F90
M            29392   source/io_netcdf.F90
M            29392   source/ecosys_mod.F90
M            29392   source/POP_IOUnitsMod.F90
M            29437   bld/pop2.cpl7.template
M            29392   ChangeLog
M            29437   input_templates/pop2_in_build.csh
M            29392   drivers/cpl_mct/ocn_comp_mct.F90
M            29392   drivers/cpl_esmf/ocn_comp_esmf.F90
M            29392   drivers/cpl_esmf/ocn_comp_mct.F90

===============================================================================
Tag Creator: njn01
Tag Date:    27 May 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110527
Tag Summary: fix io_netcdf.F90 module bug, so that it allows netCDF restart-file backwards
             compatability (support both 'Conventions' and 'conventions')
Testing: njn01
              cesm1_0_beta20, oob vs bugfix, C, T62_gx3v7, netCDF restart files.
              Restart cesm1_0_beta20 case with cesm1_0_beta14-generated netCDF restart
              file. Bugfix version recognizes 'conventions' attribute; oob does not.
Files Modified:
M            27996   source/io_netcdf.F90

       case('conventions','Conventions','CONVENTIONS')

          data_file%conventions = char_blank
-         iostat = pio_inq_att(data_file%File, PIO_GLOBAL,  'Conventions', &
+         iostat = pio_inq_att(data_file%File, PIO_GLOBAL,  trim(att_name), &
                                 xtype, nsize)
          if (iostat == pio_noerr) then
             if (nsize <= len(data_file%conventions)) then
-               iostat = pio_get_att(data_file%File, PIO_GLOBAL, 'Conventions', &
+               iostat = pio_get_att(data_file%File, PIO_GLOBAL, trim(att_name), &
                                       data_file%conventions(1:nsize))

===============================================================================
Tag Creator: njn01
Tag Date:    10 May 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110510
Tag Summary: fix small memory leak: add deallocate(mass_tran, heat_tran, salt_tran) to
             subroutine diag_transport in module diagnostics.F90
Testing: njn01
              cesm1_0_beta19, oob vs bugfix, C, T62_gx3v7, 1 month with INFO_DBUG = 2
              (diagnostics every step)
              Output log files and POP2 restart files are b4b at end of one month
Files Modified:
M            27996   source/diagnostics.F90
===============================================================================
Tag Creator: njn01
Tag Date:    20 April 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110420
Tag Summary: update esm code
Testing: Tony Craig
Merge command:
     svn merge $SVN/pop2/trunk_tags/cesm_pop_2_1_20110128
               $SVN/pop2/branch_tags/cpl7esmf_tags/cpl7esmf_cesm1_beta16_02
Files Modified:
 M           26624   drivers/cpl_mct
M            26624   drivers/cpl_esmf/ocn_comp_esmf.F90
M            26624   drivers/cpl_esmf/ocn_comp_mct.F90
 M           26624   drivers/cpl_none
===============================================================================
Tag Creator: njn01
Tag Date:    7 April 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110407
Tag Summary: Bugfix for CF-compliance
             There is no bug report, but email from Jim Edwards states:
             The attribute should be "Conventions"?  with both cap "C" at the beginning and "s" at the end. 

Testing:  njn01. T62_gx3v7, C with new io_netcdf.F90 on bluefire.
          3-day run, then 3-day restart with monthly history files, followed by 3-day restart with daily history files
          ncdump'd resulting pop*.nc files and confirmed "Conventions" replaces "conventions"
Files Modified:
M            27495   source/io_netcdf.F90
===============================================================================
Tag Creator: njn01
Tag Date:    25 March 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110325
Tag Summary: Bugfix for Bug #1287 - missing metadata for meridional transport tavg variables
             Modify code so that the cell_methods attribute is added to MOC, N_HEAT,
             and N_SALT in the tavg history files.
Testing:  njn01. Set up three sets of side-by-side 1-month test runs  (T62_gx3v7, C)
          on bluefire. Tested the following settings:
             o OCN_TAVG_TRACER_BUDGET=FALSE, OCN_TAVG_HIFREQ=FALSE
             o OCN_TAVG_TRACER_BUDGET=TRUE , OCN_TAVG_HIFREQ=TRUE
             o OCN_TAVG_TRACER_BUDGET=FALSE, OCN_TAVG_HIFREQ=TRUE
          by differencing monthly and nday streams (ncl diff_files.ncl) and
          by differencing these files' cdl files.
Files Modified:
M            26624   source/io_netcdf.F90
M            27383   source/tavg.F90
M            26624   source/io_ccsm.F90
===============================================================================
Tag Creator: njn01
Tag Date:    23 March 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110323
Tag Summary: Bring in Pat Worley's space_curve modifications
             NOTE: njn01 changed Pat's original filename (POP_spacecurve_mod)
             and the corresponding names inside the POP_SpaceCurveMod module
Testing:  * correctness: Pat Worley
          * 2-day T62_t12 smoke test (njn01)

Files Modified:
D            26624   source/spacecurve_mod.F90
M            26624   source/POP_DistributionMod.F90
A                0   source/POP_SpaceCurveMod.F90
M            26624   source/distribution.F90
===============================================================================
Tag Creator: njn01
Tag Date:    22 March 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110322
Tag Summary:
             * Add comments next to indices in POP_CplIndices.F90
             * Comment out OMP directives in tavg.F90 (improper exit within
                a threaded region)
             * Add high-resolution grid detection to pop2.cpl7.template script,
               to avoid relying on cesm1 script settings (which have been known
               to set HIRES incorrectly)
Testing: njn01:
           * T62_tx0.1v2, HIRES = false, with new pop2.cpl7.template: compiles with -D_HIRES; runs
           * T62_gx3v7, with new pop2.cpl7.template: compiles withOUT -D_HIRES; runs
           * should be b4b, but not tested against oob


Files Modified:
===============================================================================
Tag Creator: njn01
Tag Date:    28 January 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110128
Tag Summary: tavg module improvements
             * Move all accumulation testing into subroutine accumulate_tavg_field
             * Create new subroutine, accumulate_tavg_now
             * Remove references to tavg_requested from all other modules;
               replace with accumulate_tavg_now in special instances where
               the test would potentially eliminate expensive computations
             * Make tavg_requested private, so that new developments cannot
               access it from outside modules

Testing: njn01 cesm1_0_beta14 context, side-by-side baseline vs test case,
               then difference all tavg *.nc files
               (Test record available from NCAR POP2 website)
             o CECO,T62_gx1v6, bluefire
             o C,   T62_gx3v7, bluefire
             o C,   T62_gx3v7, bluefire, HIFREQ
             o B,   f19_g16,   bluefire

Files Modified:
M            25900   source/sw_absorption.F90
M            25900   source/surface_hgt.F90
M            25900   source/diagnostics.F90
M            25900   source/step_mod.F90
M            25900   source/hmix_del2.F90
M            25900   source/hmix_del4.F90
M            25900   source/forcing.F90
M            25900   source/vmix_kpp.F90
M            25900   source/budget_diagnostics.F90
M            25900   source/iage_mod.F90
M            25900   source/advection.F90
M            25900   source/vertical_mix.F90
M            25900   source/mix_submeso.F90
M            25900   source/cfc_mod.F90
M            25900   source/cfc11_mod.F90
M            25900   source/passive_tracers.F90
M            25900   source/forcing_coupled.F90
M            26514   source/ecosys_mod.F90
M            25900   source/horizontal_mix.F90
M            25900   source/hmix_gm.F90
M            26374   source/tavg.F90
M            25900   source/barotropic.F90
M            25901   source/baroclinic.F90
===============================================================================
Tag Creator: njn01
Tag Date:    25 January 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110125
Tag Summary: Ecosystem-model changes by Keith Lindsay
             * Correct units metadata for IRON_FLUX tavg variable
             * Make pH solver more robust to large tracer changes in a single timestep,
               by iteratively doubling the width of the pH search interval when necessary.
               The code will abort if 3 doublings is not sufficient.
=====
NOTE:        Solutions are bit-for-bit with the previous tag (except when the pH search
=====        interval is increased), but the carbonate *diagnostics* fields (CO3, HCO3, H2CO3)
             are slightly different because the phlo_3d_init value is different from the
             previous tag)

Testing: klindsay
             * CECO gx3v7 bluefire 2-month exact-restart
             * b4b with 2-month CECO gx3v7 bluefire control case

Files Modified:
M            25900   source/ecosys_mod.F90
M            25900   source/co2calc.F90

===============================================================================
Tag Creator: njn01
Tag Date:    18 January 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110118
Tag Summary: Import new cpl7 mods supplied by mvertens
             (but modify file and module names so that they
              conform to the "pop3" convention)

Testing: mvertens

Files Modified:
M            26358   drivers/cpl_mct/ocn_comp_mct.F90
M            26358   drivers/cpl_esmf/ocn_comp_esmf.F90
A                0   drivers/cpl_share/POP_CplIndices.F90
A                0   drivers/cpl_share
M            25900   bld/pop2.cpl7.template

===============================================================================
Tag Creator: njn01
Tag Date:    11 January 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110111a
Tag Summary: Fix MOC, N_HEAT, N_SALT time-dimension problem
             NOTE: The wrong files were checked into the pop2 trunk
             on 2010-12-29. This tag checks in the CORRECT files.

Testing:
  * cesm1_0_beta12 and cesm1_0_beta13 with source mods.
    Reviewed monthly timeseries of daily tavg MOC, N_HEAT, and N_SALT.

Files Modified:
M            26181   source/io_netcdf.F90
M            26181   source/tavg.F90
M            26181   source/io_ccsm.F90

===============================================================================
Tag Creator: njn01
Tag Date:    11 January 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110111
Tag Summary: * Apply bugix for time_to_do (nsecond and nhour options)
             * Update time_management unit testing to make it consistent with present tag
               and to make it easier to use.

Testing:
  * fairly extensive unit testing plus gx3v7 smoke tests

Files Modified:
M            25900   source/time_management.F90
M            26345   drivers/cpl_esmf/ocn_comp_esmf.F90
M            25900   drivers/cpl_mct/ocn_comp_mct.F90
A                0   test/unit/time_management/source
A                0   test/unit/time_management/source/POP.F90
A                0   test/unit/time_management/source/POP_DomainSizeMod.F90
A                0   test/unit/time_management/source/README
A                0   test/unit/time_management/source/domain_size.F90
M            25900   test/unit/time_management/pop2_in
D            25900   test/unit/time_management/POP.F90
D            25900   test/unit/time_management/POP_DomainSizeMod.F90
D            25900   test/unit/time_management/domain_size.F90
M            25900   test/unit/time_management/timeTest
M            26345   ChangeLog
===============================================================================
Tag Creator: njn01
Tag Date:    10 January 2011
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20110110
Tag Summary: Apply esmf changes to support metadata capability
             source: pop2/branch_tags/cesm1_0_esmf01_tags/esmf01_02_cesm_pop_2_1_20100813
             author: T. Craig

Testing:
  * external testing (T. Craig and pre-tag testing)

Files Modified:
M            25900   drivers/cpl_esmf/ocn_comp_esmf.F90
M            25900   drivers/cpl_esmf/ocn_comp_mct.F90

===============================================================================
Tag Creator: njn01
Tag Date:    29 December 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101229
Tag Summary: Fix MOC, N_HEAT, N_SALT time-dimension problem
             NOTE: WRONG FILES!  See cesm_pop_2_1_20110111a for correct version of
             the MOC and *_HEAT bugfix.

Testing:
  * cesm1_0_beta12 with source mods. Tested C, gx3v7 and gx1v6, bluefire.
    Reviewed monthly timeseries of daily tavg MOC, N_HEAT, and N_SALT.

Files Modified:
M            25900   source/io_netcdf.F90
M            25900   source/tavg.F90
M            25900   source/io_ccsm.F90

===============================================================================
Tag Creator: njn01
Tag Date:    17 December 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101217
Tag Summary: * add "use shr_sys_mod" to state_mod.F90

Tag Testing:
  * cesm1_0_beta13 pre-tag testing

Files Modified:
M            25901   source/state_mod.F90

===============================================================================
Tag Creator: njn01
Tag Date:    02 December 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101201
Tag Summary: * Add tavg SALT_MIN, SALT_MAX code support and SALT_MIN, SALT_MAX,
               TEMP_MIN, TEMP_MAX tavg_contents support.
             * Correction: single--> double precision overflows state constants.
               Move special-purpose overflows state subroutine to state_mod and rename.
               Add a fatal-error check to POP_check to trap inconsistencies between
               overflows and base-model state module settings.

Tag Testing (njn01):
  * cesm1_0_beta11 test case: C, T62_gx3v7, one-month run with SALT_MIN, SALT_MAX,
    TEMP_MIN, TEMP_MAX active. Test: ncdump inspection.
  * cesm1_0_beta10 test case: C, T62_gx1v6
      o five-day smoke test
      o one-month side-by-side comparison with single-precision-constants version; approved by bruceb.
      o inconsistency-trapping test (state_range_opt  = 'ignore'): Error was trapped.

Code Review: njn01 and bruceb 2010-12-01 (overflows)

Files Modified:
M            25641   source/overflows.F90
M            25641   source/initial.F90
M            25642   source/baroclinic.F90
M            25641   source/state_mod.F90
M            25641   input_templates/gx3v7_tavg_contents
M            25641   input_templates/gx1v6_tavg_contents

===============================================================================
Tag Creator: njn01
Tag Date:    18 November 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101118
Tag Summary: * fix MY_PATH bug: must not be resolved in order for clone to work
             * fixed the initialization of the region-mask filename

Tag Testing (njn01):
  * cesm1_0_beta10 test case with Tools/Templates/pop2.cpl7.csh
    Created two cases: one oob and one with new pop2.cpl7.csh, then
    cloned each. Inspected the cloned cases' Buildnml/pop2.buildnml.csh
    scripts and confirmed that the oob cloned case is incorrect and the new
    cloned case is correct.
  * same test cases, with newer pop2.cpl7.csh that corrects the 'unknown_region_mask'
    mismatch between code and scripts. Confirmed that the pop2.cpl7.csh now generates
    the proper string when region mask is not defined.

Files Modified:
M            25641   bld/pop2.cpl7.template
===============================================================================
Tag Creator: njn01
Tag Date:    17 November 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101117
Tag Summary: * major pio rewrite, synched with new pio, drv, scripts, and component-model tags for
               cesm1_0_beta11
             * add UVEL1, VVEL1 tavg output field support
             * bugfix: fix corrupted gx3*_history_contents files

Tag Testing (njn01):
  * cesm1_0_beta10 vs cesm1_0_beta10+ (updated drv,scripts,data model,pio, and pop2 tags)
        C gx3v7, C gx1v6, CECO gx1v6  1-month runs, oob
        C gx3v7 4 1-month runs with netCDF restart files, followed by one month with binary restart file
        C gx3v7 1-month run with pnetcdf
        CECO gx1v6 with pnetcdf -- fails. Reported error.
  * cesm1_0_beta09 (?)
        C, gx1v6 UVEL1, VVEL1 test run -- compare against surface *VEL values
        test run with gx3v7_history_contents and history files activated

Files Modified:
M            25283   source/io_pio.F90
M            25283   source/io_types.F90
M            25283   source/io_netcdf.F90
M            25283   source/ecosys_mod.F90
M            25283   source/baroclinic.F90
M            25283   input_templates/pop2_in_build.csh
M            25283   input_templates/gx3v7_history_contents
M            25283   input_templates/gx3v5_history_contents


===============================================================================
Tag Creator: njn01
Tag Date:    25 October 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101025
Tag Summary: * Modify pop2.cpl7.template script so that it does not automatically
               generate tavg and ovf rpointer files for branch or hybrid cases
Tag Testing:
  * njn01: cesm1_0_beta09, T62_gx3v7,C, old vs new
        startup: b4b @ eom #2 (1-month+1-month)  (buildnml.csh scripts are identical for startup)
        hybrid:  b4b @ eom #2 (1-month+1-month)
        branch:  b4b @ eom #2 (1-month+1-month)

Files Modified:
M           25033   bld/pop2.cpl7.template
===============================================================================
Tag Creator: njn01
Tag Date:    6 October 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20101006
Tag Summary: * Modify code that creates tavg netCDF files: add _FillValue, make coordinate
               variables double when the TAVG_R8 option is active, make MOC and N_* attributes
               match their type, add _FillValue and missing_value to all time-independent variables.
             * Modify pop_hist_postprocess.csh so as to avoid user conflicts
             * Remove gx1v5* and gx3v6* support
             * Add comments to ocn_comp_*.F90 to document the units of the i/o variables
Tag Testing:
  * njn01: None; no changes to active code in this tag.
Files Modified:
M           25033   source/movie.F90
M           25033   source/io_types.F90
M           25033   source/io_netcdf.F90
M           25033   source/io_binary.F90
M           25033   source/history.F90
M           25033   source/tavg.F90
M           25033   source/io_ccsm.F90
M           25033   tools/postrun_proc/pop_hist_postprocess.csh
M           25033   ChangeLog
D           25033   input_templates/gx1v5_transport_contents
D           25033   input_templates/gx1v5b_transport_contents
D           25033   input_templates/gx3v6_history_contents
D           25033   input_templates/gx3v6_region_ids
D           25033   input_templates/gx1v5_vert_grid
D           25033   input_templates/gx1v5_inputdata
D           25033   input_templates/gx1v5_depth_accel
D           25033   input_templates/gx1v5_movie_contents
D           25033   input_templates/gx3v6_depth_accel
D           25033   input_templates/gx1v5b_movie_contents
D           25033   input_templates/gx1v5b_domain_size.F90
D           25033   input_templates/gx3v6_transport_contents
D           25033   input_templates/gx1v5_history_contents
D           25033   input_templates/gx1v5b_POP_DomainSizeMod.F90
D           25033   input_templates/gx1v5b_history_contents
D           25033   input_templates/gx1v5b_tavg_contents
D           25033   input_templates/gx3v6_tavg_contents
D           25033   input_templates/gx3v6_movie_contents
D           25033   input_templates/gx1v5_overflow
D           25033   input_templates/gx1v5b_overflow
D           25033   input_templates/gx1v5b_vert_grid
D           25033   input_templates/gx3v6_vert_grid
D           25033   input_templates/gx1v5b_inputdata
D           25033   input_templates/gx3v6_inputdata
D           25033   input_templates/gx1v5b_depth_accel
D           25033   input_templates/gx1v5_domain_size.F90
D           25033   input_templates/gx3v6_domain_size.F90
D           25033   input_templates/gx1v5_POP_DomainSizeMod.F90
D           25033   input_templates/gx1v5_tavg_contents
D           25033   input_templates/gx1v5_region_ids
D           25033   input_templates/gx1v5b_region_ids
M           25033   drivers/cpl_mct/ocn_comp_mct.F90
M           25033   drivers/cpl_esmf/ocn_comp_esmf.F90
Status against revision:  25033
===============================================================================
Tag Creator: njn01
Tag Date:    16 August 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20100816
Tag Summary: * Add new directory, tools, to hold new post-run processing scripts
             * Populate tools subdirectory with KL's script and README files
             * Remove old, outdated documentation from doc/ subdirectory
             * Correct the cesm_pop_2_1_20100813 tag name in ChangeLog
Tag Testing:
  * njn01: None; no changes to active code in this tag.
Files Modified:
A               0   tools/postrun_proc
A               0   tools/postrun_proc/pop_hist_postprocess.csh
A               0   tools/postrun_proc/README
A               0   tools/README
A               0   tools
D           24266   doc/IOdesign.tex
D           24266   doc/GNUmakefile
D           24266   doc/userguide
D           24266   doc/userguide/POPusers_chap5.tex
D           24266   doc/userguide/POPusers_chap6.tex
D           24266   doc/userguide/UsersGuide.ps
D           24266   doc/userguide/POPusers_chap7.tex
D           24266   doc/userguide/html.sty
D           24266   doc/userguide/POPusers_main.tex
D           24266   doc/userguide/UsersGuide.pdf
D           24266   doc/userguide/POPusers.bib
D           24266   doc/userguide/POPusers_chap1.tex
D           24266   doc/userguide/POPusers_chap2.tex
D           24266   doc/userguide/POPusers_chap3.tex
D           24266   doc/userguide/POPusers_chap4.tex
D           24266   doc/io.eps
M           24379   ChangeLog

===============================================================================
Tag Creator: njn01
Tag Date:    13 August 2010
Tag Name:    pop2/trunk_tags/cesm_pop_2_1_20100813
Tag Summary: * bugfix: correct the units for latent_heat_vapor in tavg history files
             * rename latent_heat_vapor as latent_heat-vapor_mks
Tag Testing:
  * njn01: C,gx1v6, new vs old code:
                 o ocn restart files are b4b at end of day 5
                 o ncdump -v latent_heat_vapor from each case; differences only in units
Files Modified:
M           24266   source/initial.F90
M           24266   source/POP_ConstantsMod.F90
M           24266   source/forcing_shf.F90
M           24266   source/forcing_sfwf.F90
M           24266   source/forcing_coupled.F90
M           24266   source/tavg.F90
M           24266   source/constants.F90

===============================================================================
Tag Creator: njn01
Tag Date:    4 August 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100804
Tag Summary: * pop allow_leapyear flag is now triggered by the cesm
               env_run variable CALENDAR. When GREGORIAN, allow_leapyear = .true.
             * bugfix: tavg_DON_prod definition -- "... [units] should be mmol/m^3/s"
             * change: "There is a single call to timer_print in ecosys_mod.F90 that
               is called every timestep. I'd like this call removed."

Tag Testing:

  * njn01 tested CALENDAR = {NO_LEAP,GREGORIAN} with new pop2_in_build.csh
  * Keith Lindsay confirmed the corrections/changes to the ecosys_mod.F90 module

Files Modified:
M           24266   source/ecosys_mod.F90
M           24266   ChangeLog
M           24266   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Tag Date:    14 June 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100614a
Tag Summary: * bugfix: add an implementation to deal with land-grid elimination to the pop esmf interfaces. (tcraig)
             * bugfix: correction to timestamps on forcing/ndep_ocn_1850-2005 datasets. This necessitates a new
               version of ocn.ecosys.setup.csh, which points to the new ndep_ocn datasets.
Tag Testing:

  * Tony Craig confirms the following tests pass with the drivers/cpl_esmf corrections:
      o  ERS_E.T62_t12.C.jaguar
      o  ERS_E.T62_t12.G.jaguar
      o  ERS_E.f05_t12.B.jaguar
  * Keith Lindsay confirmed the corrections to the forcing datasets and the ocn.ecosys.setup.csh script

Files Modified:
M           23532   input_templates/ocn.ecosys.setup.csh
M           23532   drivers/cpl_esmf/ocn_comp_esmf.F90
M           23532   drivers/cpl_esmf/ocn_comp_mct.F90

===============================================================================
Tag Creator: njn01
Tag Date:    14 June 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100614
Tag Summary: Change io_pio_num_iotasks = -1 for high-resolution cases
Tag Testing: No local testing; value was requested by Rob Jacob for support
             on intrepid. Note that this setting is triggered by resolution,
             not machine.
Files Modified:

M           23532   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Tag Date:    3 June 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100603
Tag Summary: * Fix threading bug in ecosys_mod.F90
             * Update version information printed to log file
Tag Testing: Limited, special-purpose testing in cesm1_0_beta01+ context.
             Confirmed NaNs are eliminated by the correction. Verified that
             two-threads case is identical to one-thread case in a clone to
             KL's "foobar2" case and 4-threads vs one-thread in a gx3v7 CECO test.
Files Modified:
M           23431   source/initial.F90
M           23431   source/ecosys_mod.F90

===============================================================================
Tag Creator: njn01
Tag Date:    28 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100528b
Tag Summary: Correct a problem with zt_150m variables, pio/netcdf, and threading;
             correct a problem with the corrected code and TAVG_R8.
             This tag tests only the TAVG_R8 correction; threading tests will
             continue next week.
Tag Testing: cesm1_0_beta01 oob and with SourceMods
               * oob vs new, single precision
               * oob vs new, double precision
Files Modified:
M           23431   source/io_pio.F90
M           23431   source/io_netcdf.F90

===============================================================================
Tag Creator: klindsay
Tag Date:    28 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100528a
Tag Testing: * bluefire, CECO compset, T62_gx3v7, exact restart & DEBUG
             * bluefire, B20TRCN+ecosys, f09_g16, with OCN_CO2_TYPE=diagnostic,
               to verify correct field being used in CO2 flux computations

Tag Summary: * port ccsm_pop_2_1_20100519a mods to cpl_esmf
             * receive co2diag from drv, in addition to co2prog
             * enable atm_co2_opt to be either 'drv_prog' or 'drv_diag',
               replacing 'model'
             * rename gas_flux_forcing_opt='model' to 'drv'
             * use new env_conf variable OCN_CO2_FLUX_OCMIP_BUG_FIX to
               set the new flag locmip_k1_k2_bug_fix

Files Modified:

M      source/ecosys_mod.F90
M      source/co2calc.F90
M      source/forcing_fields.F90
M      input_templates/ocn.ecosys.setup.csh
M      drivers/cpl_mct/ocn_comp_mct.F90
M      drivers/cpl_esmf/ocn_comp_esmf.F90
A      drivers/cpl_esmf/POP_MCT_vars_mod.F90
M      drivers/cpl_esmf/ocn_comp_mct.F90

===============================================================================
Tag Creator: njn01
Tag Date:    28 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100528
Tag Summary: bugfix: completely "streamify" tavg_method_qflux
             This bugfix allows any pop2 model variable, such as FvICE_DIC and
             FvICE_ALK, to use tavg_method_qflux in a
             stream different from the one containing QFLUX.
Tag Testing: * ccsm4_0_beta55+ = ccsm4_0_beta55 with ccsm_pop_2_1_20100521
     Compare files:
       * binary restart files at eod six   (b4b)
       * ncl diff script on
           o pop.h.ecosys.nday1.0001-01-02.nc files: only FvICE_ fields are different
       * ncl diff script on other pop.h.*.nc files:
           o pop.h.0001-01-05.nc are the same
           o pop.h.nday1.0001-01-02.nc are the same
     Compare FvICE_DIC and FvICE_ALK files (new vs old):
       * visual inspection: patterns are the same, magnitudes are different
     Compare ocn.log files:
       * global sums are identical (streams bug was fixed in previous
         version of tavg_global_sum_2D)

     Run one month, oob & test version. Create monthly mean (ncra) of daily
     FvICE_DIC fields and compare with oob case.  Visually inspect monthly
     FvICE_DIC fields and ncdiffs.  Same magnitude, max rel diff ~10% in
     regions of max FvICE_DIC magnitude.  Note setup error: "oob" case
     used modified tavg_nml settings and created stream #1 averages every
     four days, so the "oob monthly" field was actually an average of the
     four-day averages through the end of 0001-01-29.

Files Modified:
M           23276   source/tavg.F90
===============================================================================
Tag Creator: njn01
Tag Date:    21 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100521
Tag Summary: Increase default C-compset tx0.1v2 DT_COUNT setting  (decrease timestep)
             to prevent cfl blowup
Tag Testing: * ccsm4_0_beta54 post-tag testing by Chris Fischer on jaguar:
               "ERS.T62_t12.C passes on jaguar with dt_count=500"

Files Modified:
M           23222   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: klindsay
Tag Date:    19 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100519a
Tag Testing:
             * CECO compset, T62_gx1v6, exact restart & DEBUG
             * CECO compset, T62_gx3v7, exact restart & DEBUG
             * verify ndep fluxes match dataset when OCN_TRANSIENT == 1850-2000

Tag Summary: * numerous additional ecosys tavg variables
             * implement time-varying ndep in ecosys, using shr_strdata
             * answer changing optimizations in co2calc.F90
             * new DIC/ALK IC for ecosys that have more realistic filling
               in Arctic, Gulf of Mexico, and marginal seas
             * fix uninitialized tavg halo in mix_submeso.F90
               doesn't change answers

Files Modified:

M      source/mix_submeso.F90
M      source/passive_tracers.F90
M      source/ecosys_mod.F90
M      source/co2calc.F90
M      source/baroclinic.F90
M      input_templates/ocn.ecosys.setup.csh
A      drivers/cpl_mct/POP_MCT_vars_mod.F90
M      drivers/cpl_mct/ocn_comp_mct.F90

===============================================================================
Tag Creator: njn01
Tag Date:    19 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100519
Tag Testing:
             * C compset, T62_tx1v1, oob vs oob+hmix_del4.F90, 2-month timing and correctness:
               results: identical pop2 binary restart files at end of two months
                        ~2x speedup in HMIX_MOMENTUM_DEL4; ~1% overall model speedup

             * C compset, t62_gx1v6, oob vs oob+hmix_del4.F90, 1-month+1-month correctness:
               results: identical pop2 binary restart files at end of two months
                        (note: these cases do NOT use del4 option, so no change is expected)

Tag Summary: * hmix_del4.F90 performance improvements (worley)
             * default tx0.1v2 io_pio_numtasks setting increased (mvertens)

Files Modified:

M      source/hmix_del4.F90
M      input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Developers : njn01 and gokhan
Tag Date:    12 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100512
Tag Testing: Gokhan C compset, T62_gx3v7 production runs

Tag Summary: * Add 60 ocn pe decomposition support for gx3v7 resolution

M           22880   bld/pop_decomp.xml

===============================================================================
Tag Creator: njn01
Developers : njn01 and klindsay
Tag Date:    10 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100510
Tag Testing: ccsm4_0_beta52+, special-purpose testing:
             C,G,B compsets (checked ice_ref_salinity values); HIFREQ (oob vs .)
             ncdump diffs, and the following pre-tag automated tests:
             PASS  ERB.T62_g16.C.bluefire
             PASS  ERI.T31_g37.BCN.bluefire
             PASS  ERP.T62_g37.C.bluefire
             PASS  ERS.f19_g16.B.bluefire
             PASS  ERT.T62_g16.C.bluefire
             PASS  ERT.T62_g16.CECO.bluefire
             PASS  ERI.f09_g16.B1850CN.bluefire

Tag Summary: * Add ZERO_SEA_ICE_REF_SAL Cpp variable to control sea_ice_ref_salinity
               in C compsets oob (should be zero for C compsets; 4 for G,B compsets)
             * Add automatic scale_factor and salinity-units support in define_tavg_field

M           22834   source/POP_ConstantsMod.F90
M           22834   source/vmix_kpp.F90
M           22834   source/advection.F90
M           22834   source/vertical_mix.F90
M           22834   source/POP_KindsMod.F90
M           22834   source/passive_tracers.F90
M           22835   source/horizontal_mix.F90
M           22834   source/prognostic.F90
M           22834   source/tavg.F90
M           22834   source/constants.F90
M           22834   bld/pop2.cpl7.template

===============================================================================
Tag Creator: njn01
Tag Date:    7 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100507a
Tag Testing: ccsm4_0_beta52, with SourceMods. RMS difference timeseries gx3v7, HDIFT.
             PASS  ERB.T62_g16.C.bluefire
             PASS  ERI.T31_g37.BCN.bluefire
             PASS  ERP.T62_g37.C.bluefire
             PASS  ERS.f19_g16.B.bluefire
             PASS  ERT.T62_g16.C.bluefire
             PASS  ERT.T62_g16.CECO.bluefire
             PASS  ERI.f09_g16.B1850CN.bluefire


Tag Summary: * Merge submeso reorganization mods onto pop2 trunk. Not b4b, but smaller
               differences that those caused by change in ocn pe layout (gx3v7)

A               0   source/hmix_gm_submeso_share.F90
M           22833   source/mix_submeso.F90
M           22833   source/horizontal_mix.F90
M           22833   source/hmix_gm.F90
===============================================================================
Tag Creator: njn01
Tag Date:    7 May 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100507
Tag Testing: ccsm4_0_beta52+, (OCN_TAVG_HIFREQ,OCN_TAVG_TRACER_BUDGET) = (TT,TF,FT,FF)
             ccsm4_0_beta52+, no extra tracers, 'file' option

Tag Summary: * minor bugfix: no extra tracers, 'file' sw_absorption option should not abort (Maltrud)
             * restore logicals in pop2_in_build.csh to control budget_diagnostics computations

M           22779   source/sw_absorption.F90
M           22779   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Tag Date:    30 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100430
Tag Testing: none.

Tag Summary: * back out ccsm_pop_2_1_20100429 changes
               This tag is identical to ccsm_pop_2_1_20100427

M           22659   source/timers.F90
===============================================================================
Tag Creator: njn01
Tag Date:    29 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100429
Tag Testing: ccsm4_0_beta51, oob vs oob + new timers.F90

Tag Summary: * fixes the missing OCN timing summary information problem

M           22658   source/timers.F90
===============================================================================
Tag Creator: klindsay
Tag Date:    27 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100427
Tag Testing:

Tag Summary: * move timer_start call so that it follows the last return statement in
               subroutine tavg_bsf_diags in module tavg.F90

===============================================================================
Tag Creator: njn01
Tag Date:    23 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100423
Tag Testing: tx1v1 oob vs new, with and without 'never' option
PASS  SMS_D.f19_g16.BCN.bluefire
PASS  SMS_D.T31_g37.BCN.bluefire
PASS  ERI.f19_g16.BCN.bluefire
PASS  ERI.T31_g37.BCN.bluefire
PASS  ERS.f19_g16.B.bluefire
PASS  PET_PT.T62_g16.C.bluefire
PASS  PET_PT.f19_g16.B1850CN.bluefire
PASS  ERB.T62_g16.C.bluefire
PASS  ERT.T62_g16.C.bluefire
PASS  ERP.T62_g37.C.bluefire
PASS  SMS_D.T62_g16.C.bluefire
PASS  SMS.T62_g16.CECO.bluefire

Tag Summary: * correction to tripole-grid tavg streams 'never' problems
               (general correction will be provided in a future tag)
             * improve tavg 'never' log-file reporting
             * shorten variable name ltavg_ignore_excess_contents_streams
                 in pop2_tavg_nml.csh and tavg.F90 (too long for "frost")
             * remove conditionals in pop2_in_build.csh budget_diagnostics

M           22470   source/budget_diagnostics.F90
M           22470   source/tavg.F90
M           22469   input_templates/pop2_tavg_nml.csh
M           22469   input_templates/pop2_in_build.csh
===============================================================================
Tag Creator: njn01
Tag Date:    21 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100421
Tag Testing:
Tag Summary: * correction to pop2.cpl7.template bug

M           22469   bld/pop2.cpl7.template


-      endif ! tavg_contents
+      endif # tavg_contents

===============================================================================
Tag Creator: njn01
Tag Date:    19 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100419a
Tag Testing:  1-month + 1-month cfc functionality test
Tag Summary: * correction to qflux streams bug (now QFLUX can appear in any stream)

M           22460   source/budget_diagnostics.F90
M           22460   source/tavg.F90

===============================================================================
Tag Creator: njn01
Tag Date:    19 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100419
Tag Testing:  inspection of pop2.buildnml.csh script; inspection of high-freq output files;
              1-month + 1-month ecosys + cfc case (functionality test)

Tag Summary: additional MOAR support
              * correction to netCDF units attribute for HDIFS, UES, VNS, WTS (gram/kilogram)
              * ocn.cfc.setup.csh modifications to support OCN_TAVG_TRACER_BUDGET
              * revised gx1v6 high-frequency tavg_contents file (additional surface fluxes included)
              * pop2_in_build.csh -- deactivate budget diagnostics if high-freq output is active

M           22311   source/advection.F90
M           22408   source/horizontal_mix.F90
M           22311   input_templates/ocn.cfc.setup.csh
M           22408   input_templates/gx1v6_tavg_contents_high_freq
M           22315   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Tag Date:    15 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100415
Tag Testing:  *  customized testing: OCN_TAVG_TRACER_BUDGET and OCN_TAVG_HIFREQ TRUE & FALSE
              *  comparison oob vs ccsm4_0_beta48 (2-month, er test comparing restart and tavg history files)
                     o pop.h.0001-02.nc files are identical
                     o pop.h.nday1.0001-02-01.nc are identical
                     o pop.r.0001-03-01-00000 restart files (end of February) are identical


Tag Summary: MOAR support
              * pop2.cpl7.template responds to new CCSM4 run-time environment variables
                 OCN_TAVG_TRACER_BUDGET and OCN_TAVG_HIFREQ
              * new input_templates file containing tavg tracer budget terms
              * new gx1v6 high-frequency tavg_contents file
              * klindsay's code mods to support new tavg_contents fields and budget diagnostics
              * ocn.iage.setup.csh modifications to support OCN_TAVG_TRACER_BUDGET
              * tavg.F90 bugfix -- nonstandard fields stream-support bug
              * tavg.F90 cleanup -- move define_tavg_field from moc and transport diagnostics
                 computation routines to initialization routines

M           22316   source/sw_absorption.F90
M           22316   source/initial.F90
M           22316   source/hmix_del2.F90
M           22316   source/hmix_del4.F90
M           22316   source/vmix_kpp.F90
M           22316   source/iage_mod.F90
M           22316   source/vertical_mix.F90
M           22316   source/passive_tracers.F90
M           22316   source/horizontal_mix.F90
M           22316   source/hmix_gm.F90
M           22316   source/tavg.F90
M           22316   source/baroclinic.F90
M           22316   bld/pop2.cpl7.template
M           22316   input_templates/ocn.iage.setup.csh
A               0   input_templates/gx1v6_tavg_contents_high_freq
A               0   input_templates/tavg_contents_tracer_budget_terms


===============================================================================
Tag Creator: njn01
Tag Date:    8 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100408a
Tag Testing: built tx0.1v2 B and C cases and confirmed correct dt_count settins
             by inspection.
Tag Summary: for tx0.1v2, set dt_count = 400 for C and G compsets; dt_count = 300 for all others

M           22314   input_templates/pop2_in_build.csh

===============================================================================
Tag Creator: njn01
Tag Date:    8 April 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100408
Tag Testing: none
Tag Summary: * Change \$BLDROOT/Makefile to \$CASETOOLS/Makefile
                (feature change request via bugz #1142)
             * Bugfix: (reported by MV; correction supplied by Phil Jones)
                 allocate(workTmp(POP_numBlocks), procTmp(POP_numBlocks), stat=istat)
               changed to
                 allocate(workTmp(numProcs), procTmp(numProcs), stat=istat)
                                  ^^^^^^^^           ^^^^^^^^
             * Change clinic_distribution_type = balanced --> clinic_distribution_type = cartesian
               Recommended by Phil Jones to avoid the rake algorithm incompatability with "the
               Gokhan fix":
               " ...the rake has been effectively disabled.  Both
               John's added code in the DistributeCreate routine that
               sets all work/block to maxWork and Gokhan's added code in
               domain.F90 that does similar things with nocn (for coarse
               resolution), means that there are no land blocks and all
               blocks have the same amount of work.   So the rake algorithm
               is likely doing nothing, or worse (shifting blocks for no
               gain). You'd be better off sticking with Cartesian.

               If you'd like to remove both Gokhan's and John's kludges
               and make the rake work again, I'm happy to help.  But right
               now, the algorithm is doing nothing for you and may be
               doing you harm."

M           22311   bld/pop2.cpl7.template
M           22311   input_templates/pop2_in_build.csh
M           22311   source/POP_DistributionMod.F90

===============================================================================
Tag Creator: njn01
Tag Date:    26 March 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100326
Tag Testing: create_test_suite

  PASS  PET_PT.T31_g37.B.bluefire
  PASS  ERS_PT.T31_g37.B.bluefire
  PASS  ERI.T62_g16.C.bluefire
  PASS  ERT.T62_g16.C.bluefire
  PASS  PFS.T62_g16.C.bluefire
  PASS  ERT.f19_g16.B1850CN.bluefire
  PASS  ERH.f19_g16.B1850CN.bluefire
  PASS  ERI_E.T31_g37.BCN.bluefire

Tag Summary: * Add support for the new tx0.1v2 shf and sfwf forcing datasets. The
               addition of these datasets supports the C compset, T62_tx0.1v2 case.
             * Rework the io_netcdf.F90 pio call that writes out character data for the
               "moc_components", "transport_components", and "transport_regions" variables.
               The first implementation generated a compiler error on an old pgi compiler
               and a failure in a ERI_E.bluefire test.

M           21830   source/io_netcdf.F90
M           21830   input_templates/tx0.1v2_inputdata

===============================================================================
Tag Creator: njn01
Tag Date:    19 March 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100319
Tag Testing:
  PASS  PET_PT.T31_g37.B.bluefire
  PASS  ERS_PT.T31_g37.B.bluefire
  PASS  ERI.T62_g16.C.bluefire
  PASS  ERT.T62_g16.C.bluefire
  PASS  PFS.T62_g16.C.bluefire
  PASS  ERT.f19_g16.B1850CN.bluefire
  PASS  ERH.f19_g16.B1850CN.bluefire


Tag Summary: * Correction:  remove "call pio_seterrorhandling(File,PIO_RETURN_ERROR)" from
               subroutine io_pio_init in module io_pio.F90 (MV)
             * Increase format string length in movie.F90 so that entire string is printed
               in log file
             * Correction: write out character-string data to tavg history file fields
                "moc_components", "transport_components", and "transport_regions". These
                character strings are blank in all pop.h* files created by tags ccsm4_0_beta35
                when pio was introduced in pop2, to ccsm4_0_beta46, the last tag before this
                correction will be made.
              * Incorporate new tx0.1v2 decompositions that are supported in the "hr" tag
              * Add a dummy line in input_templates/tx0.1v2_inputdata for the tx0.1v2
                 *.hdr file. With this dummy line in place, the input data checking tool
                 will detect if the *.hdr file is unavailable and will issue a fatal error.
                 This will protect users from trying to run a tx0.1v2 case without the *.hdr
                 file; without the *.hdr file, the model will note that the file is missing,
                 make (iincorrect) assumptions about the ordering of data on the restart file,
                 begin executing, and then die mysteriously.

M           21684   source/io_pio.F90
M           21684   source/movie.F90
M           21684   source/io_netcdf.F90
M           21684   bld/pop_decomp.xml
M           21684   ChangeLog
M           21684   input_templates/tx0.1v2_inputdata

===============================================================================
Tag Creator: klindsay
Tag Date:    11 March 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100311
Tag Testing: unknown
Tag Summary: 1) hmix_gm.F90: in this version, we are now using Pat Worley's OpenMP-friendly
                 do-loop reorganization; previously, we had large if-def blocks surrounding
                 the old, non-OpenMP friendly loops and Pat's version.
             2) drivers/cpl_none/POP_CouplingMod.F90: remove OpenMP commands
===============================================================================
Tag Creator: njn01
Tag Date:    5 March 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100305
Tag Testing: PET_PT.T31_g37.B.bluefire: PASS + inspection of global integral tavg quantities in ocn.log. files
             ERS_PT.T31_g37.B.bluefire: PASS
Tag Summary: 1) Correction: overflows.F90 was not included in previous tag; it should have been
             2) Comment out OMP directives in tavg.F90 global sum computations; these are broken

M           21475   source/overflows.F90
M           21475   source/tavg.F90

===============================================================================
===============================================================================
Tag Creator: njn01
Tag Date:    1 March 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100301
Tag Testing: See testing log
Tag Summary: 1) Merge openmp2pop04_ccsm_pop_2_1_20100125 onto pop2 trunk
             2) Implement work-around to change in timing sequence of inputdata checking
                (a change in ccsm4 scripts caused pop2 scripts to break)
             3) Redirect POP_stdout to stdout (using CCSMCOUPLED if blocks in initial.F90)

M           21322   source/sw_absorption.F90           import openmp2pop04_ccsm_pop_2_1_20100125 as-is
M           21322   source/hmix_aniso.F90                   ditto
M           21322   source/diagnostics.F90                  ditto
M           21322   source/movie.F90                        ditto
M           21322   source/timers.F90                       ditto, EXCEPT add CCSMCOUPLED blocks
M           21322   source/cfc_mod.F90                      ditto
M           21322   source/io_netcdf.F90                    ditto
M           21322   source/cfc11_mod.F90                    ditto, EXCEPT changed !pw to !untested
M           21322   source/passive_tracers.F90              ditto
M           21322   source/forcing_coupled.F90              ditto
M           21322   source/co2calc.F90                      ditto
M           21322   source/ms_balance.F90                   ditto
M           21322   source/hmix_gm.F90                      ditto (This creates HUGE replicated blocks)
M           21322   source/baroclinic.F90                   ditto
M           21322   source/state_mod.F90                    ditto
M           21322   mpi/gather_scatter.F90                  ditto
M           21322   mpi/POP_HaloMod.F90                     ditto
M           21322   drivers/cpl_mct/ocn_comp_mct.F90        ditto
M           21322   drivers/cpl_esmf/ocn_comp_esmf.F90      ditto

M           21322   source/tavg.F90                    openmp2pop04_ccsm_pop_2_1_20100125 mods imported
                                                           into trunk version
M           21322   source/ecosys_mod.F90                   ditto
M           21322   ChangeLog
M           21322   input_templates/ocn.ecosys.setup.csh compensate for possibility of missing inputdata
M           21322   input_templates/ocn.cfc.setup.csh       ditto
M           21322   input_templates/ocn.cfc11.setup.csh     ditto

From previous, untagged commit:
                     source/POP_IOUnitsMod.F90  (redirect POP_stdout if CCSMCOUPLED)


===============================================================================
Tag Creator: njn01
Tag Date:    17 February 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100217
Tag Testing: See testing log
Tag Summary: pop2.cpl7.template changes to allow the creation of a correct
               pop2.buildnml.csh script on jaguar (shell-command differences)

M           21095   bld/pop2.cpl7.template
M           21095   ChangeLog

===============================================================================
Tag Creator: njn01
Tag Date:    12 February 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100212
Tag Testing: 1-month+1-month DEBUG exact restart for new gx3 decomp
             1-month+1-month exact restart test for overflows
             1-month+1-month exact restart test for  POP_DistributionMod.F90
             2-month b4b test for exit_POP cleanup
             See /fis/cgd/cseg/people/njn01/test/usability/ cases
Tag Summary: Misc:
               o  64-pe gx3 decomp
               o  deallocate only associated arrays in POP_DistributionMod.F90
                    (contributed by Pat Worley)
               o  lccsm_control_compatible = .false. for gx1v6 (break backwards
                     compatability)
               o  move overflows write from write_restart to output_driver
               o  begin exit_POP cleanup: initial.F90, time_management.F90,
                   budget_diagnostics.F90, restart.F90

M           20936   source/initial.F90
M           20936   source/time_management.F90
M           20936   source/budget_diagnostics.F90
M           20936   source/POP_DistributionMod.F90
M           20936   source/restart.F90
M           20936   source/output.F90
M           20936   input_templates/pop2_in_build.csh
M           20936   bld/pop_decomp.xml

===============================================================================
Tag Creator: njn01
Tag Date:    10 February 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100210
Tag Testing: customized testing/inspection
Tag Summary: Miscellaneous changes to tavg streams support:
            o fix seg-fault problem identified by JD when user-specified
              stream number does not match number of streams in tavg_contents
            o add "stealth" tavg option to allow such mis-matches
               and modify pop2_tavg_nml.csh to support this option (stealthily)
M           20886   source/tavg.F90
M           20887   input_templates/pop2_tavg_nml.csh

===============================================================================
Tag Creator: njn01
Tag Date:    8 February 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100208
Tag Testing: side-by-side ccsm4_0_beta42 comparison + bluefire.pop2.aux tests
Tag Summary: Misc. changes + ecosys_mod.F90 correction:
            o  reorganize pop2 template, setup, and build scripts to support
                 build-time passive-tracer changes; this includes the addition
                 of a new support-level script, pop2_tavg_nml.csh
            o  high-frequency printed diagnostics when INFO_DBUG >= 2
            o Correct O2_ZMIN and O2_ZMIN_DEPTH tavg fields. Except for these fields,
results are b4b identical to results with previous tag.

M           20712   bld/pop2.cpl7.template
M           20627   input_templates/ocn.cfc.setup.csh
M           20627   input_templates/ocn.ecosys.setup.csh
A               0   input_templates/pop2_tavg_nml.csh
M           20627   input_templates/ocn.iage.setup.csh
M           20712   input_templates/pop2_in_build.csh

Testsuite results: (using ccsm4_0_beta42 + this tag)
PASS  ERS.T62_g16.C.bluefire
PASS  ERT.T62_g16.C.bluefire
PASS  PFS.T62_g16.C.bluefire
PASS  ERT.f19_g16.B1850CN.bluefire
PASS  ERH.f19_g16.B1850CN.bluefire


===============================================================================
Tag Creator: njn01
Tag Date:    25  January 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100125
Tag Testing:
Tag Summary: Misc. changes:
               bugfix POP_DistributionCreateRake (maxWork definition)
               make NPROCS_CLINIC a variable in buildnml script; do not resolve it
               make 64-bit offset the default for all pop2 netCDF output files
               remove all references to OCN_64BIT from scripts
               prevent pop2 build-script message from appearing in CCSM build messages

M           20627   source/POP_DistributionMod.F90
M           20627   bld/pop2.cpl7.template
M           20627   input_templates/pop2_in_build.csh


===============================================================================
Tag Creator: njn01
Tag Date:    8  January 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100108
Tag Testing: see walkthrough log on ccsm pop2 documentation page
Tag Summary: Add new code that supports gx3v7 overflows and corrects
             the T,S limits in the overflows module.
             Add logical control flag that forces all gx1v6 cases to be
             backwards compatible with previous tags (bypasses corrections/
             improvements that are allowed in the gx3v7 resolution).
             Replace references to gx3v7 initial, topography, and tidal-mixing
             files in the gx3v7_inputdata file.
             Turn ON gx3v7 overflows

M           20109   source/overflows.F90
M           20109   source/initial.F90
M           20109   source/vmix_kpp.F90
M           20109   input_templates/gx3v7_inputdata
A               0   input_templates/gx3v7_overflow
M      *    20168   input_templates/pop2_in_build.csh
M           20168   ChangeLog

===============================================================================
Tag Creator: njn01
Tag Date:    7  January 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100107
Tag Testing: B20TRCN smoke test
Tag Summary: Fix problem with ocn.cfc.setup.csh: add "set module = cfc' to
             the beginning of this script, so that the pop2 build scripts
             will work properly when cfc's are requested

             vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
             This pop2 tag is used in ccsm4_0_beta39 and ccsm4_0_rel01 branch
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
===============================================================================
Tag Creator: njn01
Tag Date:    6  January 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100106a
Tag Testing: REMOVE references to lccsm_control_compatible -- these will be added
             in a later tag
             turn gx3v7 overflows OFF -- will be turned on in a later tag
===============================================================================
Tag Creator: njn01
Tag Date:    6  January 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100106
Tag Testing: bluefire.pop2.auxtest
Tag Summary: Change pop2_in_build.csh so that it does NOT resolve output-file
             strings at the configure stage; make these runtime settings instead,
             which allows the create_clone script to function properly.
===============================================================================
Tag Creator: njn01
Tag Date:    4  January 2010
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20100104
Tag Testing: bluefire.pop2.auxtest + case-customized tests
Tag Summary: 1) bugfixes for tavg restarts/timeseries  (restarting an
                 open timeseries, in the middle of accumulating an average)
             2) bugfix for tavg zt_150m_dim restart
             3) modern ecosystem model (klindsay)
             4) ocn.*.setup.csh script support for new options: tavg_nml and tavg_contents with streams
             4) minor bugfix for pop2_in_build.csh, now that it is invoked from
                within the pop2.cpl7.template script (make luse_nf_64bit_offset
                dependent on the *runtime* setting of ${OCN_CDF64}
M           20109   source/passive_tracers.F90
M           20109   source/ecosys_mod.F90
M           20109   source/ecosys_parms.F90
M           20109   source/prognostic.F90
M           20109   source/tavg.F90
M           20109   bld/pop2.cpl7.template
M           20109   ChangeLog
M           20109   input_templates/ocn.iage.setup.csh
M           20109   input_templates/ocn.ecosys.setup.csh
M           20109   input_templates/pop2_in_build.csh
M           20109   input_templates/ocn.cfc.setup.csh
M           20109   input_templates/ocn.cfc11.setup.csh
===============================================================================
Tag Creator: njn01
Tag Date:    18  December 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091218
Tag Testing: extensive testing -- see testing log on ccsm pop2 documentation page
Tag Summary: Redevelop the pop2.cpl7.template script so that it generates a cleaner,
             simpler pop2.buildnml.csh script. The new pop2.buildnml.csh script contains
             a mostly-resolved pop2_in "here document"
             Also, remove obsolete files from input_templates

M           19927   bld/pop2.cpl7.template                        --
M           19927   input_templates/gx1v5_inputdata         -- change *_data to *_filename
M           19927   input_templates/gx1v5b_inputdata        --   ditto
M           19927   input_templates/gx1v6_inputdata         --   ditto
M           19927   input_templates/gx3v5_inputdata         --   ditto
M           19927   input_templates/gx3v6_inputdata         --   ditto
M           19927   input_templates/gx3v7_inputdata         --   ditto
M           19927   input_templates/tx1v1_inputdata         --   ditto
M           19927   input_templates/tx0.1v2_inputdata       --   ditto
M           19927   input_templates/ocn.iage.setup.csh      -- comment lines
M           19927   input_templates/ocn.ecosys.setup.csh    -- comment lines
M           19927   input_templates/ocn.cfc.setup.csh       -- comment lines
M           19927   input_templates/pop2_in_build.csh       -- modify to work with pop2.cpl7.template
D           19927   input_templates/input_templates.files   -- obsolete
D           19927   input_templates/inputdata.files         -- obsolete
D           19927   input_templates/ocn.prestage.csh        -- obsolete

===============================================================================
Tag Creator: njn01 (pio developer: Mariana Vertenstein)
Tag Date:    19  November 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091119
Tag Testing:  extensive testing -- see testing log on ccsm pop2 documentation page

Tag Summary:  1) Replace pure netCDF implementation in io_netcdf.F90 with pio version.
                 This implementation was developed by Mariana Vertenstein. The
                 code in this tag is based upon the piopop11_ccsm_pop_2_1_20091030/
                 pop2 branch code, but includes a correction to io_netcdf.F90 that
                 is not inthe piopop11 tag.
                 NOTE: the piopop11 tag does not contain the shared-constants version
                       of overflows.F90, so tests done with the piopop11 tag do not
                       directly compare with the code in this tag.
              2) bugfix pop2.cpl7.template wrt runtype and ecosystem interaction

M           19471   input_templates/pop2_in_build.csh
M           19471   source/initial.F90
A               0   source/io_pio.F90
M           19471   source/io_types.F90
M           19471   source/io_netcdf.F90
M           19471   source/io_binary.F90
M           19471   source/barotropic.F90
M           19471   bld/pop2.cpl7.template

===============================================================================
Tag Creator: njn01
Tag Date:    17  November 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091117
Tag Testing:  inspection

Tag Summary:  Update the pcfc1112 file in ocn.cfc.setup.csh script
              (pcfc1112_atm_20091117.nc) Values were extended from year 2003.5 to year 2008.5

===============================================================================
Tag Creator: njn01
Tag Date:    9  November 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091109
Tag Testing:  see testing log on ccsm pop2 documentation page

Tag Summary:  Replace user-defined constants with ccsm shared constants
              in the overflows.F90 module

M           19130   source/overflows.F90
===============================================================================
Tag Creator: njn01
Tag Date:    1  November 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091101
Tag Testing:

Tag Summary:  Change H2 --> SSH2 in those tavg_contents files that had not
              been updated to reflect the name change introduced in the
              ccsm_pop_2_1_20090911 tag

M           18834   input_templates/test_sample_tavg_contents
M           18834   input_templates/tx1v1_tavg_contents
M           18834   input_templates/tx0.1v2_tavg_contents

===============================================================================
Tag Creator: njn01
Tag Date:    30  October 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091030
Tag Testing:

Tag Summary:  1) move *.f90 files to $EXEDIR/ocn/source/f90, should they exist
              2) redirect pop2 buildnml messages to $CASE/Buildconf/pop2doc

M           18835   bld/pop2.cpl7.template
M           18835   input_templates/ocn.cfc.setup.csh
M           18835   input_templates/ocn.ecosys.setup.csh
M           18835   input_templates/ocn.cfc11.setup.csh
M           18835   input_templates/ocn.iage.setup.csh

===============================================================================
Tag Creator: njn01
Tag Date:    12  October 2009
Tag Name:    pop2/trunk_tags/ccsm_pop_2_1_20091012
Tag Testing:

Tag Summary:  Eliminate LANL/CCSM branch definition conflict and fix minor
 problem with tripole grid settings in pop2_in_build.csh

M           18792   source/overflows.F90
M           18792   source/initial.F90
M           18792   source/iage_mod.F90
M           18792   source/cfc_mod.F90
M           18792   source/cfc11_mod.F90
M           18792   source/ecosys_mod.F90
M           18792   source/restart.F90
M           18792   bld/pop2.cpl7.template
M           18792   input_templates/ocn.iage.setup.csh
M           18792   input_templates/ocn.ecosys.setup.csh
M           18792   input_templates/pop2_in_build.csh
M           18792   input_templates/test_pop2_in_build.csh
M           18792   input_templates/ocn.cfc.setup.csh
